-- 19-09-2018 TRK
-- Rettet 22-10-2018: Udvid feltet bor_casing.diameter
--
patch_id jup_1100_180919

--******************************************************************************
-- Udvid feltet bor_casing.diameter fra numeric(5,2) til numeric(6,2) 22-10-2018
--******************************************************************************

alter table bor_casing
  alter column diameter numeric(6,2) null;

--******************************************************************************
-- ny tabel jup_drwChemSample                                         19-09-2018
--******************************************************************************

create table dbo.jup_drwChemSample (
    sampleid                       bigint          not null,
    plantid                        int             null,
    sampledate                     datetime        null,
    samplesite                     varchar(500)    null, -- Beskrivende tekst for hvor PRVEN er taget
    reportdate                     datetime        null,
    journalno                      varchar(500)    null, -- Laboratoriets rapport nummer for de afrapporterede prver. Kaldes ogs "Hovedlaboratorium reference-nummer".
    laboratory                     int             null,
    datasource                     varchar(500)    null, -- Forldet. Beskriver hvilken database/system prven oprindeligt stammer fra
    remark                         varchar(500)    null, -- Bemrkninger ang. PRVEN
    extent                         int             null,
    extentold                      varchar(500)    null, -- Bogstavskoder for hvilke kontoller der er udfrt. Ingen kodeliste. Er erstattet af feltet Omfang. Svarer til STANDAT type 1239.
    evaluationlaboratory           int             null,
    evaluationsite                 int             null,
    evaluationjournalno            varchar(500)    null, -- Journalnummer eller referencenummer benyttet af vurderingslaboratoriet
    purpose                        int             null,
    odeur                          int             null,
    taste                          int             null,
    look                           int             null,
    colour                         int             null,
    sampledby                      varchar(500)    null, -- navn p AKTREN (firmanavn, personnavn. osv.)
    measuringsiteno                int             null,
    client                         int             null,
    clientname                     varchar(500)    null, -- Rekvirentens navn. STANDAT type 1833
    pipesite                       varchar(500)    null, -- Her beskrives njere hvor p ledningsadresen prven er taget. F.eks Hndvand i kkken. Svarer til STANDAT type 1124
    pipeaddress                    varchar(500)    null, -- Adresse p hvor p ledningsnettet til et vandvrk prven er taget. Svarer til STANDAT type 1125
    pipepostalcode                 int             null,
    qualitycontrol                 int             null,
    estimatetemp                   float           null,
    labreferencename               varchar(500)    null, -- Standatfilens navn. Ikke en del af standat
    project                        varchar(6)      null, -- Identifikaiton af det projekt, som PRVEN er taget under. KODELISTE: Projekt
    volume                         float           null,
    volumeunit                     int             null,
    measuringstationid             int             null,
    resamplestatus                 int             null,
    previoussample                 bigint          null,
    projectphase                   bigint          null,
    laboratoryreceiveddate         datetime        null,
    samplingfirm                   int             null,
    samplestatus                   int             null,
    samplequalitymark              int             null,
    samplestatususer               varchar(500)    null, -- Brugernavn for den person som har godkendt, afvist eller lst prven p web siden for prvegodkendelser.
    samplestatusdate               datetime        null,
    insertdate                     datetime        null,
    updatedate                     datetime        null,
    insertuser                     varchar(500)    null, -- Brugernavn for den person som har oprettet posten i Jupiter databasen
    updateuser                     varchar(500)    null, -- Brugernavn for den person som sidst har rettet i posten i Jupiter databasen

    created                        datetime        null default current_timestamp,
    created_by                     varchar(6)      null default current_user,
    changed                        datetime        null,
    changed_by                     varchar(6)      null,

    constraint pk_jup_drwChemSample primary key (sampleid)
);
grant select on jup_drwChemSample to public;
if exists (select name from sysusers where name = 'sysmgr')
   grant delete,insert,update on jup_drwChemSample to sysmgr;

--******************************************************************************
-- ny tabel jup_drwChemAnalysis                                       19-09-2018
--******************************************************************************

create table dbo.jup_drwChemAnalysis (
    sampleid                       bigint          not null,
    compoundno                     int             null,
    analysisno                     int             null,
    qualitycontrol                 int             null,
    amountreported                 numeric(12,4)   null,
    unitreported                   int             null,
    compoundreported               int             null,
    amount                         numeric(12,4)   null,
    unit                           int             null,
    attribute                      varchar(6)      null, -- Attribut fortller hvordan tallet i mngde skal opfattes. F.eks. ">", "<", etc. STD00217. KODELISTE: Analyseresultatattr.
    detectionlimit                 numeric(12,4)   null,
    filtering                      int             null,
    analysissite                   int             null,
    method                         int             null,
    laboratory                     int             null,
    remark                         varchar(500)    null, -- Bemrkninger til analysen
    journalno                      varchar(500)    null, -- Det analyserende laboratoriums reference-nummer (f.eks. journal-nummer) for analysen af den pgldende parameter.
    preparation                    int             null,
    packaging                      int             null,
    preservation                   int             null,
    analysisid                     bigint          not null,
    reporteddetectionlimit         numeric(12,4)   null,
    analysisdate                   datetime        null,
    laboratoryreceiveddate         datetime        null,
    absoluteexpmeasuncertainty     numeric(12,4)   null,
    relativeexpmeasuncertainty     numeric(12,4)   null,
    analysisresponsible            int             null,
    insertdate                     datetime        null,
    updatedate                     datetime        null,
    insertuser                     varchar(500)    null, -- Brugernavn for den person som har oprettet posten i Jupiter databasen
    updateuser                     varchar(500)    null, -- Brugernavn for den person som sidst har rettet i posten i Jupiter databasen

    created                        datetime        null default current_timestamp,
    created_by                     varchar(6)      null default current_user,
    changed                        datetime        null,
    changed_by                     varchar(6)      null,

    constraint pk_jup_drwChemAnalysis primary key (analysisid)
);
grant select on jup_drwChemAnalysis to public;
if exists (select name from sysusers where name = 'sysmgr')
   grant delete,insert,update on jup_drwChemAnalysis to sysmgr;

drop_foreign_key on jup_drwChemAnalysis jup_drwChemSample;

alter table jup_drwChemAnalysis
  add constraint fk_jup_drwChemAnalysis_sample foreign key (sampleid)
  references jup_drwChemSample (sampleid);  

--******************************************************************************
-- ny tabel jup_grwChemSample                                         19-09-2018
--******************************************************************************

create table dbo.jup_grwChemSample (
    sampleid                       bigint          not null,
    boreholeno                     varchar(20)     null, -- Nr boringerne bliver indberettet fr de tildelt et DGU nr. Karaktererne fr punktummet viser hvilket atlasblad boringen ligger p, karaktererne efter punktummet viser et lbenr. som kan fylde op til 5 karakterer
    intakeno                       int             null,
    top_m                          float           null,
    bottom_m                       float           null,
    sampledate                     datetime        null,
    project                        varchar(6)      null, -- Identifikaiton af det projekt, som PRVEN er taget under. KODELISTE: Projekt
    laboratory                     int             null,
    laboratoriyrefno               varchar(500)    null, -- Laboratoriets rapport nummer for de afrapporterede prver. Kaldes ogs "Hovedlaboratorium reference-nummer".
    purpose                        int             null,
    extent                         int             null,
    cause                          varchar(500)    null, -- Grunden til at PRVEN er taget. For grundvandskontrol f.eks. "boringskontrol", "overvgningsprogram", "driftsundersgelse", "forureningsundersgelse" Er med af historiske rsager men skal ikke benyttes i fremtiden.
    sourcetype                     int             null,
    watertype                      int             null,
    remark                         varchar(500)    null, -- Bemrkninger ang. PRVEN
    samplelocality                 varchar(500)    null, -- Beskrivende tekst for hvor PRVEN er taget
    sumcationscalculated           numeric(12,4)   null,
    sumanoinscalculated            numeric(12,4)   null,
    preprocessing                  int             null,
    sampledby                      varchar(500)    null, -- navn p AKTREN (firmanavn, personnavn. osv.)
    client                         int             null,
    clientname                     varchar(500)    null, -- Rekvirentens navn. STANDAT type 1833
    samplereportdate               datetime        null,
    validatedby                    varchar(500)    null, -- Initialer eller lignende for hvem der har valideret prven p amtet. STANDAT type = 1111
    cleaningstart                  datetime        null,
    cleaningend                    datetime        null,
    cleaningyield                  float           null,
    partofsampleid                 bigint          null,
    amount                         numeric(12,4)   null,
    resamplestatus                 int             null,
    unit                           int             null,
    previoussampleid               bigint          null,
    qualitycontrol                 int             null,
    labreferencename               varchar(500)    null, -- Standatfilens navn. Ikke en del af standat.
    projectphase                   bigint          null,
    laboratoryreceiveddate         datetime        null,
    samplingfirm                   int             null,
    samplingequipment              int             null,
    samplestatus                   int             null,
    samplequalitymark              int             null,
    samplestatususer               varchar(500)    null, -- Brugernavn for den person som sidst har sat prvens status.
    samplestatusdate               datetime        null,
    dataowner                      varchar(500)    null, -- Prvens dataejer (kodeliste).
    insertdate                     datetime        null,
    updatedate                     datetime        null,
    insertuser                     varchar(500)    null, -- Brugernavn for den person som har oprettet posten i Jupiter databasen
    updateuser                     varchar(500)    null, -- Brugernavn for den person som sidst har rettet i posten i Jupiter databasen

    created                        datetime        null default current_timestamp,
    created_by                     varchar(6)      null default current_user,
    changed                        datetime        null,
    changed_by                     varchar(6)      null,

    constraint pk_jup_grwChemSample primary key (sampleid)
);
grant select on jup_grwChemSample to public;
if exists (select name from sysusers where name = 'sysmgr')
   grant delete,insert,update on jup_grwChemSample to sysmgr;

--******************************************************************************
-- ny tabel jup_grwChemAnalysis                                       19-09-2018
--******************************************************************************

create table dbo.jup_grwChemAnalysis (
    sampleid                       bigint          not null,
    compoundno                     int             null,
    analysisno                     int             null,
    analysissite                   int             null,
    fieldfiltration                int             null,
    attribute                      varchar(6)      null, -- Attribut fortller hvordan tallet i mngde skal opfattes. F.eks. ">", "<", etc. STD00217
    amount                         numeric(12,4)   null,
    unit                           int             null,
    reportedcompoundno             int             null,
    reportedunit                   int             null,
    reportedamount                 numeric(12,4)   null,
    laboratory                     int             null,
    laboratoryrefno                varchar(500)    null, -- Det analyserende laboratoriums reference-nummer (f.eks. journal-nummer) for analysen af den pgldende parameter.
    analysismethod                 int             null,
    qualitycontrol                 int             null,
    remark                         varchar(500)    null, -- Bemrkninger til analysen
    preprocessing                  int             null,
    preservation                   int             null,
    packing                        int             null,
    detectionlimit                 numeric(12,4)   null,
    analysisid                     bigint          not null,
    reporteddetectionlimit         numeric(12,4)   null,
    analysisdate                   datetime        null,
    laboratoryreceiveddate         datetime        null,
    absoluteexpmeasuncertainty     numeric(12,4)   null,
    relativeexpmeasuncertainty     numeric(12,4)   null,
    analysisresponsible            int             null,
    insertdate                     datetime        null,
    updatedate                     datetime        null,
    insertuser                     varchar(500)    null, -- Brugernavn for den person som har oprettet posten i Jupiter databasen
    updateuser                     varchar(500)    null, -- Brugernavn for den person som sidst har rettet i posten i Jupiter databasen

    created                        datetime        null default current_timestamp,
    created_by                     varchar(6)      null default current_user,
    changed                        datetime        null,
    changed_by                     varchar(6)      null,

    constraint pk_jup_grwChemAnalysis primary key (analysisid)
);
grant select on jup_grwChemAnalysis to public;
if exists (select name from sysusers where name = 'sysmgr')
   grant delete,insert,update on jup_grwChemAnalysis to sysmgr;

drop_foreign_key on jup_grwChemAnalysis jup_grwChemSample;

alter table jup_grwChemAnalysis
  add constraint fk_jup_grwChemAnalysis_sample foreign key (sampleid)
  references jup_grwChemSample (sampleid);  

--******************************************************************************