-- 10-10-2018 TRK
-- 16-10-2018 ES udget version af GeoEnviron - Service - Rottehullet 1.5.560.33
-- 17-10-2018 TRK Tilfjet fremmedngle imellem ver_login og rh_Bekaempelsesfirma
-- 23-10-2018 TRK Tilfjet ny kolonne ver_report.r2_cvrnr

patch_id rh_1100_181010

--******************************************************************************
-- Opdatering af rat_campaign_outcome                                 10-10-2018
--******************************************************************************

-- UpdateTilsyn.Tilsynsresultat kan ikke lngere sttes til "Ingen hjemme" ('e1f69d12-20f3-4e9f-8cf4-c60488d81610').
-- Mulige vrdier er nu kun:
-- 1) "Rotter" ('849bb864-39af-40b8-a321-dc2619a9804d')
-- 2) "Rottefri" ('34a190e5-c37e-4b9d-8bd0-7c3b18caec5b')

-- Det er valgt, at hvis GE tilsynsresultat sttes til "Ingen hjemme, besgskort afleveret"
-- sttes UpdateTilsyn.Tilsynsresultat til "Rottefri" ('34a190e5-c37e-4b9d-8bd0-7c3b18caec5b').

update rat_campaign_outcome set
   rh_Tilsynsresultat_Id = '34a190e5-c37e-4b9d-8bd0-7c3b18caec5b',
   changed = getdate(),
   changed_by = 'geokon'
where outcome_id = '0';

--******************************************************************************
-- Ny tabel: rh_Bekaempelsesudfoerende                                10-10-2018
--******************************************************************************

create table dbo.rh_Bekaempelsesudfoerende (
    Id                            integer         not null,
    Indeks                        integer         null,
    Navn                          varchar(80)     not null,
    Aktiv                         varchar(1)      null,
    created                       datetime        null default current_timestamp,
    created_by                    varchar(6)      null default current_user,
    changed                       datetime        null,
    changed_by                    varchar(6)      null,
    constraint pk_rh_Bekaempelsesudfoerende primary key (Id)
);
grant select on rh_Bekaempelsesudfoerende to public;
if exists (select name from sysusers where name = 'sysmgr')
   grant delete,insert,update on rh_Bekaempelsesudfoerende to sysmgr;

-- Populer tabellen rh_Bekaempelsesudfoerende

if not exists (select * from rh_Bekaempelsesudfoerende)
begin
    insert into rh_Bekaempelsesudfoerende (Id, Indeks, Navn, Aktiv, created_by) values (1, 1, 'Kommunal bekmpelse - eget personale', '1', 'geokon')
    insert into rh_Bekaempelsesudfoerende (Id, Indeks, Navn, Aktiv, created_by) values (2, 2, 'Kommunal bekmpelse - bekmpelsesfirma', '1', 'geokon')
    insert into rh_Bekaempelsesudfoerende (Id, Indeks, Navn, Aktiv, created_by) values (3, 3, 'Privat bekmpelse (R1-autorisation)', '1', 'geokon')
    insert into rh_Bekaempelsesudfoerende (Id, Indeks, Navn, Aktiv, created_by) values (4, 4, 'Privat bekmpelse (R2-autorisation)', '1', 'geokon')
end;

-- Opret forign key imellem ver_report og rh_Bekaempelsesudfoerende

if (select col_length ('ver_report', 'rh_Bekaempelsesudfoerende_Id')) is null
  alter table ver_report add rh_Bekaempelsesudfoerende_Id integer not null default 1;

drop_foreign_key on ver_report rh_Bekaempelsesudfoerende;

alter table ver_report
  add constraint fk_ver_report_rh_Bekaempelsesudfoerende foreign key (rh_Bekaempelsesudfoerende_Id)
  references rh_Bekaempelsesudfoerende (Id);

-- Opret forign key imellem ver_login og rh_Bekaempelsesfirma

if (select col_length ('ver_login', 'rh_Bekaempelsesfirma_Id')) is null
  alter table ver_login add rh_Bekaempelsesfirma_Id varchar(50) null;

drop_foreign_key on ver_login rh_Bekaempelsesfirma;

alter table ver_login
  add constraint fk_ver_login_rh_Bekaempelsesfirma foreign key (rh_Bekaempelsesfirma_Id)
  references rh_Bekaempelsesfirma (Id);

--******************************************************************************
-- Ny kolonne: ver_report.authorization_number                        10-10-2018
--******************************************************************************

if (select col_length ('ver_report', 'authorization_number')) is null
  alter table ver_report add authorization_number varchar(20) null;

--******************************************************************************
-- Ny kolonne: ver_report.r2_cvrnr                                    23-10-2018
--******************************************************************************

if (select col_length('ver_report','r2_cvrnr')) is null
   alter table ver_report add r2_cvrnr varchar(8) null;

--******************************************************************************
-- Ny tabel: rh_Ejendomstype                                          10-10-2018
--******************************************************************************

create table dbo.rh_Ejendomstype (
    Id                            integer         not null,
    Indeks                        integer         null,
    Navn                          varchar(80)     not null,
    Aktiv                         varchar(1)      null,
    created                       datetime        null default current_timestamp,
    created_by                    varchar(6)      null default current_user,
    changed                       datetime        null,
    changed_by                    varchar(6)      null,
    constraint pk_rh_Ejendomstype primary key (Id)
);
grant select on rh_Ejendomstype to public;
if exists (select name from sysusers where name = 'sysmgr')
   grant delete,insert,update on rh_Ejendomstype to sysmgr;

-- Populer tabellen rh_Ejendomstype

if not exists (select * from rh_Ejendomstype)
begin
    insert into rh_Ejendomstype (Id, Indeks, Navn, Aktiv, created_by) values (1, 1, 'Tilsynspligtig ejendom', '1', 'geokon')
    insert into rh_Ejendomstype (Id, Indeks, Navn, Aktiv, created_by) values (2, 2, 'Beboelsesejendom', '1', 'geokon')
    insert into rh_Ejendomstype (Id, Indeks, Navn, Aktiv, created_by) values (3, 3, 'Fdevarevirksomhed', '1', 'geokon')
    insert into rh_Ejendomstype (Id, Indeks, Navn, Aktiv, created_by) values (4, 4, 'Anden industri', '1', 'geokon')
    insert into rh_Ejendomstype (Id, Indeks, Navn, Aktiv, created_by) values (5, 5, 'Kommunal institution m.v.', '1', 'geokon')
    insert into rh_Ejendomstype (Id, Indeks, Navn, Aktiv, created_by) values (6, 6, 'Privat-, statslig- eller regional institution m.v.', '1', 'geokon')
    insert into rh_Ejendomstype (Id, Indeks, Navn, Aktiv, created_by) values (7, 7, 'Andet', '1', 'geokon')
end;

-- Opret forign key imellem rat_site og rh_Ejendomstype

if (select col_length ('rat_site', 'rh_Ejendomstype_Id')) is null
  alter table rat_site add rh_Ejendomstype_Id integer null;

drop_foreign_key on rat_site rh_Ejendomstype;

alter table rat_site
  add constraint fk_rat_site_rh_Ejendomstype foreign key (rh_Ejendomstype_Id)
  references rh_Ejendomstype (Id);

-- Opdater kolonnen rat_site.rh_Ejendomstype_Id

-- Tilsynspligtige ejendomme
update rat_site set
   rh_Ejendomstype_Id = 1,
   changed = getdate(),
   changed_by = 'geokon'
where rat_site.rh_Ejendomstype_Id is null
and rat_site.site_seq_no in (select rat_site.site_seq_no
                             from site
                             inner join rat_site on rat_site.site_seq_no = site.site_seq_no
                             left outer join std00005 bbrZone on bbrZone.code = rat_site.bbr_zone
                             left outer join std00047 bbrUse on bbrUse.code = rat_site.bbr_use
                             where site.site_name = site.site_address
                             --and rat_site.vermin_disp = '0'
                             and bbrUse.campaign = '1'
                             and ( (bbrZone.zone = 'l' and bbrUse.systype <> '5') or bbrUse.systype = '2' ));

-- Beboelsesejendomme
update rat_site set
   rh_Ejendomstype_Id = 2,
   changed = getdate(),
   changed_by = 'geokon'
where rat_site.rh_Ejendomstype_Id is null
and rat_site.site_seq_no in (select rat_site.site_seq_no
                             from rat_site
                             left outer join std00047 bbrUse on bbrUse.code = rat_site.bbr_use
                             where bbrUse.systype = '1');

--******************************************************************************
-- udgede versioner af GeoEnviron - Service - Rottehullet            15-10-2018
--******************************************************************************

if (select 'x' from geo_ext_appl_version_expired where appl_id = 'srv_Rottehullet' AND version_number = '1.5.560.33') is null insert into geo_ext_appl_version_expired (appl_id, version_number, created_by) values ('srv_Rottehullet', '1.5.560.33', 'geokon');
if (select 'x' from geo_ext_appl_version_expired where appl_id = 'srv_Rottehullet' AND version_number = '1.5.718.47') is null insert into geo_ext_appl_version_expired (appl_id, version_number, created_by) values ('srv_Rottehullet', '1.5.718.47', 'geokon');
if (select 'x' from geo_ext_appl_version_expired where appl_id = 'srv_Rottehullet' AND version_number = '1.5.3533.477') is null insert into geo_ext_appl_version_expired (appl_id, version_number, created_by) values ('srv_Rottehullet', '1.5.3533.477', 'geokon');
if (select 'x' from geo_ext_appl_version_expired where appl_id = 'srv_Rottehullet' AND version_number = '1.6.3552.479') is null insert into geo_ext_appl_version_expired (appl_id, version_number, created_by) values ('srv_Rottehullet', '1.6.3552.479', 'geokon');
if (select 'x' from geo_ext_appl_version_expired where appl_id = 'srv_Rottehullet' AND version_number = '1.6.3552.480') is null insert into geo_ext_appl_version_expired (appl_id, version_number, created_by) values ('srv_Rottehullet', '1.6.3552.480', 'geokon');
if (select 'x' from geo_ext_appl_version_expired where appl_id = 'srv_Rottehullet' AND version_number = '1.7.4335.557') is null insert into geo_ext_appl_version_expired (appl_id, version_number, created_by) values ('srv_Rottehullet', '1.7.4335.557', 'geokon');
if (select 'x' from geo_ext_appl_version_expired where appl_id = 'srv_Rottehullet' AND version_number = '1.8.5659.918') is null insert into geo_ext_appl_version_expired (appl_id, version_number, created_by) values ('srv_Rottehullet', '1.8.5659.918', 'geokon');
if (select 'x' from geo_ext_appl_version_expired where appl_id = 'srv_Rottehullet' AND version_number = '1.8.5662.921') is null insert into geo_ext_appl_version_expired (appl_id, version_number, created_by) values ('srv_Rottehullet', '1.8.5662.921', 'geokon');

--******************************************************************************
-- udgede versioner af GE WEB - Rottebekmpelse                      15-10-2018
--******************************************************************************

if (select 'x' from geo_ext_appl_version_expired where appl_id = 'web_Rottebekaempelse' AND version_number = '3.0.0') is null insert into geo_ext_appl_version_expired (appl_id, version_number, created_by) values ('web_Rottebekaempelse', '3.0.0', 'geokon');
if (select 'x' from geo_ext_appl_version_expired where appl_id = 'web_Rottebekaempelse' AND version_number = '3.0.1') is null insert into geo_ext_appl_version_expired (appl_id, version_number, created_by) values ('web_Rottebekaempelse', '3.0.1', 'geokon');
if (select 'x' from geo_ext_appl_version_expired where appl_id = 'web_Rottebekaempelse' AND version_number = '3.0.2') is null insert into geo_ext_appl_version_expired (appl_id, version_number, created_by) values ('web_Rottebekaempelse', '3.0.2', 'geokon');
if (select 'x' from geo_ext_appl_version_expired where appl_id = 'web_Rottebekaempelse' AND version_number = '3.1.0') is null insert into geo_ext_appl_version_expired (appl_id, version_number, created_by) values ('web_Rottebekaempelse', '3.1.0', 'geokon');
if (select 'x' from geo_ext_appl_version_expired where appl_id = 'web_Rottebekaempelse' AND version_number = '3.2.0') is null insert into geo_ext_appl_version_expired (appl_id, version_number, created_by) values ('web_Rottebekaempelse', '3.2.0', 'geokon');
if (select 'x' from geo_ext_appl_version_expired where appl_id = 'web_Rottebekaempelse' AND version_number = '3.3.0') is null insert into geo_ext_appl_version_expired (appl_id, version_number, created_by) values ('web_Rottebekaempelse', '3.3.0', 'geokon');

--******************************************************************************