-- 16-11-2018 TRK
--
patch_id dma_1110_181116

--**********************************************************************************
-- ny tabel dma_indlaesning_extended                                      16-11-2018
--**********************************************************************************

create table dbo.dma_indlaesning_extended (
    dma_indlaesningsid            varchar(50)     not null,
    dma_soap_request              varchar(max)    null,

    created                       datetime        null default current_timestamp,
    created_by                    varchar(6)      null default current_user,
    changed                       datetime        null,
    changed_by                    varchar(6)      null,
    constraint pk_dma_indlaesning_extended primary key (dma_indlaesningsid)
);
grant select on dma_indlaesning_extended to public;
if exists (select name from sysusers where name = 'sysmgr')
   grant delete,insert,update on dma_indlaesning_extended to sysmgr;

drop_foreign_key on dma_indlaesning_extended dma_indlaesning;

alter table dma_indlaesning_extended
  add constraint fk_dma_indlaesning_extended_dma_indlaesning foreign key (dma_indlaesningsid)
  references dma_indlaesning (dma_indlaesningsid)
  on delete cascade;

--**********************************************************************************
-- Flyt dma_indlaesning.dma_soap_request til dma_indlaesning_extended     16-11-2018
--**********************************************************************************

if (select col_length ('dma_indlaesning', 'dma_soap_request')) is not null
  insert into dma_indlaesning_extended (dma_indlaesningsid, dma_soap_request, created_by)
    select dma_indlaesningsid, dma_soap_request, 'geokon'
    from dma_indlaesning
    where dma_indlaesningsid not in (select dma_indlaesningsid from dma_indlaesning_extended);

if (select col_length ('dma_indlaesning', 'dma_soap_request')) is not null
  update dma_indlaesning set
    dma_soap_request = null,
    changed = getdate(),
    changed_by = 'geokon';

if (select col_length ('dma_indlaesning_log', 'dma_soap_request')) is not null
  update dma_indlaesning_log set
    dma_soap_request = null,
    changed = getdate(),
    changed_by = 'geokon';

update dma_sletIndlaesning set
  dma_soap_request = null,
  changed = getdate(),
  changed_by = 'geokon';


-- Drop gamle dma_soap_request kolonner 

if (select col_length ('dma_indlaesning', 'dma_soap_request')) is not null
  alter table dma_indlaesning drop column dma_soap_request;

if (select col_length ('dma_indlaesning_log', 'dma_soap_request')) is not null
  alter table dma_indlaesning_log drop column dma_soap_request;

--**********************************************************************************
-- udgede versioner af GeoEnviron - Service - DMA                        16-11-2018
--**********************************************************************************

if (select 'x' from geo_ext_appl_version_expired where appl_id = 'srv_DMA' and version_number = '1.0.553.371')  is null insert into geo_ext_appl_version_expired (appl_id, version_number, created_by) values ('srv_DMA', '1.0.553.371', 'geokon');
if (select 'x' from geo_ext_appl_version_expired where appl_id = 'srv_DMA' and version_number = '1.0.565.381')  is null insert into geo_ext_appl_version_expired (appl_id, version_number, created_by) values ('srv_DMA', '1.0.565.381', 'geokon');
if (select 'x' from geo_ext_appl_version_expired where appl_id = 'srv_DMA' and version_number = '1.0.745.541')  is null insert into geo_ext_appl_version_expired (appl_id, version_number, created_by) values ('srv_DMA', '1.0.745.541', 'geokon');
if (select 'x' from geo_ext_appl_version_expired where appl_id = 'srv_DMA' and version_number = '1.1.572.34')   is null insert into geo_ext_appl_version_expired (appl_id, version_number, created_by) values ('srv_DMA', '1.1.572.34', 'geokon');
if (select 'x' from geo_ext_appl_version_expired where appl_id = 'srv_DMA' and version_number = '1.1.718.47')   is null insert into geo_ext_appl_version_expired (appl_id, version_number, created_by) values ('srv_DMA', '1.1.718.47', 'geokon');
if (select 'x' from geo_ext_appl_version_expired where appl_id = 'srv_DMA' and version_number = '1.2.1871.177') is null insert into geo_ext_appl_version_expired (appl_id, version_number, created_by) values ('srv_DMA', '1.2.1871.177', 'geokon');
if (select 'x' from geo_ext_appl_version_expired where appl_id = 'srv_DMA' and version_number = '1.3.2385.351') is null insert into geo_ext_appl_version_expired (appl_id, version_number, created_by) values ('srv_DMA', '1.3.2385.351', 'geokon');
if (select 'x' from geo_ext_appl_version_expired where appl_id = 'srv_DMA' and version_number = '1.3.2399.357') is null insert into geo_ext_appl_version_expired (appl_id, version_number, created_by) values ('srv_DMA', '1.3.2399.357', 'geokon');
if (select 'x' from geo_ext_appl_version_expired where appl_id = 'srv_DMA' and version_number = '1.4.3533.477') is null insert into geo_ext_appl_version_expired (appl_id, version_number, created_by) values ('srv_DMA', '1.4.3533.477', 'geokon');
if (select 'x' from geo_ext_appl_version_expired where appl_id = 'srv_DMA' and version_number = '1.4.3552.479') is null insert into geo_ext_appl_version_expired (appl_id, version_number, created_by) values ('srv_DMA', '1.4.3552.479', 'geokon');
if (select 'x' from geo_ext_appl_version_expired where appl_id = 'srv_DMA' and version_number = '1.4.3552.480') is null insert into geo_ext_appl_version_expired (appl_id, version_number, created_by) values ('srv_DMA', '1.4.3552.480', 'geokon');
if (select 'x' from geo_ext_appl_version_expired where appl_id = 'srv_DMA' and version_number = '1.5.4335.557') is null insert into geo_ext_appl_version_expired (appl_id, version_number, created_by) values ('srv_DMA', '1.5.4335.557', 'geokon');
if (select 'x' from geo_ext_appl_version_expired where appl_id = 'srv_DMA' and version_number = '1.6.5248.783') is null insert into geo_ext_appl_version_expired (appl_id, version_number, created_by) values ('srv_DMA', '1.6.5248.783', 'geokon');
if (select 'x' from geo_ext_appl_version_expired where appl_id = 'srv_DMA' and version_number = '1.7.5594.886') is null insert into geo_ext_appl_version_expired (appl_id, version_number, created_by) values ('srv_DMA', '1.7.5594.886', 'geokon');
if (select 'x' from geo_ext_appl_version_expired where appl_id = 'srv_DMA' and version_number = '1.8.5943.945') is null insert into geo_ext_appl_version_expired (appl_id, version_number, created_by) values ('srv_DMA', '1.8.5943.945', 'geokon');

--******************************************************************************