patch_id kpv_view_08012018

if exists (select 1 FROM sys.views where name = 'view_wcat_kpv_budget')
	drop view view_wcat_kpv_budget
go

create view dbo.view_wcat_kpv_budget (
kpv_seq_no, kpr_seq_no, element_no, start_date, end_date, plusminus) 
as
select kpv.kpv_seq_no
	,kpr.kpr_seq_no
	,app.element_no
	,app.start_date
	,dateadd(ms,-3,isnull(adj.from_date,isnull(app.expire_date,cast('12/31/9999 23:59:59.997' as datetime)))) end_date
	,'' plusminus
from wcat_kpv kpv
left join wcat_kpv_kpr kpr on kpv.kpv_seq_no = kpr.kpv_seq_no
left join an_program_parameters app  on kpr.an_program_id = app.an_program_id
left join (select * from wcat_kpv_kpr_param_adjust where plusminus = '-') adj  on kpr.kpr_seq_no = adj.kpr_seq_no and app.element_no = adj.parameter_code
union
select kpv.kpv_seq_no
	,kpr.kpr_seq_no
	,app.element_no 
	,dateadd(ms,3,adj.to_date) start_date
	,isnull(app.expire_date,cast('12/31/9999 23:59:59.997' as datetime)) end_date
	,'' plusminus
from wcat_kpv kpv
left join wcat_kpv_kpr kpr on kpv.kpv_seq_no = kpr.kpv_seq_no
left join an_program_parameters app  on kpr.an_program_id = app.an_program_id
join (select * from wcat_kpv_kpr_param_adjust where plusminus = '-') adj  on kpr.kpr_seq_no = adj.kpr_seq_no and app.element_no = adj.parameter_code
union
select kpv.kpv_seq_no
	,kpr.kpr_seq_no
	,app.element_no 
	,adj.from_date start_date
	,isnull(adj.to_date,cast('12/31/9999 23:59:59.997' as datetime)) end_date
	,adj.plusminus
from wcat_kpv kpv
left join wcat_kpv_kpr kpr on kpv.kpv_seq_no = kpr.kpv_seq_no
left join an_program_parameters app  on kpr.an_program_id = app.an_program_id
join wcat_kpv_kpr_param_adjust adj  on kpr.kpr_seq_no = adj.kpr_seq_no and app.element_no = adj.parameter_code
go


if exists (select 1 FROM sys.views where name = 'view_wcat_kpv_faktisk')
	drop view view_wcat_kpv_faktisk
go

create view dbo.view_wcat_kpv_faktisk (
kpv_seq_no, kpr_seq_no, sample_seq_no, sample_date, element_no, attribute, amount, target_value, faktisk )
as
select kpr.kpv_seq_no
		,kps.kpr_seq_no
		,samples.sample_seq_no
		,samples.sample_date 
		,analysis.element_no
		,analysis.attribute
		,analysis.amount
		,ap.target_value
		,1 as faktisk
	from wcat_kpv_kpr kpr
	join wcat_kpv_kpr_samples kps on kpr.kpr_seq_no = kps.kpr_seq_no
	join samples  on kps.sample_seq_no = samples.sample_seq_no
	join analysis on samples.sample_seq_no = analysis.SAMPLE_SEQ_NO
	left join analysis_parameters ap on analysis.element_no = ap.element_no 
		and samples.sample_date between ap.start_date and isnull(ap.expire_date,cast('12/31/9999 23:59:59.997' as datetime)) 
go