-- 20-02-2019 JH/TRK
--
patch_id cvr_1120_190220

--******************************************************************************
-- ny tabel cvr_produktionsenheder_status                             20-02-2019
--******************************************************************************

create table dbo.cvr_produktionsenheder_status (
    status_code                   varchar(1)      not null,
    status_name                   varchar(20)     not null,
    created                       datetime        null default current_timestamp,
    created_by                    varchar(6)      null default current_user,
    changed                       datetime        null,
    changed_by                    varchar(6)      null,
    constraint pk_cvr_produktionsenheder_status primary key (status_code)
);
grant select on cvr_produktionsenheder_status to public;
grant select, update, delete, insert on cvr_produktionsenheder_status to sysmgr;

-- Fyld data i tabellen hvis den er tom.

if not exists (select * from cvr_produktionsenheder_status)
begin
   insert into cvr_produktionsenheder_status (status_code, status_name, created_by) values ('N', 'Ny', 'geokon')
   insert into cvr_produktionsenheder_status (status_code, status_name, created_by) values ('R', 'ndret', 'geokon')
   insert into cvr_produktionsenheder_status (status_code, status_name, created_by) values ('S', 'Slettet', 'geokon')
   insert into cvr_produktionsenheder_status (status_code, status_name, created_by) values ('L', 'Lukket', 'geokon')
   insert into cvr_produktionsenheder_status (status_code, status_name, created_by) values ('I', 'Irrelevant', 'geokon')
end;

--******************************************************************************
-- ny tabel cvr_produktionsenheder                                    20-02-2019
--******************************************************************************

create table dbo.cvr_produktionsenheder (
    pnr                                          varchar(10)     not null,
    status_code                                  varchar(1)      not null,
    handled_date                                 datetime        null,
    evaluate					 varchar(1) 	 not null default '0',

    livsforloeb_startdato                        datetime        null,
    livsforloeb_ophoersdato                      datetime        null,
    ajourfoeringsdato                            datetime        null,
    virksomhed_gyldigfra                         datetime        null,
    virksomhed_cvrnr                             varchar(8)      null,
    reklamebeskyttelse                           varchar(1)      null,
    navn_gyldigfra                               datetime        null,
    navn_tekst                                   varchar(300)    null,
    beliggenhedsadresse_gyldigfra                datetime        null,
    beliggenhedsadresse_vejnavn                  varchar(40)     null,
    beliggenhedsadresse_vejkode                  varchar(4)      null,
    beliggenhedsadresse_husnummerfra             varchar(6)      null,
    beliggenhedsadresse_husnummertil             varchar(6)      null,
    beliggenhedsadresse_bogstavfra               varchar(6)      null,
    beliggenhedsadresse_bogstavtil               varchar(6)      null,
    beliggenhedsadresse_etage                    varchar(6)      null,
    beliggenhedsadresse_sidedoer                 varchar(6)      null,
    beliggenhedsadresse_postnr                   varchar(4)      null,
    beliggenhedsadresse_postdistrikt             varchar(25)     null,
    beliggenhedsadresse_bynavn                   varchar(25)     null,
    beliggenhedsadresse_kommune_kode             varchar(4)      null,
    beliggenhedsadresse_kommune_tekst            varchar(100)    null,
    beliggenhedsadresse_postboks                 varchar(25)     null,
    beliggenhedsadresse_conavn                   varchar(238)    null,
    beliggenhedsadresse_adressefritekst          varchar(238)    null,
    hovedbranche_gyldigfra                       datetime        null,
    hovedbranche_kode                            varchar(6)      null,
    hovedbranche_tekst                           varchar(250)    null,
    bibranche1_gyldigfra                         datetime        null,
    bibranche1_kode                              varchar(6)      null,
    bibranche1_tekst                             varchar(250)    null,
    bibranche2_gyldigfra                         datetime        null,
    bibranche2_kode                              varchar(6)      null,
    bibranche2_tekst                             varchar(250)    null,
    bibranche3_gyldigfra                         datetime        null,
    bibranche3_kode                              varchar(6)      null,
    bibranche3_tekst                             varchar(250)    null,
    telefonnummer_gyldigfra                      datetime        null,
    telefonnummer_kontaktoplysning               varchar(12)     null,
    telefax_gyldigfra                            datetime        null,
    telefax_kontaktoplysning                     varchar(12)     null,
    email_gyldigfra                              datetime        null,
    email_kontaktoplysning                       varchar(250)    null,
    aarsbeskaeftigelse_aar                       varchar(9)      null,
    aarsbeskaeftigelse_antalansatte              varchar(9)      null,
    aarsbeskaeftigelse_antalansatteinterval      varchar(9)      null,
    aarsbeskaeftigelse_antalaarsvaerk            varchar(9)      null,
    aarsbeskaeftigelse_antalaarsvaerkinterval    varchar(9)      null,
    aarsbeskaeftigelse_antalinclejere            varchar(9)      null,
    aarsbeskaeftigelse_antalinclejereinterval    varchar(9)      null,

    created                                      datetime        null default current_timestamp,
    created_by                                   varchar(6)      null default current_user,
    changed                                      datetime        null,
    changed_by                                   varchar(6)      null,

    constraint pk_cvr_produktionsenheder primary key (pnr)
);
grant select on cvr_produktionsenheder to public;
grant select, update, delete, insert on cvr_produktionsenheder to sysmgr;

drop_foreign_key on cvr_produktionsenheder cvr_produktionsenheder_status;

alter table cvr_produktionsenheder
  add constraint fk_cvr_produktionsenheder_status foreign key (status_code)
  references cvr_produktionsenheder_status (status_code);

-- Tilfj kolonne cvr_produktionsenheder.comments

if (select col_length ('cvr_produktionsenheder', 'comments')) is null
  alter table cvr_produktionsenheder add comments varchar(1000) null;

--******************************************************************************
-- ny tabel cvr_history                                               20-02-2019
--******************************************************************************

create table dbo.cvr_history (
    id                                           int identity(1,1) not null,
    pnr                                          varchar(10)       not null,
    col                                          varchar(100)      not null,
    oldval                                       varchar(500)      null,
    newval                                       varchar(500)      null,
    dato                                         datetime          not null,
    constraint pk_cvr_history primary key (id)
);

create index idx_cvr_history on cvr_history (pnr);

grant select on cvr_history to public;
grant select, update, delete, insert on cvr_history to sysmgr;

--******************************************************************************
-- Opret kolonne: cvr_branchekode.tilsyn_relevant                     04-03-2019
--******************************************************************************

if (select col_length ('cvr_branchekode', 'tilsyn_relevant')) is null
  alter table cvr_branchekode add tilsyn_relevant varchar(1) not null default '1';

update cvr_branchekode set tilsyn_relevant = '0'
where tilsyn_relevans is not null and tilsyn_relevans in ('X', 'Z');

--******************************************************************************