-- 23-01-2019 TRK
--
patch_id dma_1120_190123

--******************************************************************************
-- ny tabel dma_anlaegstype                                           23-01-2019
--******************************************************************************

create table dbo.dma_anlaegstype (
    Id                            varchar(50)     not null,
    Navn                          varchar(80)     not null,
    Beskrivelse                   varchar(4000)   null,
    Aktiv                         varchar(1)      null,
    created                       datetime        null default current_timestamp,
    created_by                    varchar(6)      null default current_user,
    changed                       datetime        null,
    changed_by                    varchar(6)      null,
    constraint pk_dma_anlaegstype primary key (Id)
);
grant select on dma_anlaegstype to public;
if exists (select name from sysusers where name = 'sysmgr')
   grant delete,insert,update on dma_anlaegstype to sysmgr;

-- Fyld data i tabellen hvis den er tom.

if not exists (select * from dma_anlaegstype)
begin
   insert into dma_anlaegstype (Id, Navn, Beskrivelse, Aktiv, created_by) values ('AT000001', 'MCP', 'Medium Combustion Plants', '1', 'geokon')
end;

--******************************************************************************
-- ny tabel dma_fyringsanlaegBraendselskategori                       23-01-2019
--******************************************************************************

create table dbo.dma_fyringsanlaegBraendselskategori (
    Id                            varchar(50)     not null,
    Navn                          varchar(80)     not null,
    Beskrivelse                   varchar(4000)   null,
    Aktiv                         varchar(1)      null,
    created                       datetime        null default current_timestamp,
    created_by                    varchar(6)      null default current_user,
    changed                       datetime        null,
    changed_by                    varchar(6)      null,
    constraint pk_dma_fyringsanlaegBraendselskategori primary key (Id)
);
grant select on dma_fyringsanlaegBraendselskategori to public;
if exists (select name from sysusers where name = 'sysmgr')
   grant delete,insert,update on dma_fyringsanlaegBraendselskategori to sysmgr;

-- Fyld data i tabellen hvis den er tom.

if not exists (select * from dma_fyringsanlaegBraendselskategori)
begin
   insert into dma_fyringsanlaegBraendselskategori (Id, Navn, Beskrivelse, Aktiv, created_by) values ('MCPBK00001', 'Fast biomasse', 'Fast biomasse', '1', 'geokon')
   insert into dma_fyringsanlaegBraendselskategori (Id, Navn, Beskrivelse, Aktiv, created_by) values ('MCPBK00002', 'Andet fast brndsel', 'Andet fast brndsel', '1', 'geokon')
   insert into dma_fyringsanlaegBraendselskategori (Id, Navn, Beskrivelse, Aktiv, created_by) values ('MCPBK00003', 'Gasolie', 'Gasolie', '1', 'geokon')
   insert into dma_fyringsanlaegBraendselskategori (Id, Navn, Beskrivelse, Aktiv, created_by) values ('MCPBK00004', 'Andet flydende brndsel end gasolie', 'Andet flydende brndsel end gasolie', '1', 'geokon')
   insert into dma_fyringsanlaegBraendselskategori (Id, Navn, Beskrivelse, Aktiv, created_by) values ('MCPBK00005', 'Naturgas', 'Naturgas', '1', 'geokon')
   insert into dma_fyringsanlaegBraendselskategori (Id, Navn, Beskrivelse, Aktiv, created_by) values ('MCPBK00006', 'Andet gasformigt brndsel end naturgas', 'Andet gasformigt brndsel end naturgas', '1', 'geokon')
end;

--******************************************************************************
-- ny tabel dma_fyringsanlaegBraendselstype                           23-01-2019
--******************************************************************************

create table dbo.dma_fyringsanlaegBraendselstype (
    Id                            varchar(50)     not null,
    Navn                          varchar(80)     not null,
    Beskrivelse                   varchar(4000)   null,
    Aktiv                         varchar(1)      null,
    created                       datetime        null default current_timestamp,
    created_by                    varchar(6)      null default current_user,
    changed                       datetime        null,
    changed_by                    varchar(6)      null,
    constraint pk_dma_fyringsanlaegBraendselstype primary key (Id)
);
grant select on dma_fyringsanlaegBraendselstype to public;
if exists (select name from sysusers where name = 'sysmgr')
   grant delete,insert,update on dma_fyringsanlaegBraendselstype to sysmgr;

-- Fyld data i tabellen hvis den er tom.

if not exists (select * from dma_fyringsanlaegBraendselstype)
begin
   insert into dma_fyringsanlaegBraendselstype (Id, Navn, Beskrivelse, Aktiv, created_by) values ('MCPBT00001', 'Anden fast biomasse end fast trbiomasse og halm', 'Anden fast biomasse end fast trbiomasse og halm', '1', 'geokon')
   insert into dma_fyringsanlaegBraendselstype (Id, Navn, Beskrivelse, Aktiv, created_by) values ('MCPBT00002', 'Andet fast brndsel', 'Andet fast brndsel', '1', 'geokon')
   insert into dma_fyringsanlaegBraendselstype (Id, Navn, Beskrivelse, Aktiv, created_by) values ('MCPBT00003', 'Andet fast brndsel end fast biomasse', 'Andet fast brndsel end fast biomasse', '1', 'geokon')
   insert into dma_fyringsanlaegBraendselstype (Id, Navn, Beskrivelse, Aktiv, created_by) values ('MCPBT00004', 'Andet flydende brndsel end gasolie', 'Andet flydende brndsel end gasolie', '1', 'geokon')
   insert into dma_fyringsanlaegBraendselstype (Id, Navn, Beskrivelse, Aktiv, created_by) values ('MCPBT00005', 'Andet gasformig brndsel end naturgas og biogas', 'Andet gasformig brndsel end naturgas og biogas', '1', 'geokon')
   insert into dma_fyringsanlaegBraendselstype (Id, Navn, Beskrivelse, Aktiv, created_by) values ('MCPBT00006', 'Andet gasformig brndsel end naturgas, biogas og forgasningsgas', 'Andet gasformig brndsel end naturgas, biogas og forgasningsgas', '1', 'geokon')
   insert into dma_fyringsanlaegBraendselstype (Id, Navn, Beskrivelse, Aktiv, created_by) values ('MCPBT00007', 'Andet gasformig brndsel end naturgas, biogas og LPG', 'Andet gasformig brndsel end naturgas, biogas og LPG', '1', 'geokon')
   insert into dma_fyringsanlaegBraendselstype (Id, Navn, Beskrivelse, Aktiv, created_by) values ('MCPBT00008', 'Andet gasformig brndsel end naturgas, biogas, LPG og forgasningsgas', 'Andet gasformig brndsel end naturgas, biogas, LPG og forgasningsgas', '1', 'geokon')
   insert into dma_fyringsanlaegBraendselstype (Id, Navn, Beskrivelse, Aktiv, created_by) values ('MCPBT00009', 'Biogas', 'Biogas', '1', 'geokon')
   insert into dma_fyringsanlaegBraendselstype (Id, Navn, Beskrivelse, Aktiv, created_by) values ('MCPBT00010', 'Fast trbiomasse', 'Fast trbiomasse', '1', 'geokon')
   insert into dma_fyringsanlaegBraendselstype (Id, Navn, Beskrivelse, Aktiv, created_by) values ('MCPBT00011', 'Forgasningsgas', 'Forgasningsgas', '1', 'geokon')
   insert into dma_fyringsanlaegBraendselstype (Id, Navn, Beskrivelse, Aktiv, created_by) values ('MCPBT00012', 'Gasolie', 'Gasolie', '1', 'geokon')
   insert into dma_fyringsanlaegBraendselstype (Id, Navn, Beskrivelse, Aktiv, created_by) values ('MCPBT00013', 'Halm', 'Halm', '1', 'geokon')
   insert into dma_fyringsanlaegBraendselstype (Id, Navn, Beskrivelse, Aktiv, created_by) values ('MCPBT00014', 'LPG', 'LPG', '1', 'geokon')
   insert into dma_fyringsanlaegBraendselstype (Id, Navn, Beskrivelse, Aktiv, created_by) values ('MCPBT00015', 'Naturgas', 'Naturgas', '1', 'geokon')
   insert into dma_fyringsanlaegBraendselstype (Id, Navn, Beskrivelse, Aktiv, created_by) values ('MCPBT00016', 'Vegetabilsk olie', 'Vegetabilsk olie', '1', 'geokon')
end;

--******************************************************************************
-- ny tabel dma_fyringsanlaegstype                                    23-01-2019
--******************************************************************************

create table dbo.dma_fyringsanlaegstype (
    Id                            varchar(50)     not null,
    Navn                          varchar(80)     not null,
    Beskrivelse                   varchar(4000)   null,
    Aktiv                         varchar(1)      null,
    created                       datetime        null default current_timestamp,
    created_by                    varchar(6)      null default current_user,
    changed                       datetime        null,
    changed_by                    varchar(6)      null,
    constraint pk_dma_fyringsanlaegstype primary key (Id)
);
grant select on dma_fyringsanlaegstype to public;
if exists (select name from sysusers where name = 'sysmgr')
   grant delete,insert,update on dma_fyringsanlaegstype to sysmgr;

-- Fyld data i tabellen hvis den er tom.

if not exists (select * from dma_fyringsanlaegstype)
begin
   insert into dma_fyringsanlaegstype (Id, Navn, Beskrivelse, Aktiv, created_by) values ('MCPAT00001', 'Dieselmotor', 'En dieselmotor', '1', 'geokon')
   insert into dma_fyringsanlaegstype (Id, Navn, Beskrivelse, Aktiv, created_by) values ('MCPAT00002', 'Gasturbine', 'Enhver roterende maskine, der omdanner termisk energi til mekanisk arbejde, og som hovedsagelig bestr af en kompressor, en termisk anordning, hvori brndslet oxyderes med henblik p at opvarme arbejdsvsken, og en turbine. Gasturbiner omfatter bde gasturbiner med ben cyklus og kombineret cyklus og gasturbiner i kraftvarmedrift, alle med eller uden supplerende indfyring.', '1', 'geokon')
   insert into dma_fyringsanlaegstype (Id, Navn, Beskrivelse, Aktiv, created_by) values ('MCPAT00003', 'Kedel', 'Andre fyringsanlg end motorer og gasturbiner', '1', 'geokon')
   insert into dma_fyringsanlaegstype (Id, Navn, Beskrivelse, Aktiv, created_by) values ('MCPAT00004', 'Dual-fuel motor', 'En dual-fuel motor', '1', 'geokon')
   insert into dma_fyringsanlaegstype (Id, Navn, Beskrivelse, Aktiv, created_by) values ('MCPAT00005', 'Anden motor', 'Andre motorer end diesel- og dual-fuel-motorer', '1', 'geokon')
end;

--******************************************************************************
-- ny tabel dma_fyringsanlaegVedroererNACEKode                        23-01-2019
--******************************************************************************

create table dbo.dma_fyringsanlaegVedroererNACEKode (
    Id                            varchar(50)     not null,
    Navn                          varchar(80)     not null,
    Beskrivelse                   varchar(4000)   null,
    Aktiv                         varchar(1)      null,
    created                       datetime        null default current_timestamp,
    created_by                    varchar(6)      null default current_user,
    changed                       datetime        null,
    changed_by                    varchar(6)      null,
    constraint pk_dma_fyringsanlaegVedroererNACEKode primary key (Id)
);
grant select on dma_fyringsanlaegVedroererNACEKode to public;
if exists (select name from sysusers where name = 'sysmgr')
   grant delete,insert,update on dma_fyringsanlaegVedroererNACEKode to sysmgr;

-- Fyld data i tabellen hvis den er tom.

if not exists (select * from dma_fyringsanlaegVedroererNACEKode)
begin
   insert into dma_fyringsanlaegVedroererNACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('MCPVN00001', '35.11', 'Produktion af elektricitet', '1', 'geokon')
   insert into dma_fyringsanlaegVedroererNACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('MCPVN00002', '35.30', 'Fjernvarmeforsyning', '1', 'geokon')
end;

--******************************************************************************
-- ny tabel dma_noedanlaegstype                                       23-01-2019
--******************************************************************************

create table dbo.dma_noedanlaegstype (
    Id                            varchar(50)     not null,
    Navn                          varchar(80)     not null,
    Beskrivelse                   varchar(4000)   null,
    Aktiv                         varchar(1)      null,
    created                       datetime        null default current_timestamp,
    created_by                    varchar(6)      null default current_user,
    changed                       datetime        null,
    changed_by                    varchar(6)      null,
    constraint pk_dma_noedanlaegstype primary key (Id)
);
grant select on dma_noedanlaegstype to public;
if exists (select name from sysusers where name = 'sysmgr')
   grant delete,insert,update on dma_noedanlaegstype to sysmgr;

-- Fyld data i tabellen hvis den er tom.

if not exists (select * from dma_noedanlaegstype)
begin
   insert into dma_noedanlaegstype (Id, Navn, Beskrivelse, Aktiv, created_by) values ('MCPNT00001', 'Nyt ndanlg max 500 timer', 'Anlgget er et nyt ndanlg med hjst 500 rlige driftstimer som et rullende gennemsnit over 3 r.', '1', 'geokon')
   insert into dma_noedanlaegstype (Id, Navn, Beskrivelse, Aktiv, created_by) values ('MCPNT00002', 'Bestende ndanlg max 500 timer', 'Anlgget er et bestende ndanlg med hjst 500 rlige driftstimer som et rullende gennemsnit over 5 r.', '1', 'geokon')
   insert into dma_noedanlaegstype (Id, Navn, Beskrivelse, Aktiv, created_by) values ('MCPNT00003', 'Bestende spidslastanlg max 500 timer', 'Anlgget er et bestende spidslastanlg med hjst 500 rlige driftstimer som et rullende gennemsnit over 5 r.', '1', 'geokon')
   insert into dma_noedanlaegstype (Id, Navn, Beskrivelse, Aktiv, created_by) values ('MCPNT00004', 'Omfattet af  11, stk. 2 eller 5 max 1000 timer', 'Anlgget er omfattet af  11, stk. 2, eller stk. 5, og har hjst 1000 rlige driftstimer som et rullende gennemsnit over 5 r.', '1', 'geokon')
end;

--******************************************************************************
-- ny tabel dma_NACEKode                                              23-01-2019
--******************************************************************************

create table dbo.dma_NACEKode (
    Id                            varchar(50)     not null,
    Navn                          varchar(80)     not null,
    Beskrivelse                   varchar(4000)   null,
    Aktiv                         varchar(1)      null,
    created                       datetime        null default current_timestamp,
    created_by                    varchar(6)      null default current_user,
    changed                       datetime        null,
    changed_by                    varchar(6)      null,
    constraint pk_dma_NACEKode primary key (Id)
);
grant select on dma_NACEKode to public;
if exists (select name from sysusers where name = 'sysmgr')
   grant delete,insert,update on dma_NACEKode to sysmgr;

-- Fyld data i tabellen hvis den er tom.

if not exists (select * from dma_NACEKode)
begin
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000001', '01.11', 'Dyrkning af korn (undtagen ris), blgfrugter og olieholdige fr', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000002', '01.12', 'Dyrkning af ris', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000003', '01.13', 'Dyrkning af grntsager og meloner, rdder og rodknolde', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000004', '01.14', 'Dyrkning af sukkerrr', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000005', '01.15', 'Dyrkning af tobak', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000006', '01.16', 'Dyrkning af tekstilplanter', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000007', '01.19', 'Dyrkning af andre etrige afgrder', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000008', '01.21', 'Dyrkning af druer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000009', '01.22', 'Dyrkning af tropiske og subtropiske frugter', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000010', '01.23', 'Dyrkning af citrusfrugter', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000011', '01.24', 'Dyrkning af kernefrugter og stenfrugter', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000012', '01.25', 'Dyrkning af andre trfrugter, br og ndder', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000013', '01.26', 'Dyrkning af olieholdige frugter', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000014', '01.27', 'Dyrkning af planter til fremstilling af drikkevarer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000015', '01.28', 'Dyrkning af krydderiplanter, aromaplanter og lgeplanter', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000016', '01.29', 'Dyrkning af andre flerrige afgrder', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000017', '01.30', 'Planteformering', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000018', '01.41', 'Avl af malkekvg', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000019', '01.42', 'Avl af andet kvg og bfler', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000020', '01.43', 'Avl af heste og dyr af hestefamilien', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000021', '01.44', 'Avl af kameler og dyr af kamelfamilien', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000022', '01.45', 'Avl af fr og geder', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000023', '01.46', 'Svineavl', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000024', '01.47', 'Fjerkravl', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000025', '01.49', 'Avl af andre dyr', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000026', '01.50', 'Blandet drift', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000027', '01.61', 'Serviceydelser i forbindelse med planteavl', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000028', '01.62', 'Serviceydelser i forbindelse med husdyravl', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000029', '01.63', 'Forarbejdning af afgrder efter hst', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000030', '01.64', 'Forarbejdning af fr/sdekorn til udsd', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000031', '01.70', 'Jagt, fldefangst og serviceydelser i forbindelse hermed', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000032', '02.10', 'Dyrkning af trer og andre skovbrugsaktiviteter', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000033', '02.20', 'Skovning', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000034', '02.30', 'Indsamling af vildtvoksende forstmateriale undtagen trer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000035', '02.40', 'Serviceydelser til skovbrug', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000036', '03.11', 'Havfiskeri', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000037', '03.12', 'Ferskvandsfiskeri', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000038', '03.21', 'Havbrug', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000039', '03.22', 'Ferskvandsbrug', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000040', '05.10', 'Indvinding af stenkul', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000041', '05.20', 'Indvinding af brunkul', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000042', '06.10', 'Indvinding af rolie', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000043', '06.20', 'Indvinding af naturgas', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000044', '07.10', 'Brydning af jernmalm', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000045', '07.21', 'Brydning af uran- og thoriummalme', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000046', '07.29', 'Brydning af andre ikke-jernholdige metalmalme', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000047', '08.11', 'Brydning af pynte- og bygningssten, kalksten, gips, kridt og skifer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000048', '08.12', 'Grus- og sandgravning; indvinding af ler og kaolin', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000049', '08.91', 'Indvinding af mineraler til fremstilling af kemiske produkter og gdningsstoffer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000050', '08.92', 'Indvinding af trv', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000051', '08.93', 'Saltindvinding', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000052', '08.99', 'Anden rstofindvinding i.a.n.', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000053', '09.10', 'Serviceydelser i forbindelse med indvinding af rolie og naturgas', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000054', '09.90', 'Serviceydelser i forbindelse med anden rstofindvinding', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000055', '10.11', 'Forarbejdning og konservering af kd', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000056', '10.12', 'Forarbejdning og konservering af fjerkrkd', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000057', '10.13', 'Produktion af kd- og fjerkrkdprodukter', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000058', '10.20', 'Forarbejdning og konservering af fisk, krebsdyr og blddyr', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000059', '10.31', 'Forarbejdning og konservering af kartofler', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000060', '10.32', 'Fremstilling af frugt- og grntsagssaft', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000061', '10.39', 'Anden forarbejdning og konservering af frugt og grntsager', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000062', '10.41', 'Fremstilling af olier og fedtstoffer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000063', '10.42', 'Fremstilling af margarine o.l. spiselige fedtstoffer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000064', '10.51', 'Mejerier samt ostefremstilling', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000065', '10.52', 'Fremstilling af konsumis', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000066', '10.61', 'Fremstilling af mlleriprodukter', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000067', '10.62', 'Fremstilling af stivelse og stivelsesprodukter', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000068', '10.71', 'Fremstilling af brd, fremstilling af friske kager, trter mv.', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000069', '10.72', 'Fremstilling af tvebakker og kiks; fremstilling af konserverede kager, trter mv.', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000070', '10.73', 'Fremstilling af makaroni, nudler, couscous og lignende dejvarer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000071', '10.81', 'Fremstilling af sukker', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000072', '10.82', 'Fremstilling af kakao, chokolade og sukkervarer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000073', '10.83', 'Forarbejdning af te og kaffe', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000074', '10.84', 'Fremstilling af smagsprparater og krydderier', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000075', '10.85', 'Fremstilling af frdigretter', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000076', '10.86', 'Fremstilling af homogeniserede produkter og ditmad', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000077', '10.89', 'Fremstilling af andre fdevarer i.a.n.', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000078', '10.91', 'Fremstilling af frdige foderblandinger til landbrugsdyr', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000079', '10.92', 'Fremstilling af frdige foderblandinger til kledyr', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000080', '11.01', 'Destillation, rektifikation og blanding af alkohol', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000081', '11.02', 'Fremstilling af vin af druer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000082', '11.03', 'Fremstilling af cider og anden frugtvin', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000083', '11.04', 'Fremstilling af andre ikke-destillerede grede drikkevarer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000084', '11.05', 'Fremstilling af l', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000085', '11.06', 'Fremstilling af malt', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000086', '11.07', 'Fremstilling af lskedrikke; fremstilling af mineralvand og andet vand p flaske', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000087', '12.00', 'Fremstilling af tobaksprodukter', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000088', '13.10', 'Forbehandling og spinding af tekstilfibre', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000089', '13.20', 'Vvning af tekstiler', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000090', '13.30', 'Efterbehandling af tekstiler', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000091', '13.91', 'Fremstilling af trikotagestoffer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000092', '13.92', 'Fremstilling af frdige tekstilvarer undtagen bekldningsartikler', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000093', '13.93', 'Fremstilling af tpper', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000094', '13.94', 'Fremstilling af reb, tovvrk, sejlgarn og netstoffer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000095', '13.95', 'Fremstilling af fiberdug og varer af fiberdug undtagen bekldningsartikler', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000096', '13.96', 'Fremstilling af andre tekniske og industrielle tekstiler', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000097', '13.99', 'Fremstilling af andre tekstiler i.a.n.', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000098', '14.11', 'Fremstilling af bekldningsartikler af lder', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000099', '14.12', 'Fremstilling af arbejdsbekldning', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000100', '14.13', 'Fremstilling af anden yderbekldning', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000101', '14.14', 'Fremstilling af underbekldning', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000102', '14.19', 'Fremstilling af andre bekldningsartikler samt tilbehr', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000103', '14.20', 'Fremstilling af varer af pelsskind', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000104', '14.31', 'Fremstilling af strikkede og hklede strmpevarer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000105', '14.39', 'Fremstilling af andre strikkede og hklede bekldningsartikler', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000106', '15.11', 'Garvning og beredning af lder; beredning og farvning af pelsskind', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000107', '15.12', 'Fremstilling af tasker, kufferter, sadelmagervarer mv.', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000108', '15.20', 'Fremstilling af fodtj', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000109', '16.10', 'Udsavning og hvling af tr', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000110', '16.21', 'Fremstilling af finerplader og trbaserede plader', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000111', '16.22', 'Fremstilling af sammensatte parketstave', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000112', '16.23', 'Fremstilling af bygningstmmer og snedkeriartikler i vrigt', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000113', '16.24', 'Fremstilling af tremballage', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000114', '16.29', 'Fremstilling af andre trprodukter; fremstilling af varer af kork, str og flettematerialer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000115', '17.11', 'Fremstilling af papirmasse', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000116', '17.12', 'Fremstilling af papir og pap', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000117', '17.21', 'Fremstilling af blgepap og pap og emballage af papir og pap', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000118', '17.22', 'Fremstilling af husholdningsartikler og hygiejneartikler samt toiletartikler af papir og pap', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000119', '17.23', 'Fremstilling af kontorartikler af papir', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000120', '17.24', 'Fremstilling af tapet', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000121', '17.29', 'Fremstilling af andre papir- og papvarer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000122', '18.11', 'Trykning af dagblade', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000123', '18.12', 'Anden trykning', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000124', '18.13', 'Prepress- og premedia-arbejde', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000125', '18.14', 'Bogbinding og lignende serviceydelser', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000126', '18.20', 'Reproduktion af indspillede medier', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000127', '19.10', 'Fremstilling af koks mv.', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000128', '19.20', 'Fremstilling af raffinerede mineralolieprodukter', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000129', '20.11', 'Fremstilling af industrigasser', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000130', '20.12', 'Fremstilling af farvestoffer og pigmenter', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000131', '20.13', 'Fremstilling af andre uorganiske basiskemikalier', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000132', '20.14', 'Fremstilling af andre organiske basiskemikalier', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000133', '20.15', 'Fremstilling af gdningsstoffer og nitrogenprodukter', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000134', '20.16', 'Fremstilling af plast i ubearbejdet form', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000135', '20.17', 'Fremstilling af syntetisk gummi i ubearbejdet form', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000136', '20.20', 'Fremstilling af pesticider og andre agrokemiske produkter', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000137', '20.30', 'Fremstilling af maling, lak og lignende overfladebehandlingsmidler, trykfarver samt ttningsmaterialer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000138', '20.41', 'Fremstilling af sbe, rengrings- og rensemidler samt poleremidler', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000139', '20.42', 'Fremstilling af parfume, hrshampoo, tandpasta mv.', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000140', '20.51', 'Fremstilling af sprngstoffer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000141', '20.52', 'Fremstilling af lim', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000142', '20.53', 'Fremstilling af teriske olier', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000143', '20.59', 'Fremstilling af andre kemiske produkter i.a.n.', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000144', '20.60', 'Fremstilling af kemofibre', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000145', '21.10', 'Fremstilling af farmaceutiske rvarer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000146', '21.20', 'Fremstilling af farmaceutiske prparater', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000147', '22.11', 'Fremstilling af gummidk og gummislanger; vulkanisering af dk', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000148', '22.19', 'Fremstilling af andre gummiprodukter', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000149', '22.21', 'Fremstilling af plader, ark, rr og slanger samt profiler af plast', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000150', '22.22', 'Fremstilling af plastemballage', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000151', '22.23', 'Fremstilling af bygningsartikler af plast', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000152', '22.29', 'Fremstilling af andre plastprodukter', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000153', '23.11', 'Fremstilling af planglas', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000154', '23.12', 'Formning og forarbejdning af planglas', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000155', '23.13', 'Fremstilling af flasker, drikkeglas mv.', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000156', '23.14', 'Fremstilling af glasfiber', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000157', '23.19', 'Fremstilling og bearbejdning af andet glas (herunder teknisk glas)', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000158', '23.20', 'Fremstilling af ildfaste produkter', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000159', '23.31', 'Fremstilling af keramiske teglsten og gulvfliser', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000160', '23.32', 'Fremstilling af mursten, teglsten og byggematerialer af brndt ler', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000161', '23.41', 'Fremstilling af keramiske husholdningsartikler og pyntegenstande', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000162', '23.42', 'Fremstilling af keramiske sanitetsartikler', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000163', '23.43', 'Fremstilling af keramiske isolatorer og isoleringsdele', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000164', '23.44', 'Fremstilling af andre keramiske produkter til teknisk brug', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000165', '23.49', 'Fremstilling af andre keramiske produkter', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000166', '23.51', 'Fremstilling af cement', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000167', '23.52', 'Fremstilling af kalk og gips', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000168', '23.61', 'Fremstilling af byggematerialer af beton', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000169', '23.62', 'Fremstilling af byggematerialer af gips', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000170', '23.63', 'Fremstilling af frdigblandet beton', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000171', '23.64', 'Fremstilling af mrtel', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000172', '23.65', 'Fremstilling af fibercement', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000173', '23.69', 'Fremstilling af andre beton-, gips- og cementprodukter', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000174', '23.70', 'Tilhugning, tilskring og frdigbearbejdning af sten', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000175', '23.91', 'Fremstilling af slibemidler', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000176', '23.99', 'Fremstilling af andre ikke-metalholdige mineralske produkter i.a.n.', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000177', '24.10', 'Fremstilling af rjern og rstl samt jernlegeringer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000178', '24.20', 'Fremstilling af rr og hule profiler og tilhrende fittings af stl', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000179', '24.31', 'Fremstilling af stnger ved koldtrkning', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000180', '24.32', 'Fremstilling af stlbnd ved koldvalsning', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000181', '24.33', 'Koldbehandling', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000182', '24.34', 'Fremstilling af trd ved koldtrkning', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000183', '24.41', 'Fremstilling af delmetaller', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000184', '24.42', 'Fremstilling af aluminium', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000185', '24.43', 'Fremstilling af bly, zink og tin', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000186', '24.44', 'Fremstilling af kobber', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000187', '24.45', 'Anden fremstilling af ikke-jernholdige metaller', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000188', '24.46', 'Oparbejdning af nukleart brndsel', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000189', '24.51', 'Stbning af jernprodukter', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000190', '24.52', 'Stbning af stlprodukter', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000191', '24.53', 'Stbning af letmetalprodukter', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000192', '24.54', 'Stbning af andre ikke-jernholdige metalprodukter', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000193', '25.11', 'Fremstilling af metalkonstruktioner og dele heraf', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000194', '25.12', 'Fremstilling af dre og vinduer af metal', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000195', '25.21', 'Fremstilling af radiatorer og kedler til centralvarmeanlg', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000196', '25.29', 'Fremstilling af andre tanke og beholdere af metal', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000197', '25.30', 'Fremstilling af dampkedler undtagen centralvarmekedler', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000198', '25.40', 'Fremstilling af vben og ammunition', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000199', '25.50', 'Smedning, presning, snksmedning og valsning af metal; pulvermetallurgi', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000200', '25.61', 'Overfladebehandling af metal', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000201', '25.62', 'Maskinforarbejdning', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000202', '25.71', 'Fremstilling af bestik, skre- og klipperedskaber', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000203', '25.72', 'Fremstilling af lse og hngsler', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000204', '25.73', 'Fremstilling af hndvrktj', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000205', '25.91', 'Fremstilling af metaltnder og lignende beholdere', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000206', '25.92', 'Fremstilling af letmetalemballage', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000207', '25.93', 'Fremstilling af trdvarer, kder og fjedre', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000208', '25.94', 'Fremstilling af lukkeanordninger, bolte, skruer og mtrikker', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000209', '25.99', 'Fremstilling af andre frdige metalprodukter i.a.n.', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000210', '26.11', 'Fremstilling af elektroniske komponenter', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000211', '26.12', 'Fremstilling af printplader o.l.', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000212', '26.20', 'Fremstilling af computere og ydre enheder', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000213', '26.30', 'Fremstilling af kommunikationsudstyr', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000214', '26.40', 'Fremstilling af elektronik til husholdninger', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000215', '26.51', 'Fremstilling af udstyr til mling, afprvning, navigation og kontrol', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000216', '26.52', 'Fremstilling af ure', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000217', '26.60', 'Fremstilling af bestrlingsudstyr og elektromedicinsk og elektroterapeutisk apparatur', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000218', '26.70', 'Fremstilling af optiske instrumenter og fotografisk udstyr', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000219', '26.80', 'Fremstilling af magnetiske og optiske media', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000220', '27.11', 'Fremstilling af elektriske motorer, generatorer og transformatorer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000221', '27.12', 'Fremstilling af elektriske fordelings- og kontrolapparater', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000222', '27.20', 'Fremstilling af batterier og akkumulatorer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000223', '27.31', 'Fremstilling af lyslederkabler', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000224', '27.32', 'Fremstilling af andre elektroniske og elektriske ledninger og kabler', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000225', '27.33', 'Fremstilling af tilbehr til ledninger og kabler', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000226', '27.40', 'Fremstilling af elektriske belysningsartikler', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000227', '27.51', 'Fremstilling af elektriske husholdningsapparater', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000228', '27.52', 'Fremstilling af ikke-elektriske husholdningsapparater', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000229', '27.90', 'Fremstilling af andet elektrisk udstyr', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000230', '28.11', 'Fremstilling af motorer og turbiner undtagen motorer til flyvemaskiner, motorkretjer og knallerter', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000231', '28.12', 'Fremstilling af hydraulisk udstyr', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000232', '28.13', 'Fremstilling af andre pumper og kompressorer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000233', '28.14', 'Fremstilling af andre haner og ventiler', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000234', '28.15', 'Fremstilling af lejer, tandhjul, tandhjulsudvekslinger og drivelementer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000235', '28.21', 'Fremstilling af ovne, ildsteder og fyringsaggregater', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000236', '28.22', 'Fremstilling af lfte- og hndteringsudstyr', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000237', '28.23', 'Fremstilling af kontormaskiner og -udstyr (undtagen computere og ydre enheder)', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000238', '28.24', 'Fremstilling af motordrevet hndvrktj', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000239', '28.25', 'Fremstilling af kle- og ventilationsanlg (til industriel brug)', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000240', '28.29', 'Fremstilling af andre maskiner til generelle forml i.a.n.', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000241', '28.30', 'Fremstilling af landbrugs- og skovbrugsmaskiner', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000242', '28.41', 'Fremstilling af metalforarbejdende vrktjsmaskiner', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000243', '28.49', 'Fremstilling af andre vrktjsmaskiner', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000244', '28.91', 'Fremstilling af maskiner til metallurgi', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000245', '28.92', 'Fremstilling af maskiner til rstofindvindingsindustrien samt bygge- og anlg', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000246', '28.93', 'Fremstilling af maskiner til fde-, drikke- og tobaksvareindustrien', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000247', '28.94', 'Fremstilling af maskiner til produktion af tekstiler, bekldningsartikler og lder', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000248', '28.95', 'Fremstilling af maskiner til produktion af papir og pap', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000249', '28.96', 'Fremstilling af maskiner til produktion af plast og gummi', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000250', '28.99', 'Fremstilling af vrige maskiner til specielle forml i.a.n.', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000251', '29.10', 'Fremstilling af motorkretjer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000252', '29.20', 'Fremstilling af karosserier til motorkretjer; fremstilling af phngsvogne og sttevogne', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000253', '29.31', 'Fremstilling af elektrisk og elektronisk udstyr til motorkretjer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000254', '29.32', 'Fremstilling af andre dele og tilbehr til motorkretjer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000255', '30.11', 'Bygning af skibe og flydende materiel', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000256', '30.12', 'Bygning af bde til fritid og sport', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000257', '30.20', 'Fremstilling af lokomotiver og andet rullende materiel til jernbaner og sporveje', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000258', '30.30', 'Fremstilling af luft- og rumfartjer o.l.', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000259', '30.40', 'Fremstilling af militre kampfartjer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000260', '30.91', 'Fremstilling af motorcykler', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000261', '30.92', 'Fremstilling af cykler og invalidekretjer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000262', '30.99', 'Fremstilling af andre transportmidler i.a.n.', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000263', '31.01', 'Fremstilling af kontor- og butiksmbler', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000264', '31.02', 'Fremstilling af kkkenmbler', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000265', '31.03', 'Fremstilling af madrasser', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000266', '31.09', 'Fremstilling af andre mbler', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000267', '32.11', 'Prgning af mnter', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000268', '32.12', 'Fremstilling af smykker i dle metaller og relaterede produkter', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000269', '32.13', 'Fremstilling af bijouteri og lignende varer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000270', '32.20', 'Fremstilling af musikinstrumenter', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000271', '32.30', 'Fremstilling af sportsudstyr', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000272', '32.40', 'Fremstilling af spil og legetj', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000273', '32.50', 'Fremstilling af medicinske og dentale instrumenter samt udstyr hertil', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000274', '32.91', 'Fremstilling af koste og brster', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000275', '32.99', 'Anden fremstillingsvirksomhed i.a.n.', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000276', '33.11', 'Reparation af jern- og metalvarer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000277', '33.12', 'Reparation af maskiner', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000278', '33.13', 'Reparation af elektronisk og optisk udstyr', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000279', '33.14', 'Reparation af elektrisk udstyr', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000280', '33.15', 'Reparation og vedligeholdelse af skibe og bde', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000281', '33.16', 'Reparation og vedligeholdelse af luft- og rumfartjer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000282', '33.17', 'Reparation og vedligeholdelse af andre transportmidler', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000283', '33.19', 'Reparation af andet udstyr', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000284', '33.20', 'Installation af industrimaskiner og -udstyr', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000285', '35.11', 'Produktion af elektricitet', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000286', '35.12', 'Transmission af elektricitet', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000287', '35.13', 'Distribution af elektricitet', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000288', '35.14', 'Handel med elektricitet', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000289', '35.21', 'Fremstilling af gas', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000290', '35.22', 'Distribution af gas', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000291', '35.23', 'Handel med gas gennem rrledninger', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000292', '35.30', 'Fjernvarmeforsyning', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000293', '36.00', 'Vandforsyning', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000294', '37.00', 'Opsamling og behandling af spildevand', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000295', '38.11', 'Indsamling af ikke-farligt affald', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000296', '38.12', 'Indsamling af farligt affald', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000297', '38.21', 'Behandling og bortskaffelse af ikke-farligt affald', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000298', '38.22', 'Behandling og bortskaffelse af farligt affald', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000299', '38.31', 'Demontering af udtjente kretjer, skibe, maskiner mv.', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000300', '38.32', 'Genbrug af sorterede materialer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000301', '39.00', 'Rensning af jord og grundvand og anden form for forureningsbekmpelse', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000302', '41.10', 'Gennemfrelse af byggeprojekter', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000303', '41.20', 'Opfrelse af bygninger', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000304', '42.11', 'Anlg af veje og motorveje', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000305', '42.12', 'Anlg af jernbaner og undergrundsbaner', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000306', '42.13', 'Anlg af broer og tunneller', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000307', '42.21', 'Anlg af ledningsnet til vsker', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000308', '42.22', 'Anlg af ledningsnet til elektricitet og telekommunikation', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000309', '42.91', 'Udfrelse af vandbygningsanlg', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000310', '42.99', 'Anden anlgsvirksomhed i.a.n.', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000311', '43.11', 'Nedrivning', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000312', '43.12', 'Forberedende byggepladsarbejder', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000313', '43.13', 'Funderingsundersgelser', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000314', '43.21', 'El-installation', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000315', '43.22', 'VVS- og blikkenslagerforretninger, installation af varme- og airconditioninganlg', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000316', '43.29', 'Anden bygningsinstallationsvirksomhed', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000317', '43.31', 'Stukkatrvirksomhed', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000318', '43.32', 'Tmrer- og bygningssnedkervirksomhed', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000319', '43.33', 'Udfrelse af gulvbelgninger og vgbekldning', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000320', '43.34', 'Maler- og glarmestervirksomhed', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000321', '43.39', 'Anden bygningsfrdiggrelse', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000322', '43.91', 'Tagdkningsvirksomhed', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000323', '43.99', 'Anden bygge- og anlgsvirksomhed, som krver specialisering, i.a.n.', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000324', '45.11', 'Salg af biler og lette motorkretjer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000325', '45.19', 'Salg af andre motorkretjer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000326', '45.20', 'Vedligeholdelse og reparation af motorkretjer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000327', '45.31', 'Engroshandel med reservedele og tilbehr til motorkretjer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000328', '45.32', 'Detailhandel med reservedele og tilbehr til motorkretjer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000329', '45.40', 'Salg, vedligeholdelse og reparation af motorcykler og reservedele og tilbehr hertil', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000330', '46.11', 'Agenturhandel med landbrugsrvarer, levende dyr, tekstilmaterialer og halvfabrikata', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000331', '46.12', 'Agenturhandel med brndstoffer, malme, metaller og kemiske produkter til industrien', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000332', '46.13', 'Agenturhandel med tmmer og andre byggematerialer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000333', '46.14', 'Agenturhandel med maskiner, teknisk udstyr, skibe og flyvemaskiner', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000334', '46.15', 'Agenturhandel med mbler, husholdningsartikler og isenkram', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000335', '46.16', 'Agenturhandel med tekstiler, bekldning, pelsvrk, fodtj og ldervarer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000336', '46.17', 'Agenturhandel med fde-, drikke- og tobaksvarer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000337', '46.18', 'Agenturhandel med specialiseret varesortiment i.a.n.', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000338', '46.19', 'Agenturhandel med blandet sortiment', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000339', '46.21', 'Engroshandel med korn, uforarbejdet tobak, ssd og foderstoffer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000340', '46.22', 'Engroshandel med blomster og planter', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000341', '46.23', 'Engroshandel med levende dyr', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000342', '46.24', 'Engroshandel med huder, skind og lder', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000343', '46.31', 'Engroshandel med frugt og grntsager', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000344', '46.32', 'Engroshandel med kd og kdprodukter', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000345', '46.33', 'Engroshandel med mejeriprodukter, g samt spiselige olier og fedtstoffer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000346', '46.34', 'Engroshandel med drikkevarer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000347', '46.35', 'Engroshandel med tobaksvarer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000348', '46.36', 'Engroshandel med sukker, chokolade og sukkervarer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000349', '46.37', 'Engroshandel med kaffe, te, kakao og krydderier', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000350', '46.38', 'Engroshandel med andre fdevarer herunder fisk, krebsdyr og blddyr', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000351', '46.39', 'Ikke-specialiseret engroshandel med fde-, drikke- og tobaksvarer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000352', '46.41', 'Engroshandel med tekstiler', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000353', '46.42', 'Engroshandel med bekldning og fodtj', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000354', '46.43', 'Engroshandel med elektriske husholdningsartikler', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000355', '46.44', 'Engroshandel med porcelns- og glasvarer og rengringsmidler', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000356', '46.45', 'Engroshandel med parfumerivarer og kosmetik', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000357', '46.46', 'Engroshandel med medicinalvarer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000358', '46.47', 'Engroshandel med mbler, tpper og belysningsartikler', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000359', '46.48', 'Engroshandel med ure, smykker og guld- og slvvarer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000360', '46.49', 'Engroshandel med andre husholdningsartikler', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000361', '46.51', 'Engroshandel med computere, ydre enheder og software', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000362', '46.52', 'Engroshandel med elektronisk udstyr og telekommunikationsudstyr og dele hertil', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000363', '46.61', 'Engroshandel med landbrugsmaskiner, -udstyr og tilbehr hertil', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000364', '46.62', 'Engroshandel med vrktjsmaskiner', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000365', '46.63', 'Engroshandel med maskiner til minedrift og bygge- og anlgsvirksomhed', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000366', '46.64', 'Engroshandel med maskiner, udstyr og tilbehr til tekstilindustrien', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000367', '46.65', 'Engroshandel med kontormbler', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000368', '46.66', 'Engroshandel med andre kontormaskiner og andet kontorudstyr', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000369', '46.69', 'Engroshandel med andre maskiner og andet udstyr', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000370', '46.71', 'Engroshandel med fast, flydende og luftformigt brndstof og lignende varer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000371', '46.72', 'Engroshandel med metaller og metalmalme', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000372', '46.73', 'Engroshandel med tr og byggematerialer samt sanitetsartikler', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000373', '46.74', 'Engroshandel med isenkram, varmeanlg og tilbehr', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000374', '46.75', 'Engroshandel med kemiske produkter', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000375', '46.76', 'Engroshandel med andre rvarer og halvfabrikata', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000376', '46.77', 'Engroshandel med affaldsprodukter', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000377', '46.90', 'Ikke-specialiceret engroshandel', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000378', '47.11', 'Detailhandel fra ikke-specialiserede forretninger med hovedvgten p fde-, drikke- og tobaksvarer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000379', '47.19', 'Anden detailhandel fra ikke-specialiserede forretninger', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000380', '47.21', 'Frugt og grntforretninger', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000381', '47.22', 'Slagter og viktualieforretninger', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000382', '47.23', 'Fiskeforretninger', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000383', '47.24', 'Detailhandel med brd, konditori- og sukkervarer i specialforretninger', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000384', '47.25', 'Detailhandel med drikkevarer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000385', '47.26', 'Tobaksforretninger', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000386', '47.29', 'Anden detailhandel med fdevarer i specialforretninger', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000387', '47.30', 'Servicestationer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000388', '47.41', 'Detailhandel med computere, ydre enheder og software', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000389', '47.42', 'Detailhandel med telekommunikationsudstyr', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000390', '47.43', 'Radio- og tvforretninger', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000391', '47.51', 'Detailhandel med kjolestoffer, garn, broderier mv.', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000392', '47.52', 'Detailhandel med isenkram, maling og glas', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000393', '47.53', 'Detailhandel med tpper, vgbekldning og gulvbelgning', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000394', '47.54', 'Detailhandel med elektriske husholdningsapparater', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000395', '47.59', 'Detailhandel med mbler og belysningsartikler samt andre husholdningsartikler', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000396', '47.61', 'Detailhandel med bger', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000397', '47.62', 'Detailhandel med aviser og papirvarer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000398', '47.63', 'Detailhandel med musik- og videooptagelser', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000399', '47.64', 'Detailhandel med sportsudstyr', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000400', '47.65', 'Detailhandel med spil og legetj', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000401', '47.71', 'Detailhandel med bekldningsartikler', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000402', '47.72', 'Detailhandel med skotj og ldervarer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000403', '47.73', 'Apoteker', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000404', '47.74', 'Detailhandel med medicinske og ortopdiske artikler', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000405', '47.75', 'Detailhandel med kosmetikvarer og produkter til personlig pleje', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000406', '47.76', 'Detailhandel med blomster, planter, fr, gdningsstoffer, kledyr samt foder til kledyr', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000407', '47.77', 'Detailhandel med ure, smykker og guld- og slvvarer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000408', '47.78', 'Anden detailhandel fra specialforretninger', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000409', '47.79', 'Detailhandel med brugte varer i forretninger', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000410', '47.81', 'Detailhandel med fde-, drikke- og tobaksvarer fra stadepladser og markeder', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000411', '47.82', 'Detailhandel med tekstiler, bekldningsartikler og fodtj fra stadepladser og markeder', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000412', '47.89', 'Detailhandel med andre varer fra stadepladser og markeder', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000413', '47.91', 'Detailhandel fra postordre- eller internetforretninger', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000414', '47.99', 'Anden detailhandel undtagen fra forretninger, stadepladser og markeder', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000415', '49.10', 'Passagertransport med regional- eller fjerntog', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000416', '49.20', 'Godstransport med tog', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000417', '49.31', 'Landpassagertransport i by- og forstadsomrder', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000418', '49.32', 'Taxikrsel', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000419', '49.39', 'Anden landpassagertransport i.a.n.', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000420', '49.41', 'Vejgodstransport', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000421', '49.42', 'Flytteforretninger', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000422', '49.50', 'Rrtransport', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000423', '50.10', 'S- og kysttransport af passagerer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000424', '50.20', 'S- og kysttransport af gods', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000425', '50.30', 'Transport af passagerer ad indre vandveje', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000426', '50.40', 'Transport af gods ad indre vandveje', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000427', '51.10', 'Lufttransport af passagerer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000428', '51.21', 'Lufttransport af gods', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000429', '51.22', 'Rumfart', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000430', '52.10', 'Oplagrings- og pakhusvirksomhed', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000431', '52.21', 'Serviceydelser i forbindelse med landtransport', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000432', '52.22', 'Serviceydelser i forbindelse med skibsfart', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000433', '52.23', 'Serviceydelser i forbindelse med luftfart', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000434', '52.24', 'Godshndtering', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000435', '52.29', 'Anden hjlpevirksomhed i forbindelse med transport', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000436', '53.10', 'Posttjenester omfattet af forsyningspligten', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000437', '53.20', 'Andre post- og kurrtjenester', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000438', '55.10', 'Hoteller og lignende overnatningsfaciliteter', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000439', '55.20', 'Ferieboliger og andre indlogeringsfaciliteter til kortvarige ophold', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000440', '55.30', 'Campingpladser', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000441', '55.90', 'Andre overnatningsfaciliteter', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000442', '56.10', 'Restauranter og levering af mad ud af huset', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000443', '56.21', 'Event catering', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000444', '56.29', 'Anden restaurationsvirksomhed', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000445', '56.30', 'Cafer, vrtshuse, diskoteker mv.', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000446', '58.11', 'Udgivelse af bger', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000447', '58.12', 'Udgivelse af telefonbger og adresselister', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000448', '58.13', 'Udgivelse af aviser og dagblade', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000449', '58.14', 'Udgivelse af ugeblade og magasiner', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000450', '58.19', 'Anden udgivervirksomhed', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000451', '58.21', 'Udgivelse af computerspil', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000452', '58.29', 'Anden udgivelse af software', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000453', '59.11', 'Produktion af film, video- og tv-programmer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000454', '59.12', 'Aktiviteter, der udves efter produktion af film, video- og tv-programmer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000455', '59.13', 'Distribution af film, video- og tv-programmer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000456', '59.14', 'Biografer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000457', '59.20', 'Indspilning af lydoptagelser og udgivelse af musik', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000458', '60.10', 'Radiovirksomhed', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000459', '60.20', 'Tv-virksomhed', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000460', '61.10', 'Fastnetbaseret telekommunikation', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000461', '61.20', 'Trdls telekommunikation', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000462', '61.30', 'Satellitbaseret telekommunikation', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000463', '61.90', 'Anden telekommunikation', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000464', '62.01', 'Computerprogrammering', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000465', '62.02', 'Konsulentbistand vedrrende informationsteknologi', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000466', '62.03', 'Facility management', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000467', '62.09', 'Anden itservicevirksomhed', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000468', '63.11', 'Databehandling, webhosting og lignende serviceydelser;', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000469', '63.12', 'Webportaler', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000470', '63.91', 'Pressebureauer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000471', '63.99', 'Andre informationstjenester i.a.n.', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000472', '64.11', 'Centralbanker', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000473', '64.19', 'Anden pengeinstitutvirksomhed', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000474', '64.20', 'Holdingselskabers virksomhed', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000475', '64.30', 'Investeringsforeninger, investeringsselskaber o.l.', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000476', '64.91', 'Finansiel leasing', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000477', '64.92', 'Anden kreditformidling', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000478', '64.99', 'Anden finansiel formidling, undtagen forsikring og pensionsforsikring, i.a.n.', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000479', '65.11', 'Livsforsikring', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000480', '65.12', 'Anden forsikring', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000481', '65.20', 'Genforsikring', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000482', '65.30', 'Pensionsforsikring', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000483', '66.11', 'Forvaltning af kapitalmarkeder', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000484', '66.12', 'Vrdipapir- og varemgling', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000485', '66.19', 'Andre hjlpetjenester i forbindelse med finansieringsvirksomhed og forsikring', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000486', '66.21', 'Risiko- og skadesvurdering', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000487', '66.22', 'Forsikringsagenters og forsikringsmgleres virksomhed', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000488', '66.29', 'Andre hjlpetjenester i forbindelse med forsikring og pensionsforsikring', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000489', '66.30', 'Formueforvaltning', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000490', '68.10', 'Kb og salg af egen fast ejendom', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000491', '68.20', 'Udlejning af og virksomhed i forbindelse med egen eller leaset fast ejendom', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000492', '68.31', 'Ejendomsmglere', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000493', '68.32', 'Administration af fast ejendom p honorar- eller kontraktbasis', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000494', '69.10', 'Juridisk bistand', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000495', '69.20', 'Bogfring og revision; skatterdgivning', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000496', '70.10', 'Hovedsders virksomhed', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000497', '70.21', 'Public relations og kommunikation', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000498', '70.22', 'Virksomhedsrdgivning og anden rdgivning om driftsledelse', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000499', '71.11', 'Arkitektvirksomhed', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000500', '71.12', 'Ingenirvirksomhed og lignende teknisk rdgivning', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000501', '71.20', 'Teknisk afprvning og analyse', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000502', '72.11', 'Forskning og eksperimentel udvikling inden for bioteknologi', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000503', '72.19', 'Anden forskning og eksperimentel udvikling inden for naturvidenskab og teknik', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000504', '72.20', 'Forskning og eksperimentel udvikling inden for samfundsvidenskab og humanistiske videnskaber', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000505', '73.11', 'Reklamebureauer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000506', '73.12', 'Reklameplads i medier', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000507', '73.20', 'Markedsanalyse og offentlig meningsmling', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000508', '74.10', 'Specialiseret designarbejde', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000509', '74.20', 'Fotografisk virksomhed', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000510', '74.30', 'Oversttelse og tolkning', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000511', '74.90', 'Andre liberale, videnskabelige og tekniske tjenesteydelser i.a.n.', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000512', '75.00', 'Dyrlger', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000513', '77.11', 'Udlejning og leasing af biler og lette motorkretjer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000514', '77.12', 'Udlejning og leasing af lastbiler', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000515', '77.21', 'Udlejning og leasing af varer til fritid og sport', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000516', '77.22', 'Udlejning af videobnd og videodisks', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000517', '77.29', 'Udlejning og leasing af andre varer til personlig brug og husholdningsbrug', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000518', '77.31', 'Udlejning og leasing af landbrugsmaskiner og -udstyr', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000519', '77.32', 'Udlejning og leasing af entreprenrmateriel', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000520', '77.33', 'Udlejning af kontormaskiner og -udstyr, computere og it-udstyr', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000521', '77.34', 'Udlejning og leasing af skibe og bde', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000522', '77.35', 'Udlejning og leasing af luftfartjer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000523', '77.39', 'Udlejning og leasing af andet materiel, udstyr og andre materielle aktiver i.a.n.', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000524', '77.40', 'Leasing af intellektuelle ejendomsrettigheder og lignende produkter, dog ikke ophavsretbeskyttede vrker', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000525', '78.10', 'Arbejdsformidlingskontorer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000526', '78.20', 'Vikarbureauer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000527', '78.30', 'Anden personaleformidling', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000528', '79.11', 'Rejsebureauer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000529', '79.12', 'Rejsearrangrer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000530', '79.90', 'Andre reservationstjenesteydelser og tjenesteydelser i forbindelse hermed', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000531', '80.10', 'Private vagt- og sikkerhedstjenester', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000532', '80.20', 'Serviceydelser i forbindelse med sikkerhedssystemer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000533', '80.30', 'Overvgning', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000534', '81.10', 'Kombinerede serviceydelser', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000535', '81.21', 'Almindelig rengring i bygninger', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000536', '81.22', 'Anden rengring af bygninger og rengring af erhvervslokaler', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000537', '81.29', 'Andre rengringsydelser', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000538', '81.30', 'Landskabspleje', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000539', '82.11', 'Kombinerede administrationsserviceydelser', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000540', '82.19', 'Fotokopiering, dokumentbehandling og anden specialiseret kontorservice', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000541', '82.20', 'Call centres virksomhed', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000542', '82.30', 'Organisering af kongresser, messer og udstillinger', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000543', '82.91', 'Inkassovirksomhed og kreditoplysning', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000544', '82.92', 'Pakkerier', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000545', '82.99', 'Anden forretningsservice i.a.n.', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000546', '84.11', 'Generelle offentlige tjenester', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000547', '84.12', 'Administration af sundhedsvsen, undervisning, kultur og sociale forhold undtagen socialsikring', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000548', '84.13', 'Administration af og bidrag til erhvervsfremme', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000549', '84.21', 'Udenrigsanliggender', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000550', '84.22', 'Forsvar', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000551', '84.23', 'Domstole og fngselsvsen', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000552', '84.24', 'Politi', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000553', '84.25', 'Brandvsen', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000554', '84.30', 'Lovpligtig socialsikring mv.', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000555', '85.10', 'Frskoleundervisning', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000556', '85.20', 'Folke- og specialskoler', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000557', '85.31', 'Gymnasier, studenterkurser o.l.', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000558', '85.32', 'Tekniske skoler og fagskoler', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000559', '85.41', 'Videregende uddannelser ikke p universitetsniveau', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000560', '85.42', 'Videregende uddannelser p universitetsniveau', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000561', '85.51', 'Undervisning inden for sport og fritid', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000562', '85.52', 'Undervisning i kulturelle discipliner', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000563', '85.53', 'Kreskoler', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000564', '85.59', 'Anden undervisning i.a.n.', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000565', '85.60', 'Hjlpeydelser i forbindelse med undervisning', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000566', '86.10', 'Hospitaler', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000567', '86.21', 'Alment praktiserende lger', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000568', '86.22', 'Praktiserende speciallger', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000569', '86.23', 'Praktiserende tandlger', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000570', '86.90', 'Sundhedsvsen i vrigt', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000571', '87.10', 'Institutionsophold med sygepleje', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000572', '87.20', 'Institutionsophold for psykisk handicappede, psykisk syge og stofmisbrugere', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000573', '87.30', 'Institutionsophold for ldre og handicappede', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000574', '87.90', 'Andre former for institutionsophold', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000575', '88.10', 'Sociale foranstaltninger for ldre og handicappede uden institutionsophold', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000576', '88.91', 'Brnedagpleje', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000577', '88.99', 'Andre sociale foranstaltninger uden institutionsophold i.a.n.', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000578', '90.01', 'Scenekunst', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000579', '90.02', 'Hjlpeaktiviteter i forbindelse med scenekunst', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000580', '90.03', 'Kunstnerisk skaben', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000581', '90.04', 'Drift af teater- og koncertsale, kulturhuse mv.', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000582', '91.01', 'Biblioteker og arkiver', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000583', '91.02', 'Museer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000584', '91.03', 'Historiske monumenter og bygninger og lignende attraktioner', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000585', '91.04', 'Botaniske og zoologiske haver samt naturreservater', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000586', '92.00', 'Lotteri- og anden spillevirksomhed', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000587', '93.11', 'Drift af sportsanlg', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000588', '93.12', 'Sportsklubber', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000589', '93.13', 'Fitnesscentre', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000590', '93.19', 'Andre sportsaktiviteter', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000591', '93.21', 'Forlystelsesparker o.l.', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000592', '93.29', 'Andre forlystelser og fritidsaktiviteter', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000593', '94.11', 'Erhvervs- og arbejdsgiverorganisationer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000594', '94.12', 'Faglige sammenslutninger', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000595', '94.20', 'Fagforeninger', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000596', '94.91', 'Religise institutioner og foreninger', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000597', '94.92', 'Politiske partier', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000598', '94.99', 'Andre organisationer og foreninger i.a.n.', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000599', '95.11', 'Reparation af computere og ydre enheder', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000600', '95.12', 'Reparation af kommunikationsudstyr', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000601', '95.21', 'Reparation af forbrugerelektronik', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000602', '95.22', 'Reparation af husholdningsapparater og redskaber til hus og have', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000603', '95.23', 'Reparation af skotj og ldervarer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000604', '95.24', 'Reparation af mbler og boligudstyr', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000605', '95.25', 'Reparation af ure, smykker og guld- og slvvarer', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000606', '95.29', 'Reparation af andre varer til personlig brug og husholdningsbrug', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000607', '96.01', 'Vaskerier og renserier', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000608', '96.02', 'Frisr- og sknhedssaloner', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000609', '96.03', 'Bedemnd og begravelsesvsen', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000610', '96.04', 'Aktiviteter vedrrende fysisk velvre', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000611', '96.09', 'Andre personlige serviceydelser i.a.n.', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000612', '97.00', 'Husholdninger med ansat medhjlp', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000613', '98.10', 'Private husholdningers produktion af varer til eget brug, i.a.n.', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000614', '98.20', 'Private husholdningers produktion af tjenesteydelser til eget brug, i.a.n.', '1', 'geokon')
   insert into dma_NACEKode (Id, Navn, Beskrivelse, Aktiv, created_by) values ('NK00000615', '99.00', 'Ekstraterritoriale organisationer og organer', '1', 'geokon')
end;

--******************************************************************************
-- ny tabel dma_resultatAfgoerelse                                    30-01-2019
--******************************************************************************

create table dbo.dma_resultatAfgoerelse (
    Id                            varchar(50)     not null,
    Navn                          varchar(80)     not null,
    Beskrivelse                   varchar(4000)   null,
    Aktiv                         varchar(1)      null,
    created                       datetime        null default current_timestamp,
    created_by                    varchar(6)      null default current_user,
    changed                       datetime        null,
    changed_by                    varchar(6)      null,
    constraint pk_dma_resultatAfgoerelse primary key (Id)
);
grant select on dma_resultatAfgoerelse to public;
grant select, update, delete, insert on dma_resultatAfgoerelse to sysmgr;

-- Fyld data i tabellen hvis den er tom.

if not exists (select * from dma_resultatAfgoerelse)
begin
   insert into dma_resultatAfgoerelse (Id, Navn, Beskrivelse, Aktiv, created_by) values ('RA000001', 'Miljgodkendelse', 'Afgrelse p miljbeskyttelseslovens kapitel 5-ansgning: "Hovedmiljgodkendelsen". Svarer til ansgning om nyanlg i Byg & Milj', '1', 'geokon')
   insert into dma_resultatAfgoerelse (Id, Navn, Beskrivelse, Aktiv, created_by) values ('RA000002', 'Tillg til miljgodkendelse', 'Afgrelse p miljbeskyttelseslovens kapitel 5-ansgning: Tillg til en "Hovedmiljgodkendelsen". Svarer til en ansgning om udvidelse eller ndring af eksisterende anlg i Byg & Milj.', '1', 'geokon')
   insert into dma_resultatAfgoerelse (Id, Navn, Beskrivelse, Aktiv, created_by) values ('RA000003', 'Revurdering', 'Revurdering efter miljbeskyttelseslovens kapitel 5s miljgodkendelse.', '1', 'geokon')
   insert into dma_resultatAfgoerelse (Id, Navn, Beskrivelse, Aktiv, created_by) values ('RA000004', 'Afgrelse om "Ikke-godkendelsespligt"', 'Afgrelse om at en ansgning jf. miljbeskyttelsesloven kapitel 5 ikke er omfattet af kapitel 5 og dermed godkendelsespligtig.', '1', 'geokon')
   insert into dma_resultatAfgoerelse (Id, Navn, Beskrivelse, Aktiv, created_by) values ('RA000005', 'Husdyrgodkendelse', 'Godkendelse af husdyrbrug jf. lov om miljgodkendelse m.v. af husdyrbrug.', '1', 'geokon')
   insert into dma_resultatAfgoerelse (Id, Navn, Beskrivelse, Aktiv, created_by) values ('RA000006', 'Tillgsgodkendelse til Husdyrgodkendelse', 'Tillgsgodkendelse til  en godkendelse af husdyrbrug jf. lov om miljgodkendelse m.v. af husdyrbrug.', '1', 'geokon')
   insert into dma_resultatAfgoerelse (Id, Navn, Beskrivelse, Aktiv, created_by) values ('RA000007', 'Husdyrtilladelse', 'Tilladelse af husdyrbrug jf. lov om miljgodkendelse m.v. af husdyrbrug.', '1', 'geokon')
   insert into dma_resultatAfgoerelse (Id, Navn, Beskrivelse, Aktiv, created_by) values ('RA000008', 'Spildevandstilladelse', 'Spildevandstilslutning eller udledningstilladelse jf. miljbeskyttelseslovens kapitel 4.', '1', 'geokon')
   insert into dma_resultatAfgoerelse (Id, Navn, Beskrivelse, Aktiv, created_by) values ('RA000009', 'VVM-Afgrelse', 'Afgrelse om VVM-pligt/ikke-pligt (eks. screeningsafgrelse om "ikke-VVM pligt").', '1', 'geokon')
   insert into dma_resultatAfgoerelse (Id, Navn, Beskrivelse, Aktiv, created_by) values ('RA000010', 'Risikoanmeldelse', 'Anmeldelse om at virksomheden har risikoaktiviteter eller oplag jf. risikobekendtgrelsen', '1', 'geokon')
   insert into dma_resultatAfgoerelse (Id, Navn, Beskrivelse, Aktiv, created_by) values ('RA000012', 'Meddelelse om afslag', null, '1', 'geokon')
   insert into dma_resultatAfgoerelse (Id, Navn, Beskrivelse, Aktiv, created_by) values ('RA000014', 'Tilladelse til at pbegynde bygge- og anlgsarbejde', 'Afgrelse om at virksomheden kan pbegynde bygge- og anlgsarbejde', '1', 'geokon')
   insert into dma_resultatAfgoerelse (Id, Navn, Beskrivelse, Aktiv, created_by) values ('RA000015', 'Afgrelse om dispensation, skrpelse/ supplering af krav mv.', 'En afgrelse for eks. et maskinvrksted, hvor der er meddelt en afgrelse om skrpelse af krav, om supplerende krav eller en dispensation', '1', 'geokon')
   insert into dma_resultatAfgoerelse (Id, Navn, Beskrivelse, Aktiv, created_by) values ('RA000016', 'Risikoafgrelse', 'Accepten/afgrelsen p risikoaktivitet som flge af Risikoanmeldelsen', '1', 'geokon')
end;

--******************************************************************************
-- ny tabel dma_afgoerelsesStatus                                     30-01-2019
--******************************************************************************

create table dbo.dma_afgoerelsesStatus (
    Id                            varchar(50)     not null,
    Navn                          varchar(80)     not null,
    Beskrivelse                   varchar(4000)   null,
    Aktiv                         varchar(1)      null,
    created                       datetime        null default current_timestamp,
    created_by                    varchar(6)      null default current_user,
    changed                       datetime        null,
    changed_by                    varchar(6)      null,
    constraint pk_dma_afgoerelsesStatus primary key (Id)
);
grant select on dma_afgoerelsesStatus to public;
grant select, update, delete, insert on dma_afgoerelsesStatus to sysmgr;

-- Fyld data i tabellen hvis den er tom.

if not exists (select * from dma_afgoerelsesStatus)
begin
   insert into dma_afgoerelsesStatus (Id, Navn, Beskrivelse, Aktiv, created_by) values ('SFA00001', 'Meddelt', 'Afgrelsen er meddelt', '1', 'geokon')
   insert into dma_afgoerelsesStatus (Id, Navn, Beskrivelse, Aktiv, created_by) values ('SFA00002', 'Pklaget', 'Afgrelsen er pklaget til NMKN', '1', 'geokon')
   insert into dma_afgoerelsesStatus (Id, Navn, Beskrivelse, Aktiv, created_by) values ('SFA00003', 'Endelig administrativ afgrelse', 'Pklaget afgrelse er administrativt afgjort af NMKN', '1', 'geokon')
   insert into dma_afgoerelsesStatus (Id, Navn, Beskrivelse, Aktiv, created_by) values ('SFA00004', 'Bortfaldet/Ophvet', 'Afgrelsen af bortfaldet/ophvet', '1', 'geokon')
end;

--******************************************************************************
-- ny tabel dma_afgoerelseVedroererAnlaegstype                        30-01-2019
--******************************************************************************

create table dbo.dma_afgoerelseVedroererAnlaegstype (
    Id                            varchar(50)     not null,
    Navn                          varchar(80)     not null,
    Beskrivelse                   varchar(4000)   null,
    Aktiv                         varchar(1)      null,
    created                       datetime        null default current_timestamp,
    created_by                    varchar(6)      null default current_user,
    changed                       datetime        null,
    changed_by                    varchar(6)      null,
    constraint pk_dma_afgoerelseVedroererAnlaegstype primary key (Id)
);
grant select on dma_afgoerelseVedroererAnlaegstype to public;
grant select, update, delete, insert on dma_afgoerelseVedroererAnlaegstype to sysmgr;

-- Fyld data i tabellen hvis den er tom.

if not exists (select * from dma_afgoerelseVedroererAnlaegstype)
begin
   insert into dma_afgoerelseVedroererAnlaegstype (Id, Navn, Beskrivelse, Aktiv, created_by) values ('AVA00001', 'Mellemstort fyringsanlg', 'Afgrelsen vedrrer MCP-anlg', '1', 'geokon')
end;


-- ****************************** MCP-ANLG START ******************************


--******************************************************************************
-- ny tabel ind_comb_plant                                            23-01-2019
--******************************************************************************

create table dbo.ind_comb_plant (
    plant_seq_no                  numeric(9,0)    not null,
    ind_seq_no                    numeric(9,0)    not null,

    plant_name                    varchar(50)     not null,               -- Navnet p anlgget
    plant_type                    varchar(50)     not null,               -- Angiver hvilken type anlg der er tale om (f.eks. MCP). Kodeliste: dma_anlaegstype
    thermal_effect                numeric(5,3)    not null,               -- Angiver den nominelle indfyrede termiske effekt i MW (1 til 50)
    comb_plant_type               varchar(50)     not null,               -- Angiver hvilken fyringsanlgstype der er tale om (f.eks. dieselmotor). Kodeliste: dma_fyringsanlaegstype
    commissioning_date            datetime        null,                   -- Den dato hvor fyringsanlgget blev sat i drift. HVIS IKKE KENDT => Rkke i ind_combustion_plant_commissioning
    exp_operation_hours_per_year  int             not null,               -- Det forventede rlige antal drifttimer for fyringsanlgget. Det maksimale antal timer er 24 timer * 365 dage = 8760 timer
    average_load_percent          int             not null,               -- Den gennemsnitlige belastning i procent ved brug af fyringsanlgget.
    tech_pollution_connected      varchar(1)      not null default '0',   -- Angiver om fyringsanlgget er teknisk og forureningsmssigt forbundet til virksomheden/husdyrbruget eller andet.
    subject_to_notification       varchar(1)      not null default '0',   -- Angiver om anlgget er omfattet af bekendtgrelsens anmeldeordning. Dvs. om anlgget er teknisk og forureningsmssigt forbundet til en virksomhed som *ikke* er en listevirksomhed eller en omfattet af listepunkt 1.1a eller 1.1b.
    ind_main_activity_nace_code   varchar(50)     not null,               -- NACE-koden for virksomhedens hovedaktivitet skal angives, eks. Produktion af frugt og grnsagsjuice: 10.3.2. Hvis ikke den rigtige NACE kode angives, kan anlgget ikke overfres til EU's database  og vil fejle i forbindelse med validering. Dette felt er krvet sfremt feltet OmfattetAfBekendtgoerelsensAnmeldeordning er true. Kodeliste: dma_NACEKode
    shared_chimney                varchar(1)      not null default '0',   -- Angiver om fyringsanlgget benytter en delt skorsten.
    ets_number                    varchar(20)     null,                   -- Angiver unik identifikator for anlgget fra EU Transaction Log hvis anlgget er omfattet af EU ETS direktivet.

    comments                      varchar(1000)   null,
    created                       datetime        null default current_timestamp,
    created_by                    varchar(6)      null default current_user,
    changed                       datetime        null,
    changed_by                    varchar(6)      null,
    constraint pk_ind_comb_plant primary key (plant_seq_no)
);
grant select on ind_comb_plant to public;
grant select, update, delete, insert on ind_comb_plant to sysmgr, insp_user;

drop_foreign_key on ind_comb_plant ind_industry;

alter table ind_comb_plant
  add constraint fk_ind_comb_plant_ind_industry foreign key (ind_seq_no)
  references ind_industry (ind_seq_no);

drop_foreign_key on ind_comb_plant dma_anlaegstype;

alter table ind_comb_plant
  add constraint fk_ind_comb_plant_dma_anlaegstype foreign key (plant_type)
  references dma_anlaegstype (Id);

drop_foreign_key on ind_comb_plant dma_fyringsanlaegstype;

alter table ind_comb_plant
  add constraint fk_ind_comb_plant_dma_fyringsanlaegstype foreign key (comb_plant_type)
  references dma_fyringsanlaegstype (Id);

drop_foreign_key on ind_comb_plant dma_NACEKode;

alter table ind_comb_plant
  add constraint fk_ind_comb_plant_dma_NACEKode foreign key (ind_main_activity_nace_code)
  references dma_NACEKode (Id);

--******************************************************************************
-- ny tabel ind_comb_plant_nace                                       24-01-2019
--******************************************************************************

create table dbo.ind_comb_plant_nace (
    plant_seq_no                  numeric(9,0)    not null,
    nace_code                     varchar(50)     not null,            -- Angiver om anlgget vedrrer el, varm eller begge. Angives som de NACE koder som anlgget vedrrer. Kodeliste: dma_fyringsanlaegVedroererNACEKode

    created                       datetime        null default current_timestamp,
    created_by                    varchar(6)      null default current_user,
    changed                       datetime        null,
    changed_by                    varchar(6)      null,
    constraint pk_ind_comb_plant_nace primary key (plant_seq_no, nace_code)
);
grant select on ind_comb_plant_nace to public;
grant select, update, delete, insert on ind_comb_plant_nace to sysmgr, insp_user;

drop_foreign_key on ind_comb_plant_nace ind_comb_plant;

alter table ind_comb_plant_nace
  add constraint fk_ind_comb_plant_nace_ind_comb_plant foreign key (plant_seq_no)
  references ind_comb_plant (plant_seq_no);

drop_foreign_key on ind_comb_plant_nace dma_fyringsanlaegVedroererNACEKode;

alter table ind_comb_plant_nace
  add constraint fk_ind_comb_plant_nace_dma_fyringsanlaegVedroererNACEKode foreign key (nace_code)
  references dma_fyringsanlaegVedroererNACEKode (Id);

--******************************************************************************
-- ny tabel ind_comb_plant_commissioning                              24-01-2019
--******************************************************************************

create table dbo.ind_comb_plant_commissioning (
    plant_seq_no                  numeric(9,0)    not null,
    file_id                       varchar(50)     not null,
    file_name                     varchar(255)    not null,
    file_body                     varbinary(max)  not null,            -- Hvis den den eksakte idriftsttelsesdato (ind_comb_plant.commissioning_date) ikke er kendt skal der vedhftes dokumentation for, at anlgget blev sat i drift inden den 20. december 2018, jvnfr Bekendtgrelse om miljkrav for mellemstore fyringsanlg  93, stk. 4, nr.4.

    created                       datetime        null default current_timestamp,
    created_by                    varchar(6)      null default current_user,
    changed                       datetime        null,
    changed_by                    varchar(6)      null,
    constraint pk_ind_comb_plant_commissioning primary key (plant_seq_no)
);
grant select on ind_comb_plant_commissioning to public;
grant select, update, delete, insert on ind_comb_plant_commissioning to sysmgr, insp_user;

drop_foreign_key on ind_comb_plant_commissioning ind_comb_plant;

alter table ind_comb_plant_commissioning
  add constraint fk_ind_comb_plant_commissioning_ind_comb_plant foreign key (plant_seq_no)
  references ind_comb_plant (plant_seq_no);

--******************************************************************************
-- ny tabel ind_comb_plant_emergency_system                           24-01-2019
--******************************************************************************

create table dbo.ind_comb_plant_emergency_system (
    plant_seq_no                  numeric(9,0)    not null,
    emergency_system_type         varchar(50)     not null,            -- Angiver hvilken type ndanlg der er tale om. Kodeliste: dma_noedanlaegstype
    file_id                       varchar(50)     not null,
    file_name                     varchar(255)    not null,
    file_body                     varbinary(max)  not null,            -- Erklring underskrevet af driftslederen om, at det mellemstore fyringsanlg ikke vil blive drevet i mere end det antal timer, der er omhandlet i  30 og 31, hvis muligheden for undtagelse i henhold til  30 og 31, anvendes. Dette felt er krvet sfremt feltet Noedanlaegstype er udfyldt.

    created                       datetime        null default current_timestamp,
    created_by                    varchar(6)      null default current_user,
    changed                       datetime        null,
    changed_by                    varchar(6)      null,
    constraint pk_ind_comb_plant_emergency_system primary key (plant_seq_no)
);
grant select on ind_comb_plant_emergency_system to public;
grant select, update, delete, insert on ind_comb_plant_commissioning to sysmgr, insp_user;

drop_foreign_key on ind_comb_plant_emergency_system ind_comb_plant;

alter table ind_comb_plant_emergency_system
  add constraint fk_ind_comb_plant_emergency_system_ind_comb_plant foreign key (plant_seq_no)
  references ind_comb_plant (plant_seq_no);

drop_foreign_key on ind_comb_plant_emergency_system dma_noedanlaegstype;

alter table ind_comb_plant_emergency_system
  add constraint fk_ind_comb_plant_emergency_system_dma_noedanlaegstype foreign key (emergency_system_type)
  references dma_noedanlaegstype (Id);

--******************************************************************************
-- ny tabel ind_comb_plant_fuel                                       24-01-2019
--******************************************************************************

create table dbo.ind_comb_plant_fuel (
    plant_seq_no                  numeric(9,0)    not null,
    fuel_type                     varchar(50)     not null,            -- Angiver brndselstype. Kodeliste: dma_fyringsanlaegBraendselstype
    fuel_category                 varchar(50)     not null,            -- Angiver brndselskategorien. Kodeliste: dma_fyringsanlaegBraendselskategori
    fuel_used_percent             int             not null,            -- Angiver andel af benyttet brndsel i procent

    created                       datetime        null default current_timestamp,
    created_by                    varchar(6)      null default current_user,
    changed                       datetime        null,
    changed_by                    varchar(6)      null,
    constraint pk_ind_comb_plant_fuel primary key (plant_seq_no, fuel_type, fuel_category)
);
grant select on ind_comb_plant_fuel to public;
grant select, update, delete, insert on ind_comb_plant_fuel to sysmgr, insp_user;

drop_foreign_key on ind_comb_plant_fuel ind_comb_plant;

alter table ind_comb_plant_fuel
  add constraint fk_ind_comb_plant_fuel_ind_comb_plant foreign key (plant_seq_no)
  references ind_comb_plant (plant_seq_no);

drop_foreign_key on ind_comb_plant_fuel dma_fyringsanlaegBraendselstype;

alter table ind_comb_plant_fuel
  add constraint fk_ind_comb_plant_fuel_dma_fyringsanlaegBraendselstype foreign key (fuel_type)
  references dma_fyringsanlaegBraendselstype (Id);

drop_foreign_key on ind_comb_plant_fuel dma_fyringsanlaegBraendselskategori;

alter table ind_comb_plant_fuel
  add constraint fk_ind_comb_plant_fuel_dma_fyringsanlaegBraendselskategori foreign key (fuel_category)
  references dma_fyringsanlaegBraendselskategori (Id);

--******************************************************************************
-- ny increment kolonne                                               24-01-2019
--******************************************************************************

if (select 'x' from increment where table_name = 'ind_comb_plant') is null
  insert into increment (table_name, column_name, last_used) values ('ind_comb_plant', 'plant_seq_no', 100000);

--******************************************************************************
-- nye dma_indlaesning og log kolonner                                24-01-2019
--******************************************************************************

if (select col_length ('dma_indlaesning', 'plant_seq_no')) is null
  alter table dma_indlaesning add plant_seq_no numeric(9,0) null;

drop_foreign_key on dma_indlaesning ind_comb_plant;

alter table dma_indlaesning
  add constraint fk_dma_indlaesning_ind_comb_plant foreign key (plant_seq_no)
  references ind_comb_plant (plant_seq_no);


if (select col_length ('dma_indlaesning_log', 'plant_seq_no')) is null
  alter table dma_indlaesning_log add plant_seq_no numeric(9,0) null;

drop_foreign_key on dma_indlaesning_log ind_comb_plant;

alter table dma_indlaesning_log
  add constraint fk_dma_indlaesning_log_ind_comb_plant foreign key (plant_seq_no)
  references ind_comb_plant (plant_seq_no);

--******************************************************************************


-- ****************************** MCP-ANLG SLUT *******************************

-- ***************************** AFGRELSER START ******************************


--******************************************************************************
-- ny tabel ind_decision                                              29-01-2019
--******************************************************************************

create table dbo.ind_decision (
    decis_seq_no                  numeric(9,0)    not null,
    ind_seq_no                    numeric(9,0)    not null,

    decis_type                    varchar(50)     not null,                 -- Angiver hvilken type Ansgnning, der hndteres. afgrelse. Kodeliste: dma_resultatAfgoerelse
    decis_received_date           datetime        not null,                 -- Datoen, hvorp afgrelseen er modtaget
    decis_status                  varchar(50)     not null,                 -- Angiver hvilken Status en afgrelse har. Kodeliste: dma_afgoerelsesStatus
    elv_bat_date                  datetime        null,                     -- (Ingen kommentar)
    disp_elv_date                 datetime        null,                     -- Datofelt: Angiver hvornr der i givet fald er lavet dispenstation for emissionsgrnsevrdier mhp afprvning af ny teknik
    basis_rep_date                datetime        null,                     -- (Ingen kommentar)
    regarding_plant_type          varchar(50)     null,                     -- Angiver om afgrelsen vedrrer en bestemt anlgstype (f.eks. at det er en MCP-specifikt afgrelse). Kodeliste: dma_afgoerelseVedroererAnlaegstype
    plant_seq_no                  numeric(9,0)    null,                     -- Kan bruges til at udpege et specifikt anlg. Det er kun muligt at udpege anlg som er indlst af egen myndighed.

    comments                      varchar(1000)   null,
    created                       datetime        null default current_timestamp,
    created_by                    varchar(6)      null default current_user,
    changed                       datetime        null,
    changed_by                    varchar(6)      null,
    constraint pk_ind_decision primary key (decis_seq_no)
);
grant select on ind_decision to public;
grant select, update, delete, insert on ind_decision to sysmgr, insp_user;

drop_foreign_key on ind_decision ind_industry;

alter table ind_decision
  add constraint fk_ind_decision_ind_industry foreign key (ind_seq_no)
  references ind_industry (ind_seq_no);

drop_foreign_key on ind_decision dma_resultatAfgoerelse;

alter table ind_decision
  add constraint fk_ind_decision_dma_resultatAfgoerelse foreign key (decis_type)
  references dma_resultatAfgoerelse (Id);

drop_foreign_key on ind_decision dma_afgoerelsesStatus;

alter table ind_decision
  add constraint fk_ind_decision_dma_afgoerelsesStatus foreign key (decis_status)
  references dma_afgoerelsesStatus (Id);

drop_foreign_key on ind_decision dma_afgoerelseVedroererAnlaegstype;

alter table ind_decision
  add constraint fk_ind_decision_dma_afgoerelseVedroererAnlaegstype foreign key (regarding_plant_type)
  references dma_afgoerelseVedroererAnlaegstype (Id);

drop_foreign_key on ind_decision ind_comb_plant;

alter table ind_decision
  add constraint fk_ind_decision_ind_comb_plant foreign key (plant_seq_no)
  references ind_comb_plant (plant_seq_no);

--******************************************************************************
-- ny tabel ind_decision_files                                        30-01-2019
--******************************************************************************

create table dbo.ind_decision_files (
    file_seq_no                   numeric(9,0)    not null,
    decis_seq_no                  numeric(9,0)    not null,
    file_id                       varchar(50)     not null,
    file_name                     varchar(255)    not null,
    file_body                     varbinary(max)  not null,
    comments                      varchar(1000)   null,

    created                       datetime        null default current_timestamp,
    created_by                    varchar(6)      null default current_user,
    changed                       datetime        null,
    changed_by                    varchar(6)      null,
    constraint pk_ind_decision_files primary key (file_seq_no)
);
grant select on ind_decision_files to public;
grant select, update, delete, insert on ind_decision_files to sysmgr, insp_user;

drop_foreign_key on ind_decision_files ind_decision;

alter table ind_decision_files
  add constraint fk_ind_decision_files_ind_decision foreign key (decis_seq_no)
  references ind_decision (decis_seq_no);

--******************************************************************************
-- ny tabel ind_decision_publication                                  30-01-2019
--******************************************************************************

create table dbo.ind_decision_publication (
    decis_seq_no                    numeric(9,0)    not null,
    publication_title               varchar(100)    not null,
    publication_teaser              varchar(300)    not null,
    publication_text                varchar(2000)   not null,
    publication_from_date           datetime        not null,
    publication_to_date             datetime        null,
    publication_complaint_deadline  datetime        null,

    created                         datetime        null default current_timestamp,
    created_by                      varchar(6)      null default current_user,
    changed                         datetime        null,
    changed_by                      varchar(6)      null,
    constraint pk_ind_decision_publication primary key (decis_seq_no)
);
grant select on ind_decision_publication to public;
grant select, update, delete, insert on ind_decision_publication to sysmgr, insp_user;

drop_foreign_key on ind_decision_publication ind_decision;

alter table ind_decision_publication
  add constraint fk_ind_decision_publication_ind_decision foreign key (decis_seq_no)
  references ind_decision (decis_seq_no);

--******************************************************************************
-- nye increment kolonner                                             30-01-2019
--******************************************************************************

if (select 'x' from increment where table_name = 'ind_decision') is null
  insert into increment (table_name, column_name, last_used) values ('ind_decision', 'decis_seq_no', 100000);

if (select 'x' from increment where table_name = 'ind_decision_files') is null
  insert into increment (table_name, column_name, last_used) values ('ind_decision_files', 'file_seq_no', 100000);

--******************************************************************************
-- nye dma_indlaesning og log kolonner                                30-01-2019
--******************************************************************************

if (select col_length ('dma_indlaesning', 'decis_seq_no')) is null
  alter table dma_indlaesning add decis_seq_no numeric(9,0) null;

drop_foreign_key on dma_indlaesning ind_decision;

alter table dma_indlaesning
  add constraint fk_dma_indlaesning_ind_decision foreign key (decis_seq_no)
  references ind_decision (decis_seq_no);

if (select col_length ('dma_indlaesning_log', 'decis_seq_no')) is null
  alter table dma_indlaesning_log add decis_seq_no numeric(9,0) null;

drop_foreign_key on dma_indlaesning_log ind_decision;

alter table dma_indlaesning_log
  add constraint fk_dma_indlaesning_log_ind_decision foreign key (decis_seq_no)
  references ind_decision (decis_seq_no);

--******************************************************************************

-- ***************************** AFGRELSER SLUT *******************************

--******************************************************************************
-- Ret file_body fra NOT NULL til NULL                                11-02-2019
--******************************************************************************

alter table ind_comb_plant_commissioning
  alter column file_body varbinary(max) null;

alter table ind_comb_plant_emergency_system
  alter column file_body varbinary(max) null;

alter table ind_decision_files
  alter column file_body varbinary(max) null;

--******************************************************************************
-- Opdater dma kodelisten dma_offentliggoerelsesType (Dokumenttyper)  13-02-2019
--******************************************************************************

if (select 'x' from dma_offentliggoerelsesType where Id = 'DT000029') is null insert into dma_offentliggoerelsesType (Id, Navn, Aktiv, created_by) values ('DT000029', 'Kortmateriale', '1', 'geokon');
if (select 'x' from dma_offentliggoerelsesType where Id = 'DT000030') is null insert into dma_offentliggoerelsesType (Id, Navn, Aktiv, created_by) values ('DT000030', 'Referater', '1', 'geokon');
if (select 'x' from dma_offentliggoerelsesType where Id = 'DT000031') is null insert into dma_offentliggoerelsesType (Id, Navn, Aktiv, created_by) values ('DT000031', 'Forebyggelsespolitik', '1', 'geokon');
if (select 'x' from dma_offentliggoerelsesType where Id = 'DT000032') is null insert into dma_offentliggoerelsesType (Id, Navn, Aktiv, created_by) values ('DT000032', 'Sumformelskema', '1', 'geokon');
if (select 'x' from dma_offentliggoerelsesType where Id = 'DT000033') is null insert into dma_offentliggoerelsesType (Id, Navn, Aktiv, created_by) values ('DT000033', 'Risikoafgrelse', '1', 'geokon');
if (select 'x' from dma_offentliggoerelsesType where Id = 'DT000034') is null insert into dma_offentliggoerelsesType (Id, Navn, Aktiv, created_by) values ('DT000034', 'Registrering', '1', 'geokon');

--******************************************************************************
-- Ekstra kolonner                                                    14-02-2019
--******************************************************************************

-- Titel p MCP-anlg (udvid)

alter table ind_comb_plant
  alter column plant_name varchar(100) not null;


-- Koordinater p MCP-anlg

if (select col_length ('ind_comb_plant', 'utm32_x')) is null
  alter table ind_comb_plant add utm32_x float null;

if (select col_length ('ind_comb_plant', 'utm32_y')) is null
  alter table ind_comb_plant add utm32_y float null;


-- Nace-kode p MCP-anlg

alter table ind_comb_plant
  alter column ind_main_activity_nace_code varchar(50) null;


-- Titel p Afgrelse

if (select col_length ('ind_decision', 'decis_title')) is null
  alter table ind_decision add decis_title varchar(100) null;

update ind_decision set decis_title = 'Afgrelse' where decis_title is null;

alter table ind_decision
  alter column decis_title varchar(100) not null;


-- Dokumenttype p afgrelsesfiler

if (select col_length ('ind_decision_files', 'file_type')) is null
  alter table ind_decision_files add file_type varchar(50) null;

update ind_decision_files set file_type = 'DT000028' where file_type is null;

alter table ind_decision_files
  alter column file_type varchar(50) not null;

drop_foreign_key on ind_decision_files dma_offentliggoerelsesType;

alter table ind_decision_files
  add constraint fk_ind_decision_files_dma_offentliggoerelsesType foreign key (file_type)
  references dma_offentliggoerelsesType (Id);

--******************************************************************************
-- Nye DMA slet kolonner                                              18-02-2019
--******************************************************************************

if (select col_length ('dma_sletIndlaesning', 'plant_seq_no')) is null
  alter table dma_sletIndlaesning add plant_seq_no numeric(9,0) null;

if (select col_length ('dma_sletIndlaesning', 'decis_seq_no')) is null
  alter table dma_sletIndlaesning add decis_seq_no numeric(9,0) null;

--******************************************************************************
-- Ny kolonne dma_offentliggoerelsesType.decis_active                 05-03-2019
--******************************************************************************

if (select col_length ('dma_offentliggoerelsesType', 'decis_active')) is null
  alter table dma_offentliggoerelsesType add decis_active varchar(1) not null default '1';

--******************************************************************************