patch_id tank_documents_22032019

create table dbo.tank_documents (
    tdoc_seq_no			  numeric(9,0)    not null,	
    tank_seq_no                   numeric(9,0)    not null,
    file_name                     varchar(255)    not null,
    file_body                     varbinary(max)  null,
    comments                      varchar(200)    null,
    created                       datetime        null default current_timestamp,
    created_by                    varchar(6)      null default current_user,
    changed                       datetime        null,
    changed_by                    varchar(6)      null,
    constraint pk_tank_documents primary key (tdoc_seq_no)
);
grant select on tank_documents to public;
grant select, update, delete, insert on tank_documents to sysmgr, insp_user;

alter table tank_documents
  add constraint fk_tank_documents_tank foreign key (tank_seq_no)
  references tank (tank_seq_no);

--******************************************************************************
-- ny increment kolonne                                               22-03-2019
--******************************************************************************

if (select 'x' from increment where table_name = 'tank_documents') is null
  insert into increment (table_name, column_name, last_used) values ('tank_documents', 'tdoc_seq_no', 100000);
