-- 01-05-2003 18-12-2008 20-04-2019 pmh
-- database funktioner - v11_3 - genindlagt
-- Kildepladser - Tilladelser - Indvindinger

patch_id rp_wcat_area_perm_v11_3

//******************************************************************************
//  RP_WCAT_AREA_PERM_DATE
//******************************************************************************

CREATE FUNCTION geokon.rp_wcat_area_perm_date (
   @site_seq_no integer,
   @gw_catchment_area varchar(10),
   @perm_date datetime)
   RETURNS numeric(9,0)
-- returnerer indvindingstilladelse pr. kildeplads - numeric(9)
-- param 1:  site_seq_no - integer
-- param 2:  gw_catchment_area - varchar(10)
-- param 3:  pr. dato - timestamp
BEGIN
   DECLARE @amount_year numeric(9,0);

   SET @amount_year = (
      SELECT cp.amount_year
        FROM wcat_catch_permission cp
       WHERE cp.site_seq_no = @site_seq_no
         AND cp.gw_catchment_area = @gw_catchment_area
         AND coalesce(cp.revoked,'0') = '0' 
         AND (cp.expire_date is null or cp.expire_date >= @perm_date)
         AND cp.perm_date = (SELECT max(c2.perm_date)
                               FROM wcat_catch_permission c2
                              WHERE c2.site_seq_no = @site_seq_no
                                AND c2.gw_catchment_area = @gw_catchment_area
                                AND coalesce(c2.revoked,'0') = '0'
                                AND c2.perm_date <= @perm_date)
   );
   RETURN (@amount_year);
END;

--******************************************************************************
--  RP_WCAT_AREA_PERM_YEAR
--******************************************************************************

CREATE FUNCTION geokon.rp_wcat_area_perm_year (
   @site_seq_no integer,
   @gw_catchment_area varchar(10),
   @perm_year char(4))
   RETURNS numeric(9,0)
-- returnerer indvindingstilladelse pr. kildeplads - numeric(9)
-- param 1:  site_seq_no - integer
-- param 2:  gw_catchment_area - varchar(10)
-- param 3:  indberetningsr - char(4)
BEGIN
   DECLARE @amount_year numeric(9,0);

   SET @amount_year = (
      SELECT cp.amount_year
        FROM wcat_catch_permission cp
       WHERE cp.site_seq_no = @site_seq_no
         AND cp.gw_catchment_area = @gw_catchment_area
         AND coalesce(cp.revoked,'0') = '0' 
         AND (cp.expire_date is null or year(cp.expire_date) >= convert(int, @perm_year))
         AND cp.perm_date = (SELECT max(c2.perm_date)
                               FROM wcat_catch_permission c2
                              WHERE c2.site_seq_no = @site_seq_no
                                AND c2.gw_catchment_area = @gw_catchment_area
                                AND coalesce(c2.revoked,'0') = '0' 
                                AND year(c2.perm_date) <= convert(integer, @perm_year))
   );
   RETURN (@amount_year);
END;

--******************************************************************************

GRANT EXECUTE ON geokon.rp_wcat_area_perm_date TO PUBLIC;

GRANT EXECUTE ON geokon.rp_wcat_area_perm_year TO PUBLIC;
