-- 01-05-2003 18-12-2008 20-04-2019pmh
-- database funktioner - v10_3 - genindlagt
-- Boringer - Tilladelser - Indvindinger

patch_id rp_wcat_bor_perm_v11_3

--******************************************************************************
--  RP_WCAT_BOR_PERM_DATE
--******************************************************************************

CREATE FUNCTION geokon.rp_wcat_bor_perm_date (
   @boring_seq_no integer,
   @perm_date datetime)
   RETURNS numeric(9,0)
-- returnerer indvindingstilladelse pr. boring - numeric(9)
-- param 1:  boring_seq_no - integer
-- param 2:  pr. dato - timestamp
BEGIN
   DECLARE @amount_year numeric(9,0);

   SET @amount_year = (
      SELECT sum(bp.amount_year)
        FROM bor_borings bb, wcat_bor_permission bp
       WHERE bb.boring_seq_no = @boring_seq_no
         AND bp.boring_seq_no = @boring_seq_no 
         and coalesce(bp.revoked,'0') = '0'
         AND (bb.enddate is null or bb.enddate >= @perm_date)
         AND (bp.expire_date is null or bp.expire_date >= @perm_date)
         AND bp.perm_date = (SELECT max(b2.perm_date)
                               FROM wcat_bor_permission b2
                              WHERE b2.boring_seq_no = @boring_seq_no
                                and coalesce(b2.revoked,'0') = '0'
                                AND b2.perm_date <= @perm_date)
   );
   RETURN (@amount_year);
END;

--******************************************************************************
--  RP_WCAT_BOR_PERM_YEAR
--******************************************************************************

CREATE FUNCTION geokon.rp_wcat_bor_perm_year (
   @boring_seq_no integer,
   @perm_year char(4))
   RETURNS numeric(9,0)
-- returnerer indvindingstilladelse pr. boring - numeric(9)
-- param 1:  boring_seq_no - integer
-- param 2:  indberetningsr - char(4)
BEGIN
   DECLARE @amount_year numeric(9,0);

   SET @amount_year = (
      SELECT sum(bp.amount_year)
        FROM bor_borings bb, wcat_bor_permission bp
       WHERE bb.boring_seq_no = @boring_seq_no
         AND bp.boring_seq_no = @boring_seq_no  
         and coalesce(bp.revoked,'0') = '0'
         AND (bb.enddate is null or year(bb.enddate) >= convert(int,@perm_year))
         AND (bp.expire_date is null or year(bp.expire_date) >= convert(int,@perm_year))
         AND bp.perm_date = (select max(b2.perm_date)
                               from wcat_bor_permission b2
                              where b2.boring_seq_no = @boring_seq_no
                                and coalesce(b2.revoked,'0') = '0'
                                and year(b2.perm_date) <= convert(int,@perm_year))
   );
   RETURN (@amount_year);
END;

--******************************************************************************

GRANT EXECUTE ON geokon.rp_wcat_bor_perm_date TO PUBLIC;

GRANT EXECUTE ON geokon.rp_wcat_bor_perm_year TO PUBLIC;

