patch_id create_matter_006082019

--***************************************************************
--* Table: csm_matter                                           *
--***************************************************************

create table dbo.csm_matter (
   matter_seq_no        numeric(9,0)                   not null,
   task_seq_no          numeric(9,0)                   not null,
   matter_ext_id        varchar(30)                    null,
   matter_type          varchar(10)                    not null,
   matter_title         varchar(255)                   not null,
   matter_text          varchar(max)                   null,
   matter_ext_link	varchar(255)		       null,
   status               varchar(10)                    null,
   responsible          varchar(6)                     null,
   archived             varchar(1)                     null,
   ext_sys_status 	varchar(1) 		       not null default ('1'),
   accessLevel 		varchar(20) 		       null,
   letterdate 		datetime 		       null,
   receiveddate 	datetime		       null,
   created              datetime                       null default current_timestamp,
   created_by           varchar(6)                     null default current_user,
   changed              datetime                       null,
   changed_by           varchar(6)                     null,
   constraint PK_CSM_MATTER primary key clustered (matter_seq_no)
);

grant DELETE,INSERT,SELECT,UPDATE on csm_matter to INSP_USER;

grant DELETE,INSERT,SELECT,UPDATE on csm_matter to KI_USER;

drop_foreign_key on csm_matter ind_task;
alter table csm_matter
   add constraint FK_CSM_MATTER_IND_TASK foreign key (task_seq_no)
      references ind_task (task_seq_no);

drop_foreign_key on csm_matter case_officer;
alter table csm_matter
   add constraint FK_CSM_MATTER_CASE_OFFICER foreign key (responsible)
      references case_officer (code);

insert into increment(table_name, column_name, last_used)
select 'csm_matter', 'matter_seq_no', 100000
where 1 not in (select 1 from increment where table_name = 'csm_matter' and column_name = 'matter_seq_no') ;

--***************************************************************
--* Alter table: csm_matter                                     *
--***************************************************************

if (select col_length('csm_matter','esdh_transfer_stamp')) is null
alter table csm_matter add esdh_transfer_stamp datetime null;

if (select col_length('csm_matter','esdh_message')) is null
alter table csm_matter add esdh_message varchar(500) null;