patch_id create_tm_invoiced_period

create table dbo.tm_invoiced_period (
   id			int identity(1,1)	not null,
   site_seq_no		numeric(9,0)		not null,
   invoice_date		date			not null,
   due_date		date			null,
   date_from		date			not null,
   date_to		date			not null,
   created              datetime                null default current_timestamp,
   created_by           varchar(6)              null default current_user,
   changed              datetime                null,
   changed_by           varchar(6)              null,
   constraint PK_tm_invoiced_period primary key clustered (id)
);

grant DELETE,INSERT,SELECT,UPDATE on tm_invoiced_period to TIM_USER;

alter table tm_invoiced_period
   add constraint fk_tm_invper_site foreign key (site_seq_no)
      references site (site_seq_no);

insert into tm_invoiced_period (site_seq_no, invoice_date, due_date, date_from, date_to) 
select site_seq_no, invoice_date, due_date, dbo.f_first_date_in_week(fra), dateadd(day, 6,dbo.f_first_date_in_week(til))  from (
select SITE_SEQ_NO
	, convert(date,due_date) due_date
	, convert(date,INVOICE_DATE) invoice_date
	, MIN(week_no) fra
	, MAX(week_no) til 
from tm_line 
where INVOICE_DATE is not null 
group by SITE_SEQ_NO, convert(date,INVOICE_DATE), convert(date,DUE_DATE)) indre;