--03-09-2019 TRK
-- Rettet af TRK (09-09-2019): Anlgspbud - dispensation
--
patch_id jup_injunction_1150_190903

--******************************************************************************
-- Nye jupiter tabeller                                               03-09-2019
--******************************************************************************

-- Foranstaltning

create table dbo.jup_Foranstaltning (
    code                          integer         not null,
    longtext                      varchar(500)    null,
    shorttext                     varchar(100)    null,
    sortno                        integer         null,
    active                        varchar(1)      not null default '1',

    created                       datetime        null default current_timestamp,
    created_by                    varchar(6)      null default current_user,
    changed                       datetime        null,
    changed_by                    varchar(6)      null,
    constraint pk_jup_Foranstaltning primary key (code)
);
grant select on jup_Foranstaltning to public;
grant select, update, delete, insert on jup_Foranstaltning to sysmgr;

if (select 'x' from jup_Foranstaltning where code = 1) is null
   insert into jup_Foranstaltning (code, longtext, shorttext, sortno, active, created_by)
   values (1, 'Vandet skal koges', 'kogeanbefaling', 2, '1', 'geokon');

if (select 'x' from jup_Foranstaltning where code = 2) is null
   insert into jup_Foranstaltning (code, longtext, shorttext, sortno, active, created_by)
   values (2, 'Anden foranstaltning', 'Andet', 1, '1', 'geokon');


-- Anlgslov

create table dbo.jup_Anlaegslov (
    code                          integer         not null,
    longtext                      varchar(500)    null,
    shorttext                     varchar(100)    null,
    sortno                        integer         null,
    active                        varchar(1)      not null default '1',

    created                       datetime        null default current_timestamp,
    created_by                    varchar(6)      null default current_user,
    changed                       datetime        null,
    changed_by                    varchar(6)      null,
    constraint pk_jup_Anlaegslov primary key (code)
);
grant select on jup_Anlaegslov to public;
grant select, update, delete, insert on jup_Anlaegslov to sysmgr;

if (select 'x' from jup_Anlaegslov where code = 1) is null
   insert into jup_Anlaegslov (code, longtext, shorttext, sortno, active, created_by)
   values (1, '62, stk 1. Opfylder vandet i et vandforsyningssystem ikke de kvalitetskrav, der er fastsat kan kommunalbestyrelsen give pbud om, at anlgget skal ophre midlertidigt eller for bestandigt, eller om andre foranstaltninger, herunder at forbrugerne skal trffe sikkerhedsforanstaltninger. Kogeanbefaling er et eksempel p en sdan sikkerhedsforanstaltning, som ejer af anlgget skal orientere forbrugerne om.', 'Pbud ved manglende opfyldelse af kvalitetskrav.', 1, '1', 'geokon');


-- Boringslov

create table dbo.jup_Boringslov (
    code                          integer         not null,
    longtext                      varchar(500)    null,
    shorttext                     varchar(100)    null,
    sortno                        integer         null,
    active                        varchar(1)      not null default '1',

    created                       datetime        null default current_timestamp,
    created_by                    varchar(6)      null default current_user,
    changed                       datetime        null,
    changed_by                    varchar(6)      null,
    constraint pk_jup_Boringslov primary key (code)
);
grant select on jup_Boringslov to public;
grant select, update, delete, insert on jup_Boringslov to sysmgr;

if (select 'x' from jup_Boringslov where code = 1) is null
   insert into jup_Boringslov (code, longtext, shorttext, sortno, active, created_by)
   values (1, '36 i vandforsyningsloven, hvorefter kommunalbestyrelsen ved bortfald af en vandindvindingstilladelse, hvis brnd/boring bliver overfldig, kan pbyde, at brnden tilkastes eller boring lukkes', 'pbud om sljfning af brnd eller boring', 1, '1', 'geokon');

if (select 'x' from jup_Boringslov where code = 2) is null
   insert into jup_Boringslov (code, longtext, shorttext, sortno, active, created_by)
   values (2, '27 i brndborer bekendtgrelsen. Kommunalbestyrelsen kan pbyde sljfning af overfldige boringer og brnde. For sljfning af vandforsyningsboringer og -brnde glder  36 i lov om vandforsyning m.v.', 'Pbud om sljfning af brnd eller boring', 2, '1', 'geokon');


-- Anlgspbud

create table dbo.wcat_injunction (
    injunc_seq_no                 numeric(9)      not null,
    cp_seq_no                     numeric(9)      not null,

    legal_code                    integer         not null,
    start_date                    datetime        not null,
    deadline_date                 datetime        null,
    perm_injunction               varchar(1)      not null default '0',
    fullfilled_expired_date       datetime        null,
    journalno                     varchar(100)    null,
    comments                      varchar(500)    null,

    jup_injunctionid              integer         null,
    reg_date_jup                  datetime        null,
    reg_jup                       varchar(1)      null,
    message_jup                   varchar(500)    null,

    created                       datetime        null default current_timestamp,
    created_by                    varchar(6)      null default current_user,
    changed                       datetime        null,
    changed_by                    varchar(6)      null,
    constraint pk_wcat_injunction primary key (injunc_seq_no)
);
grant select on wcat_injunction to public;
grant select, update, delete, insert on wcat_injunction to wcat_user;

drop_foreign_key on wcat_injunction wcat_catchment_plant;
alter table wcat_injunction
  add constraint fk_wcat_injunction_wcat_catchment_plant foreign key (cp_seq_no)
  references wcat_catchment_plant (cp_seq_no);

drop_foreign_key on wcat_injunction jup_Anlaegslov;
alter table wcat_injunction
  add constraint fk_wcat_injunction_jup_Anlaegslov foreign key (legal_code)
  references jup_Anlaegslov (code);

drop_index on wcat_injunction cp_seq_no;
create index IX_wcat_injunction_wcat_catchment_plant on wcat_injunction (cp_seq_no);

if (select 'x' from increment where table_name = 'wcat_injunction') is null
   insert into increment (table_name, column_name, last_used)
   values ('wcat_injunction', 'injunc_seq_no', 100000);


-- Anlgs anbefaling

create table dbo.wcat_injunction_measure (
    injunc_seq_no                 numeric(9)      not null,
    measure_code                  integer         not null,

    created                       datetime        null default current_timestamp,
    created_by                    varchar(6)      null default current_user,
    changed                       datetime        null,
    changed_by                    varchar(6)      null,
    constraint pk_wcat_injunction_measure primary key (injunc_seq_no, measure_code)
);
grant select on wcat_injunction_measure to public;
grant select, update, delete, insert on wcat_injunction_measure to wcat_user;

drop_foreign_key on wcat_injunction_measure wcat_injunction;
alter table wcat_injunction_measure
  add constraint fk_wcat_injunction_measure_wcat_injunction foreign key (injunc_seq_no)
  references wcat_injunction (injunc_seq_no);

drop_foreign_key on wcat_injunction_measure jup_Foranstaltning;
alter table wcat_injunction_measure
  add constraint fk_wcat_injunction_measure_jup_Foranstaltning foreign key (measure_code)
  references jup_Foranstaltning (code);


-- Anlgspbud - dispensation

create table dbo.wcat_dispensation (
    disp_seq_no                   numeric(9)      not null,
    injunc_seq_no                 numeric(9)      not null,

    issue_date                    datetime        not null,
    expiration_date               datetime        not null,
    comments                      varchar(500)    null,
    jup_dispensationid            integer         null,

    created                       datetime        null default current_timestamp,
    created_by                    varchar(6)      null default current_user,
    changed                       datetime        null,
    changed_by                    varchar(6)      null,
    constraint pk_wcat_dispensation primary key (disp_seq_no)
);
grant select on wcat_dispensation to public;
grant select, update, delete, insert on wcat_dispensation to wcat_user;

drop_foreign_key on wcat_dispensation wcat_injunction;
alter table wcat_dispensation
  add constraint fk_wcat_dispensation_wcat_injunction foreign key (injunc_seq_no)
  references wcat_injunction (injunc_seq_no);

if (select 'x' from increment where table_name = 'wcat_dispensation') is null
   insert into increment (table_name, column_name, last_used)
   values ('wcat_dispensation', 'disp_seq_no', 100000);


-- Boringspbud

create table dbo.bor_injunction (
    injunc_seq_no                 numeric(9)      not null,
    boring_seq_no                 numeric(9)      not null,

    legal_code                    integer         not null,
    start_date                    datetime        not null,
    deadline_date                 datetime        null,
    perm_injunction               varchar(1)      not null default '0',
    fullfilled_expired_date       datetime        null,
    journalno                     varchar(100)    null,
    comments                      varchar(500)    null,

    jup_injunctionid              integer         null,
    reg_date_jup                  datetime        null,
    reg_jup                       varchar(1)      null,
    message_jup                   varchar(500)    null,

    created                       datetime        null default current_timestamp,
    created_by                    varchar(6)      null default current_user,
    changed                       datetime        null,
    changed_by                    varchar(6)      null,
    constraint pk_bor_injunction primary key (injunc_seq_no)
);
grant select on bor_injunction to public;
grant select, update, delete, insert on bor_injunction to wcat_user;

drop_foreign_key on bor_injunction bor_borings;
alter table bor_injunction
  add constraint fk_bor_injunction_bor_borings foreign key (boring_seq_no)
  references bor_borings (boring_seq_no);

drop_foreign_key on bor_injunction jup_Boringslov;
alter table bor_injunction
  add constraint fk_bor_injunction_jup_Boringslov foreign key (legal_code)
  references jup_Boringslov (code);

drop_index on bor_injunction boring_seq_no;
create index IX_bor_injunction_bor_borings on bor_injunction (boring_seq_no);

if (select 'x' from increment where table_name = 'bor_injunction') is null
   insert into increment (table_name, column_name, last_used)
   values ('bor_injunction', 'injunc_seq_no', 100000);

--******************************************************************************