patch_id view_tm_line_20190628

IF object_id('dbo.view_tm_line0') IS NOT NULL
BEGIN
    DROP VIEW dbo.view_tm_line0
END;

create view dbo.view_tm_line0 (
	dato, dag, line_seq_no, week_no, site_seq_no, activity_id, init, department, text, invoice_date, due_date, amount, payer_id, reference_no, team_id, export_date, created, created_by, changed, changed_by, comments)
as
select dbo.f_first_date_in_week(week_no) as dato, 'mandag' as dag, line_seq_no, week_no, site_seq_no, activity_id, init, department, text, invoice_date, due_date, monday as amount, payer_id, reference_no, team_id, export_date, created, created_by, changed, changed_by, comments from tm_line where monday is not null and week_no between 200001 and 300053
union select dateadd(dd,1,dbo.f_first_date_in_week(week_no)), 'tirsdag', line_seq_no, week_no, site_seq_no, activity_id, init, department, text, invoice_date, due_date, tuesday, payer_id, reference_no, team_id, export_date, created, created_by, changed, changed_by, comments from tm_line where tuesday is not null  and week_no between 200001 and 300053
union select dateadd(dd,2,dbo.f_first_date_in_week(week_no)), 'onsdag', line_seq_no, week_no, site_seq_no, activity_id, init, department, text, invoice_date, due_date, wednesday, payer_id, reference_no, team_id, export_date, created, created_by, changed, changed_by, comments from tm_line where wednesday is not null and week_no between 200001 and 300053
union select dateadd(dd,3,dbo.f_first_date_in_week(week_no)), 'torsdag', line_seq_no, week_no, site_seq_no, activity_id, init, department, text, invoice_date, due_date, thursday, payer_id, reference_no, team_id, export_date, created, created_by, changed, changed_by, comments from tm_line where thursday is not null and week_no between 200001 and 300053
union select dateadd(dd,4,dbo.f_first_date_in_week(week_no)), 'fredag', line_seq_no, week_no, site_seq_no, activity_id, init, department, text, invoice_date, due_date, friday, payer_id, reference_no, team_id, export_date, created, created_by, changed, changed_by, comments from tm_line where friday is not null and week_no between 200001 and 300053
union select dateadd(dd,5,dbo.f_first_date_in_week(week_no)), 'lrdag', line_seq_no, week_no, site_seq_no, activity_id, init, department, text, invoice_date, due_date, saturday, payer_id, reference_no, team_id, export_date, created, created_by, changed, changed_by, comments from tm_line where saturday is not null and week_no between 200001 and 300053
union select dateadd(dd,6,dbo.f_first_date_in_week(week_no)), 'sndag', line_seq_no, week_no, site_seq_no, activity_id, init, department, text, invoice_date, due_date, sunday, payer_id, reference_no, team_id, export_date, created, created_by, changed, changed_by, comments from tm_line where sunday is not null and week_no between 200001 and 300053
;

IF object_id('dbo.view_tm_line') IS NOT NULL
BEGIN
    DROP VIEW dbo.view_tm_line
END;

create view dbo.view_tm_line (
	dato, dag, line_seq_no, week_no, site_seq_no, activity_id, init, department, text, invoice_date, due_date, amount, payer_id, reference_no, team_id, export_date, created, created_by, changed, changed_by, comments)
as
select w.dato
,w.dag
,w.line_seq_no
,w.week_no
,w.site_seq_no
,w.activity_id
,w.init
,w.department
,w.text
,tp.invoice_date
,tp.due_date
,w.amount
,w.payer_id
,w.reference_no
,w.team_id
,w.export_date
,w.created
,w.created_by
,w.changed
,w.changed_by
,w.comments
from view_tm_line0 w
	left join tm_invoiced_period tp on w.site_seq_no = tp.site_seq_no and w.dato between tp.date_from and tp.date_to
;

grant select on view_tm_line to sysmgr, tim_user;