-- 09.12.2019 JW
-- Tabeller til SSO/STS Adgangsstyring oprettes.

patch_id create_sso_tables_1200

if not exists (select 1 from sysobjects
  where id = object_id('SSOSession') and type = 'u')
CREATE TABLE SSOSession(
   SessionId uniqueidentifier NOT NULL,
   GECaseOfficerId varchar(6) NULL,
   ExternalUserId varchar(50) NULL,
   ExternalUserName varchar(50) NULL,
   LoggedIn datetime NOT NULL,
   Expire datetime NOT NULL,
   SessionLoggedOut bit NOT NULL,
   SessionLoggedOutBy varchar(3) NULL,
 CONSTRAINT PK_SSOSession PRIMARY KEY NONCLUSTERED 
(
   SessionId ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
GO

if not exists (select 1 from sysobjects
  where id = object_id('SSOSessionParms') and type = 'u')
CREATE TABLE SSOSessionParms(
   SessionId uniqueidentifier NOT NULL,
   ParmType varchar(20) NOT NULL,
   ParmName varchar(20) NOT NULL,
   ParmValue varchar(max) NULL,
 CONSTRAINT PK_SSOSessionParms PRIMARY KEY NONCLUSTERED 
(
   SessionId ASC,
   ParmType ASC,
   ParmName ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO


