-- 17-02-2020 TRK
--
-- bbr - 12.1.0 - mss

patch_id bbr_#1210_200217

--******************************************************************************
-- Udvidelse af bbr_site                                              17-02-2020
--******************************************************************************

-- bbr_site.matr_art_kode (Artskode - type af matrikel)

create table dbo.land_reg_type (
   code                 int                            not null,
   name                 varchar(200)                   null,
   created              datetime                       null default current_timestamp,
   created_by           varchar(6)                     null default current_user,
   changed              datetime                       null,
   changed_by           varchar(6)                     null,
   active               varchar(1)                     null,
   constraint pk_land_reg_type primary key clustered (code)
);

grant select on land_reg_type to public;
grant select, insert, update, delete on land_reg_type to sysmgr;


-- bbr_site.ejerforhold_kode (Ejerforhold - type af ejerforhold)

create table dbo.bbr_code_ownership (
   code                 varchar(2)                     not null,
   name                 varchar(200)                   null,
   created              datetime                       null default current_timestamp,
   created_by           varchar(6)                     null default current_user,
   changed              datetime                       null,
   changed_by           varchar(6)                     null,
   active               varchar(1)                     null,
   constraint pk_bbr_code_ownership primary key clustered (code)
);

grant select on bbr_code_ownership to public;
grant select, insert, update, delete on bbr_code_ownership to sysmgr;


-- bbr_site.vur_benyt_kode (Benyttelse - type af benyttelse, hvad benyttes ejendommen/grunden til?)

create table dbo.bbr_code_site_usage (
   code                 varchar(2)                     not null,
   name                 varchar(200)                   null,
   created              datetime                       null default current_timestamp,
   created_by           varchar(6)                     null default current_user,
   changed              datetime                       null,
   changed_by           varchar(6)                     null,
   active               varchar(1)                     null,
   constraint pk_bbr_code_site_usage primary key clustered (code)
);

grant select on bbr_code_site_usage to public;
grant select, insert, update, delete on bbr_code_site_usage to sysmgr;


-- Indst rkker i land_reg_type

if (select count(*) from land_reg_type) = 0
begin
  insert into land_reg_type (code, name, created_by, active) values ( 0, 'Vigtigste matrikel. Evt. bygning ligger her.', 'geokon', '1')
  insert into land_reg_type (code, name, created_by, active) values ( 1, 'Andre matrikler p ejendommen', 'geokon', '1')
  insert into land_reg_type (code, name, created_by, active) values ( 2, 'Ejerlejlighed', 'geokon', '1')
  insert into land_reg_type (code, name, created_by, active) values ( 3, 'Bygning p matrikel (lejet grund)', 'geokon', '1')
  insert into land_reg_type (code, name, created_by, active) values ( 4, 'Del af matrikelnummer (parcel)', 'geokon', '1')
  insert into land_reg_type (code, name, created_by, active) values ( 5, 'Umatrikuleret areal', 'geokon', '1')
  insert into land_reg_type (code, name, created_by, active) values ( 6, 'Umatrikuleret havneareal', 'geokon', '1')
  insert into land_reg_type (code, name, created_by, active) values ( 7, 'Umatrikuleret jernbaneareal', 'geokon', '1')
  insert into land_reg_type (code, name, created_by, active) values ( 8, 'Bygning p umatrikuleret areal', 'geokon', '1')
  insert into land_reg_type (code, name, created_by, active) values ( 9, 'Bygning p umatrikuleret havneareal', 'geokon', '1')
  insert into land_reg_type (code, name, created_by, active) values (10, 'Bygning p umatrikuleret jernbaneareal', 'geokon', '1')
  insert into land_reg_type (code, name, created_by, active) values (20, 'Andet afgivet areal, f. eks lejet grund', 'geokon', '1')
  insert into land_reg_type (code, name, created_by, active) values (21, 'Tilskyllet', 'geokon', '1')
  insert into land_reg_type (code, name, created_by, active) values (22, 'Bortskyllet', 'geokon', '1')
  insert into land_reg_type (code, name, created_by, active) values (23, 'Eksproprieret til', 'geokon', '1')
  insert into land_reg_type (code, name, created_by, active) values (24, 'Eksproprieret fra', 'geokon', '1')
  insert into land_reg_type (code, name, created_by, active) values (25, 'Dokumenteret arealafvigelse tillagt', 'geokon', '1')
  insert into land_reg_type (code, name, created_by, active) values (26, 'Dokumenteret arealafvigelse afgivet', 'geokon', '1')
  insert into land_reg_type (code, name, created_by, active) values (27, 'Tillagt ved jordfordeling m.v.', 'geokon', '1')
  insert into land_reg_type (code, name, created_by, active) values (28, 'Afgivet ved jordfordeling m.v.', 'geokon', '1')
  insert into land_reg_type (code, name, created_by, active) values (30, 'Vigtigste matrikel. Evt. bygning ligger her.', 'geokon', '1')
  insert into land_reg_type (code, name, created_by, active) values (31, 'Andre matrikler p ejendommen', 'geokon', '1')
  insert into land_reg_type (code, name, created_by, active) values (32, 'Ejerlejlighed', 'geokon', '1')
  insert into land_reg_type (code, name, created_by, active) values (33, 'Bygning p matrikel (lejet grund)', 'geokon', '1')
  insert into land_reg_type (code, name, created_by, active) values (34, 'Del af matrikelnummer (parcel)', 'geokon', '1')
  insert into land_reg_type (code, name, created_by, active) values (35, 'Umatrikuleret areal', 'geokon', '1')
  insert into land_reg_type (code, name, created_by, active) values (36, 'Umatrikuleret havneareal', 'geokon', '1')
  insert into land_reg_type (code, name, created_by, active) values (37, 'Umatrikuleret jernbaneareal', 'geokon', '1')
  insert into land_reg_type (code, name, created_by, active) values (38, 'Bygning p umatrikuleret areal', 'geokon', '1')
  insert into land_reg_type (code, name, created_by, active) values (39, 'Bygning p umatrikuleret havneareal', 'geokon', '1')
  insert into land_reg_type (code, name, created_by, active) values (40, 'Bygning p umatrikuleret jernbaneareal', 'geokon', '1')
end;


-- Indst rkker i bbr_code_ownership

if (select count(*) from bbr_code_ownership) = 0
begin
  insert into bbr_code_ownership (code, name, created_by, active) values ('10', 'Privatpersoner, incl. I/S', 'geokon', '1')
  insert into bbr_code_ownership (code, name, created_by, active) values ('20', 'Almen boligorganisation', 'geokon', '1')
  insert into bbr_code_ownership (code, name, created_by, active) values ('30', 'Aktie-, anparts- eller andet selskab (ikke interessentskab)', 'geokon', '1')
  insert into bbr_code_ownership (code, name, created_by, active) values ('40', 'Forening/legat/selvejende institution', 'geokon', '1')
  insert into bbr_code_ownership (code, name, created_by, active) values ('41', 'Privat andelsboligforening', 'geokon', '1')
  insert into bbr_code_ownership (code, name, created_by, active) values ('50', 'Beliggenhedskommune', 'geokon', '1')
  insert into bbr_code_ownership (code, name, created_by, active) values ('60', 'Kommune (ikke beliggenhedskommunen)', 'geokon', '1')
  insert into bbr_code_ownership (code, name, created_by, active) values ('70', 'Region', 'geokon', '1')
  insert into bbr_code_ownership (code, name, created_by, active) values ('80', 'Staten', 'geokon', '1')
  insert into bbr_code_ownership (code, name, created_by, active) values ('90', 'Andet, herunder moderejd. samt ejd. med flere kategorier af ejere', 'geokon', '1')
end;


-- Indst rkker i bbr_code_site_usage

if (select count(*) from bbr_code_site_usage) = 0
begin
  insert into bbr_code_site_usage (code, name, created_by, active) values ('  ', 'Benyttelse endnu ikke fastlagt (Ejendom under omvurdering).', 'geokon', '1')
  insert into bbr_code_site_usage (code, name, created_by, active) values ('00', 'Undtaget fra vurdering.', 'geokon', '1')
  insert into bbr_code_site_usage (code, name, created_by, active) values ('01', 'Beboelsesejendom', 'geokon', '1')
  insert into bbr_code_site_usage (code, name, created_by, active) values ('02', 'Beboelses- og forretningsejendom', 'geokon', '1')
  insert into bbr_code_site_usage (code, name, created_by, active) values ('03', 'Ren forretning.', 'geokon', '1')
  insert into bbr_code_site_usage (code, name, created_by, active) values ('04', 'Fabrik og lager.', 'geokon', '1')
  insert into bbr_code_site_usage (code, name, created_by, active) values ('05', 'Landbrug, bebygget, mindst 0,55 Ha.', 'geokon', '1')
  insert into bbr_code_site_usage (code, name, created_by, active) values ('06', 'Srskilt vurderet skov og plantage.', 'geokon', '1')
  insert into bbr_code_site_usage (code, name, created_by, active) values ('07', 'Frugtplantage, gartneri og planteskole.', 'geokon', '1')
  insert into bbr_code_site_usage (code, name, created_by, active) values ('08', 'Sommerhus.', 'geokon', '1')
  insert into bbr_code_site_usage (code, name, created_by, active) values ('09', 'Ubebygget areal (Ikke landbrugsareal), forskelsvrdi max. 10 %', 'geokon', '1')
  insert into bbr_code_site_usage (code, name, created_by, active) values ('10', 'Statsejendom (Bebygget).', 'geokon', '1')
  insert into bbr_code_site_usage (code, name, created_by, active) values ('11', 'Kommunal beboelses- og forretningsejendom.', 'geokon', '1')
  insert into bbr_code_site_usage (code, name, created_by, active) values ('12', 'Anden kommunal ejendom (Skole, rdhus m.v.).', 'geokon', '1')
  insert into bbr_code_site_usage (code, name, created_by, active) values ('13', 'Andre vurderinger.', 'geokon', '1')
  insert into bbr_code_site_usage (code, name, created_by, active) values ('14', 'Vurdering til 0.', 'geokon', '1')
  insert into bbr_code_site_usage (code, name, created_by, active) values ('16', 'Udget ejendom.', 'geokon', '1')
  insert into bbr_code_site_usage (code, name, created_by, active) values ('17', 'Ubebyggede landbrugslodder.', 'geokon', '1')
  insert into bbr_code_site_usage (code, name, created_by, active) values ('20', 'Moderejendom for ejerlejligheder', 'geokon', '1')
  insert into bbr_code_site_usage (code, name, created_by, active) values ('21', 'Ejerlejlighed, beboelse', 'geokon', '1')
  insert into bbr_code_site_usage (code, name, created_by, active) values ('22', 'Ejerlejlighed, beboelse og forretning', 'geokon', '1')
  insert into bbr_code_site_usage (code, name, created_by, active) values ('23', 'Ejerlejlighed, ren forretning', 'geokon', '1')
  insert into bbr_code_site_usage (code, name, created_by, active) values ('24', 'Ejerlejlighed, fabrik og lager.', 'geokon', '1')
  insert into bbr_code_site_usage (code, name, created_by, active) values ('25', 'Ejerlejlighed, ivrigt.', 'geokon', '1')
  insert into bbr_code_site_usage (code, name, created_by, active) values ('26', 'Ejerlejlighed med beboelse i en-, to-, trefamiliehus ell. dobbelthus', 'geokon', '1')
  insert into bbr_code_site_usage (code, name, created_by, active) values ('27', 'Ejerlejlighed med beboelse i rkkehusbebyggelse.', 'geokon', '1')
  insert into bbr_code_site_usage (code, name, created_by, active) values ('28', 'Ejerlejlighed, sommerhus p fremmed grund.', 'geokon', '1')
  insert into bbr_code_site_usage (code, name, created_by, active) values ('29', 'Ejerlejlighed, vrige p fremmed grund.', 'geokon', '1')
  insert into bbr_code_site_usage (code, name, created_by, active) values ('31', 'Stttet andelsbolig.', 'geokon', '1')
  insert into bbr_code_site_usage (code, name, created_by, active) values ('33', 'Privat institutions- og serviceejendom.', 'geokon', '1')
  insert into bbr_code_site_usage (code, name, created_by, active) values ('34', 'Erhvervsejendom af speciel karakter', 'geokon', '1')
  insert into bbr_code_site_usage (code, name, created_by, active) values ('41', 'Beboelse p fremmed grund.', 'geokon', '1')
  insert into bbr_code_site_usage (code, name, created_by, active) values ('42', 'Beboelse og forretning p fremmed grund.', 'geokon', '1')
  insert into bbr_code_site_usage (code, name, created_by, active) values ('43', 'Ren forretning p fremmed grund.', 'geokon', '1')
  insert into bbr_code_site_usage (code, name, created_by, active) values ('44', 'Fabrik og lager p fremmed grund.', 'geokon', '1')
  insert into bbr_code_site_usage (code, name, created_by, active) values ('45', 'Anden bygning p fremmed grund.', 'geokon', '1')
  insert into bbr_code_site_usage (code, name, created_by, active) values ('48', 'Sommerhus p fremmed grund.', 'geokon', '1')
  insert into bbr_code_site_usage (code, name, created_by, active) values ('49', 'Areal med bygning p fremmed grund.', 'geokon', '1')
  insert into bbr_code_site_usage (code, name, created_by, active) values ('78', 'Sommerhus p fremmed grund, forbiget ved vurderingen.', 'geokon', '1')
  insert into bbr_code_site_usage (code, name, created_by, active) values ('79', 'Anden bygning p fremmed grund, forbiget ved vurderingen.', 'geokon', '1')
  insert into bbr_code_site_usage (code, name, created_by, active) values ('98', 'Opkrvningsejendom (Areal vurderet i anden kommune).', 'geokon', '1')
end;


-- Ny kolonner p bbr_site

if (select col_length('bbr_site','bfe_nummer')) is null
   alter table bbr_site add bfe_nummer int null;

if (select col_length('bbr_site','ejendoms_type')) is null
   alter table bbr_site add ejendoms_type varchar(6) null;

if (select col_length('bbr_site','ejd_beliggenhed')) is null
   alter table bbr_site add ejd_beliggenhed varchar(50) null;

if (select col_length('bbr_site','etage')) is null
   alter table bbr_site add etage varchar(2) null;

if (select col_length('bbr_site','side_doernr')) is null
   alter table bbr_site add side_doernr varchar(4) null;

if (select col_length('bbr_site','ejerlejl_nr')) is null
   alter table bbr_site add ejerlejl_nr varchar(7) null;

if (select col_length('bbr_site','landsejerlav_kode')) is null
   alter table bbr_site add landsejerlav_kode varchar(12) null;

if (select col_length('bbr_site','matr_nr')) is null
   alter table bbr_site add matr_nr int null;

if (select col_length('bbr_site','matr_bogstav')) is null
   alter table bbr_site add matr_bogstav varchar(3) null;

if (select col_length('bbr_site','delnr')) is null
   alter table bbr_site add delnr varchar(3) null;

if (select col_length('bbr_site','elej')) is null
   alter table bbr_site add elej int null;

if (select col_length('bbr_site','matr_art_kode')) is null
   alter table bbr_site add matr_art_kode int null;

if (select col_length('bbr_site','ejd_matr_arl_saml')) is null
   alter table bbr_site add ejd_matr_arl_saml decimal(11,0) null;

if (select col_length('bbr_site','ejd_matr_vej_arl')) is null
   alter table bbr_site add ejd_matr_vej_arl decimal(11,0) null;

if (select col_length('bbr_site','ejerforhold_kode')) is null
   alter table bbr_site add ejerforhold_kode varchar(2) null;

if (select col_length('bbr_site','antal_ejere')) is null
   alter table bbr_site add antal_ejere int null;

if (select col_length('bbr_site','vur_benyt_kode')) is null
   alter table bbr_site add vur_benyt_kode varchar(2) null;

if (select col_length('bbr_site','lejl_ant_vur')) is null
   alter table bbr_site add lejl_ant_vur int null;

if (select col_length('bbr_site','ejd_vur_arl')) is null
   alter table bbr_site add ejd_vur_arl decimal(18,0) null;

if (select col_length('bbr_site','bebyg_pct_ejd_max')) is null
   alter table bbr_site add bebyg_pct_ejd_max decimal(18,0) null;

if (select col_length('bbr_site','moderejd_nr')) is null
   alter table bbr_site add moderejd_nr int null;

if (select col_length('bbr_site','cofvej')) is null
   alter table bbr_site add cofvej varchar(1) null;

if (select col_length('bbr_site','cbyg66')) is null
   alter table bbr_site add cbyg66 varchar(1) null;

if (select col_length('bbr_site','adm_navn')) is null
   alter table bbr_site add adm_navn varchar(50) null;

if (select col_length('bbr_site','adm_conavn')) is null
   alter table bbr_site add adm_conavn varchar(50) null;

if (select col_length('bbr_site','adm_adr')) is null
   alter table bbr_site add adm_adr varchar(50) null;

if (select col_length('bbr_site','adm_udv_adr')) is null
   alter table bbr_site add adm_udv_adr varchar(50) null;

if (select col_length('bbr_site','adm_postadr')) is null
   alter table bbr_site add adm_postadr varchar(50) null;

-- Forign keys - 4 stk.

drop_foreign_key on bbr_site land_register;

alter table bbr_site
  add constraint fk_bbr_site_land_register foreign key (landsejerlav_kode)
  references land_register (land_reg_code);

drop_foreign_key on bbr_site land_reg_type;

alter table bbr_site
  add constraint fk_bbr_site_land_reg_type foreign key (matr_art_kode)
  references land_reg_type (code);

drop_foreign_key on bbr_site bbr_code_ownership;

alter table bbr_site
  add constraint fk_bbr_site_bbr_code_ownership foreign key (ejerforhold_kode)
  references bbr_code_ownership (code);

drop_foreign_key on bbr_site bbr_code_site_usage;

alter table bbr_site
  add constraint fk_bbr_site_bbr_code_site_usage foreign key (vur_benyt_kode)
  references bbr_code_site_usage (code);

--******************************************************************************
-- Udvidelse af bbr_technical_installation                            19-02-2020
--******************************************************************************

-- bbr_technical_installation.oil_tank_size_class_code

create table dbo.bbr_code_ti_oil_tank_size_class (
   code                 int                            not null,
   name                 varchar(200)                   null,
   created              datetime                       null default current_timestamp,
   created_by           varchar(6)                     null default current_user,
   changed              datetime                       null,
   changed_by           varchar(6)                     null,
   active               varchar(1)                     null,
   constraint pk_bbr_code_ti_oil_tank_size_class primary key clustered (code)
);

grant select on bbr_code_ti_oil_tank_size_class to public;
grant select, insert, update, delete on bbr_code_ti_oil_tank_size_class to sysmgr;


-- Indst rkker i bbr_code_ti_oil_tank_size_class

if (select count(*) from bbr_code_ti_oil_tank_size_class) = 0
begin
  insert into bbr_code_ti_oil_tank_size_class (code, name, created_by, active) values ( 1, 'Under 6.000 l', 'geokon', '1')
  insert into bbr_code_ti_oil_tank_size_class (code, name, created_by, active) values ( 2, '6.000 l - 100.000 l', 'geokon', '1')
  insert into bbr_code_ti_oil_tank_size_class (code, name, created_by, active) values ( 3, 'Over 100.000 l', 'geokon', '1')
end;


-- Ny kolonner p bbr_technical_installation

if (select col_length('bbr_technical_installation','manufacturer_type')) is null
   alter table bbr_technical_installation add manufacturer_type varchar(200) null;

if (select col_length('bbr_technical_installation','installation_number')) is null
   alter table bbr_technical_installation add installation_number bigint null;

if (select col_length('bbr_technical_installation','oil_tank_size_class_code')) is null
   alter table bbr_technical_installation add oil_tank_size_class_code int null;


-- Forign keys - 1 stk.

drop_foreign_key on bbr_technical_installation bbr_code_ti_oil_tank_size_class;

alter table bbr_technical_installation
  add constraint fk_bbr_technical_installation_bbr_code_ti_oil_tank_size_class foreign key (oil_tank_size_class_code)
  references bbr_code_ti_oil_tank_size_class (code);

--******************************************************************************
-- Udvidelse af bbr_building                                          21-02-2020
--******************************************************************************

-- bbr_building.byg028_midl_oprettelse_fuldfoersel_code

create table dbo.bbr_code_midl_oprettelse_fuldfoersel (
   code                 varchar(10)                    not null,
   name                 varchar(200)                   null,
   created              datetime                       null default current_timestamp,
   created_by           varchar(6)                     null default current_user,
   changed              datetime                       null,
   changed_by           varchar(6)                     null,
   active               varchar(1)                     null,
   constraint pk_bbr_code_midl_oprettelse_fuldfoersel primary key clustered (code)
);

grant select on bbr_code_midl_oprettelse_fuldfoersel to public;
grant select, insert, update, delete on bbr_code_midl_oprettelse_fuldfoersel to sysmgr;


-- bbr_building.byg032_ydervaeggens_materiale_code

create table dbo.bbr_code_ydervaeggenes_materiale (
   code                 varchar(10)                    not null,
   name                 varchar(200)                   null,
   created              datetime                       null default current_timestamp,
   created_by           varchar(6)                     null default current_user,
   changed              datetime                       null,
   changed_by           varchar(6)                     null,
   active               varchar(1)                     null,
   constraint pk_bbr_code_ydervaeggenes_materiale primary key clustered (code)
);

grant select on bbr_code_ydervaeggenes_materiale to public;
grant select, insert, update, delete on bbr_code_ydervaeggenes_materiale to sysmgr;


-- bbr_building.byg033_tagdaekningsmateriale_code

create table dbo.bbr_code_tagdaekningsmateriale (
   code                 varchar(10)                    not null,
   name                 varchar(200)                   null,
   created              datetime                       null default current_timestamp,
   created_by           varchar(6)                     null default current_user,
   changed              datetime                       null,
   changed_by           varchar(6)                     null,
   active               varchar(1)                     null,
   constraint pk_bbr_code_tagdaekningsmateriale primary key clustered (code)
);

grant select on bbr_code_tagdaekningsmateriale to public;
grant select, insert, update, delete on bbr_code_tagdaekningsmateriale to sysmgr;


-- bbr_building.byg031_afloebsforhold_code

create table dbo.bbr_code_afloebsforhold (
   code                 varchar(10)                    not null,
   name                 varchar(200)                   null,
   created              datetime                       null default current_timestamp,
   created_by           varchar(6)                     null default current_user,
   changed              datetime                       null,
   changed_by           varchar(6)                     null,
   active               varchar(1)                     null,
   constraint pk_bbr_code_afloebsforhold primary key clustered (code)
);

grant select on bbr_code_afloebsforhold to public;
grant select, insert, update, delete on bbr_code_afloebsforhold to sysmgr;


-- bbr_building.byg053_byg_arealer_kilde_code

create table dbo.bbr_code_kilde_til_oplysninger (
   code                 varchar(10)                    not null,
   name                 varchar(200)                   null,
   created              datetime                       null default current_timestamp,
   created_by           varchar(6)                     null default current_user,
   changed              datetime                       null,
   changed_by           varchar(6)                     null,
   active               varchar(1)                     null,
   constraint pk_bbr_code_kilde_til_oplysninger primary key clustered (code)
);

grant select on bbr_code_kilde_til_oplysninger to public;
grant select, insert, update, delete on bbr_code_kilde_til_oplysninger to sysmgr;


-- bbr_building.byg119_udledningstilladelse_code

create table dbo.bbr_code_udledningstilladelse (
   code                 varchar(10)                    not null,
   name                 varchar(200)                   null,
   created              datetime                       null default current_timestamp,
   created_by           varchar(6)                     null default current_user,
   changed              datetime                       null,
   changed_by           varchar(6)                     null,
   active               varchar(1)                     null,
   constraint pk_bbr_code_udledningstilladelse primary key clustered (code)
);

grant select on bbr_code_udledningstilladelse to public;
grant select, insert, update, delete on bbr_code_udledningstilladelse to sysmgr;


-- Indst rkker i bbr_code_midl_oprettelse_fuldfoersel

if (select count(*) from bbr_code_midl_oprettelse_fuldfoersel) = 0
begin
  insert into bbr_code_midl_oprettelse_fuldfoersel (code, name, created_by, active) values ('0', 'Bygningen er ikke midlertidig oprettet', 'geokon', '1')
  insert into bbr_code_midl_oprettelse_fuldfoersel (code, name, created_by, active) values ('1', 'Bygningen er midlertidig oprettet, nybyggeri', 'geokon', '1')
  insert into bbr_code_midl_oprettelse_fuldfoersel (code, name, created_by, active) values ('2', 'Bygningen er midlertidig fuldfrt, nybyggeri', 'geokon', '1')
  insert into bbr_code_midl_oprettelse_fuldfoersel (code, name, created_by, active) values ('3', 'Bygningen er midlertidig oprettet, om-/tilbygning', 'geokon', '1')
  insert into bbr_code_midl_oprettelse_fuldfoersel (code, name, created_by, active) values ('4', 'Bygningen er midlertidig fuldfrt, om-/tilbygning', 'geokon', '1')
end;


-- Indst rkker i bbr_code_ydervaeggenes_materiale

if (select count(*) from bbr_code_ydervaeggenes_materiale) = 0
begin
  insert into bbr_code_ydervaeggenes_materiale (code, name, created_by, active) values ('1', 'Mursten (tegl, kalksten, cementsten)', 'geokon', '1')
  insert into bbr_code_ydervaeggenes_materiale (code, name, created_by, active) values ('2', 'Letbeton (lette bloksten, gasbeton)', 'geokon', '1')
  insert into bbr_code_ydervaeggenes_materiale (code, name, created_by, active) values ('3', 'Plader af fibercement, herunder asbest (eternit el. lign.)', 'geokon', '1')
  insert into bbr_code_ydervaeggenes_materiale (code, name, created_by, active) values ('4', 'Bindingsvrk (med udvendigt synligt trvrk)', 'geokon', '1')
  insert into bbr_code_ydervaeggenes_materiale (code, name, created_by, active) values ('5', 'Trbekldning', 'geokon', '1')
  insert into bbr_code_ydervaeggenes_materiale (code, name, created_by, active) values ('6', 'Betonelementer (etagehje betonelementer)', 'geokon', '1')
  insert into bbr_code_ydervaeggenes_materiale (code, name, created_by, active) values ('8', 'Metalplader', 'geokon', '1')
  insert into bbr_code_ydervaeggenes_materiale (code, name, created_by, active) values ('10', 'Plader af fibercement (asbestfri)', 'geokon', '1')
  insert into bbr_code_ydervaeggenes_materiale (code, name, created_by, active) values ('11', 'PVC', 'geokon', '1')
  insert into bbr_code_ydervaeggenes_materiale (code, name, created_by, active) values ('12', 'Glas', 'geokon', '1')
  insert into bbr_code_ydervaeggenes_materiale (code, name, created_by, active) values ('80', 'Ingen', 'geokon', '1')
  insert into bbr_code_ydervaeggenes_materiale (code, name, created_by, active) values ('90', 'Andet materiale', 'geokon', '1')
end;


-- Indst rkker i bbr_code_tagdaekningsmateriale

if (select count(*) from bbr_code_tagdaekningsmateriale) = 0
begin
  insert into bbr_code_tagdaekningsmateriale (code, name, created_by, active) values ('1', 'Built-up', 'geokon', '1')
  insert into bbr_code_tagdaekningsmateriale (code, name, created_by, active) values ('2', 'Tagpap (med taghldning)', 'geokon', '1')
  insert into bbr_code_tagdaekningsmateriale (code, name, created_by, active) values ('3', 'Fibercement, herunder asbest (blge- eller skifer-eternit)', 'geokon', '1')
  insert into bbr_code_tagdaekningsmateriale (code, name, created_by, active) values ('4', 'Cementsten', 'geokon', '1')
  insert into bbr_code_tagdaekningsmateriale (code, name, created_by, active) values ('5', 'Tegl', 'geokon', '1')
  insert into bbr_code_tagdaekningsmateriale (code, name, created_by, active) values ('6', 'Metalplader (blgeblik, aluminium, o.lign.)', 'geokon', '1')
  insert into bbr_code_tagdaekningsmateriale (code, name, created_by, active) values ('7', 'Strtag', 'geokon', '1')
  insert into bbr_code_tagdaekningsmateriale (code, name, created_by, active) values ('10', 'Fibercement (asbestfri)', 'geokon', '1')
  insert into bbr_code_tagdaekningsmateriale (code, name, created_by, active) values ('11', 'PVC', 'geokon', '1')
  insert into bbr_code_tagdaekningsmateriale (code, name, created_by, active) values ('12', 'Glas', 'geokon', '1')
  insert into bbr_code_tagdaekningsmateriale (code, name, created_by, active) values ('20', 'Grnne tage', 'geokon', '1')
  insert into bbr_code_tagdaekningsmateriale (code, name, created_by, active) values ('80', 'Ingen', 'geokon', '1')
  insert into bbr_code_tagdaekningsmateriale (code, name, created_by, active) values ('90', 'Andet materiale', 'geokon', '1')
end;


-- Indst rkker i bbr_code_afloebsforhold

if (select count(*) from bbr_code_afloebsforhold) = 0
begin
  insert into bbr_code_afloebsforhold (code, name, created_by, active) values ('1', 'Flleskloakeret: spildevand + tag- og overfladevand', 'geokon', '1')
  insert into bbr_code_afloebsforhold (code, name, created_by, active) values ('2', 'Flleskloakeret: spildevand + delvis tag- og overfladevand', 'geokon', '1')
  insert into bbr_code_afloebsforhold (code, name, created_by, active) values ('3', 'Flleskloakeret: spildevand', 'geokon', '1')
  insert into bbr_code_afloebsforhold (code, name, created_by, active) values ('4', 'Flleskloakeret: tag- og overfladevand', 'geokon', '1')
  insert into bbr_code_afloebsforhold (code, name, created_by, active) values ('5', 'Separatkloakeret: spildevand + tag- og overfladevand', 'geokon', '1')
  insert into bbr_code_afloebsforhold (code, name, created_by, active) values ('6', 'Separatkloakeret: spildevand + delvis tag- og overfladevand', 'geokon', '1')
  insert into bbr_code_afloebsforhold (code, name, created_by, active) values ('7', 'Separatkloakeret: spildevand', 'geokon', '1')
  insert into bbr_code_afloebsforhold (code, name, created_by, active) values ('8', 'Separatkloakeret: tag- og overfladevand', 'geokon', '1')
  insert into bbr_code_afloebsforhold (code, name, created_by, active) values ('9', 'Spildevandskloakeret: Spildevand', 'geokon', '1')
  insert into bbr_code_afloebsforhold (code, name, created_by, active) values ('10', 'Aflb til spildevandsforsyningens renseanlg', 'geokon', '1')
  insert into bbr_code_afloebsforhold (code, name, created_by, active) values ('11', 'Aflb til fllesprivat spildevandsanlg', 'geokon', '1')
  insert into bbr_code_afloebsforhold (code, name, created_by, active) values ('12', 'Aflb til fllesprivat kloakledning med tilslutning til spv. renseanlg', 'geokon', '1')
  insert into bbr_code_afloebsforhold (code, name, created_by, active) values ('20', 'Aflb til samletank', 'geokon', '1')
  insert into bbr_code_afloebsforhold (code, name, created_by, active) values ('21', 'Aflb til samletank for toiletvand og mek. rensning af vr. spildevand', 'geokon', '1')
  insert into bbr_code_afloebsforhold (code, name, created_by, active) values ('29', 'Mekanisk rensning med nedsivningsanlg med tilladelse', 'geokon', '1')
  insert into bbr_code_afloebsforhold (code, name, created_by, active) values ('30', 'Mekanisk rensning med nedsivningsanlg (tilladelse ikke pkrvet)', 'geokon', '1')
  insert into bbr_code_afloebsforhold (code, name, created_by, active) values ('31', 'Mekanisk rensning med privat udledn. dir. til vandlb, s eller hav', 'geokon', '1')
  insert into bbr_code_afloebsforhold (code, name, created_by, active) values ('32', 'Mekanisk og biologisk rensning (ldre anlg uden renseklasse)', 'geokon', '1')
  insert into bbr_code_afloebsforhold (code, name, created_by, active) values ('70', 'Udledning uden rensning direkte til vandlb, ser eller havet', 'geokon', '1')
  insert into bbr_code_afloebsforhold (code, name, created_by, active) values ('75', 'Blandet aflbsforhold p ejendommen (er specificeret p bygningen)', 'geokon', '1')
  insert into bbr_code_afloebsforhold (code, name, created_by, active) values ('80', 'Anden type aflb', 'geokon', '1')
  insert into bbr_code_afloebsforhold (code, name, created_by, active) values ('90', 'Ingen udledning', 'geokon', '1')
  insert into bbr_code_afloebsforhold (code, name, created_by, active) values ('101', 'SOP: Minirenseanlg med direkte udledning', 'geokon', '1')
  insert into bbr_code_afloebsforhold (code, name, created_by, active) values ('102', 'SOP: Minirenseanlg med udledning til markdrn', 'geokon', '1')
  insert into bbr_code_afloebsforhold (code, name, created_by, active) values ('103', 'SOP: Minirenseanlg med nedsivning i faskine', 'geokon', '1')
  insert into bbr_code_afloebsforhold (code, name, created_by, active) values ('104', 'SOP: Nedsivning til sivedrn', 'geokon', '1')
  insert into bbr_code_afloebsforhold (code, name, created_by, active) values ('105', 'SOP: Samletank', 'geokon', '1')
  insert into bbr_code_afloebsforhold (code, name, created_by, active) values ('106', 'SOP: Pileanlg med nedsivning (uden membran)', 'geokon', '1')
  insert into bbr_code_afloebsforhold (code, name, created_by, active) values ('107', 'SOP: Pileanlg uden udledning (med membran)', 'geokon', '1')
  insert into bbr_code_afloebsforhold (code, name, created_by, active) values ('108', 'SOP: Beplantede filteranlg med nedsivning i faskine', 'geokon', '1')
  insert into bbr_code_afloebsforhold (code, name, created_by, active) values ('109', 'SOP: Sandfiltre med P-fldning i bundfldningstanken og direkte udledning', 'geokon', '1')
  insert into bbr_code_afloebsforhold (code, name, created_by, active) values ('110', 'SOP: Sandfiltre med P-fldning i bundfldningstanken og udledning til markdrn', 'geokon', '1')
  insert into bbr_code_afloebsforhold (code, name, created_by, active) values ('190', 'SOP: Andet', 'geokon', '1')
  insert into bbr_code_afloebsforhold (code, name, created_by, active) values ('201', 'SO: Biologisk sandfilter med direkte udledning', 'geokon', '1')
  insert into bbr_code_afloebsforhold (code, name, created_by, active) values ('202', 'SO: Biologisk sandfilter med udledning til markdrn', 'geokon', '1')
  insert into bbr_code_afloebsforhold (code, name, created_by, active) values ('203', 'SO: Minirensanlg med direkte udledning', 'geokon', '1')
  insert into bbr_code_afloebsforhold (code, name, created_by, active) values ('204', 'SO: Minirenseanlg med udledning til markdrn', 'geokon', '1')
  insert into bbr_code_afloebsforhold (code, name, created_by, active) values ('205', 'SO: Beplantede filteranlg med direkte udledning', 'geokon', '1')
  insert into bbr_code_afloebsforhold (code, name, created_by, active) values ('206', 'SO: Beplantede filteranlg med udledning til markdrn', 'geokon', '1')
  insert into bbr_code_afloebsforhold (code, name, created_by, active) values ('290', 'SO: Andet', 'geokon', '1')
  insert into bbr_code_afloebsforhold (code, name, created_by, active) values ('301', 'OP: Minirenseanlg med direkte udledning', 'geokon', '1')
  insert into bbr_code_afloebsforhold (code, name, created_by, active) values ('302', 'OP: Minirenseanlg med udledning til markdrn', 'geokon', '1')
  insert into bbr_code_afloebsforhold (code, name, created_by, active) values ('390', 'OP: Andet', 'geokon', '1')
  insert into bbr_code_afloebsforhold (code, name, created_by, active) values ('401', 'O: Rodzoneanlg med direkte udledning', 'geokon', '1')
  insert into bbr_code_afloebsforhold (code, name, created_by, active) values ('402', 'O: Rodzoneanlg med udledning til markdrn', 'geokon', '1')
  insert into bbr_code_afloebsforhold (code, name, created_by, active) values ('403', 'O: Minirenseanlg med direkte udledning', 'geokon', '1')
  insert into bbr_code_afloebsforhold (code, name, created_by, active) values ('404', 'O: Minirenseanlg med udledning til markdrn', 'geokon', '1')
  insert into bbr_code_afloebsforhold (code, name, created_by, active) values ('490', 'O: Andet', 'geokon', '1')
  insert into bbr_code_afloebsforhold (code, name, created_by, active) values ('501', 'vrige renselsninger: Mekanisk med direkte udledning', 'geokon', '1')
  insert into bbr_code_afloebsforhold (code, name, created_by, active) values ('502', 'vrige renselsninger: Mekanisk med udledning til markdrn', 'geokon', '1')
  insert into bbr_code_afloebsforhold (code, name, created_by, active) values ('503', 'vrige renselsninger: ldre nedsivningsanlg med nedsivning til sivebrnd', 'geokon', '1')
  insert into bbr_code_afloebsforhold (code, name, created_by, active) values ('504', 'vrige renselsninger: Udledning til jordoverfladen', 'geokon', '1')
  insert into bbr_code_afloebsforhold (code, name, created_by, active) values ('505', 'vrige renselsninger: Urenset', 'geokon', '1')
  insert into bbr_code_afloebsforhold (code, name, created_by, active) values ('590', 'vrige renselsninger: Andet', 'geokon', '1')
  insert into bbr_code_afloebsforhold (code, name, created_by, active) values ('601', 'Anden type aflb (strre end 30 PE med egen udledning)', 'geokon', '1')
  insert into bbr_code_afloebsforhold (code, name, created_by, active) values ('701', 'Intet aflb', 'geokon', '1')
end;


-- Indst rkker i bbr_code_kilde_til_oplysninger

if (select count(*) from bbr_code_kilde_til_oplysninger) = 0
begin
  insert into bbr_code_kilde_til_oplysninger (code, name, created_by, active) values ('1', 'Oplyst af ejer (eller dennes reprsentant)', 'geokon', '1')
  insert into bbr_code_kilde_til_oplysninger (code, name, created_by, active) values ('2', 'Oplyst af teknisk forvaltning', 'geokon', '1')
  insert into bbr_code_kilde_til_oplysninger (code, name, created_by, active) values ('3', 'Oplyst af andre (lukket for indberetning)', 'geokon', '1')
  insert into bbr_code_kilde_til_oplysninger (code, name, created_by, active) values ('4', 'Maskinelt oprettet', 'geokon', '1')
  insert into bbr_code_kilde_til_oplysninger (code, name, created_by, active) values ('5', 'Oplyst og kontrolleret af teknisk forvaltning', 'geokon', '1')
end;


-- Indst rkker i bbr_code_udledningstilladelse

if (select count(*) from bbr_code_udledningstilladelse) = 0
begin
  insert into bbr_code_udledningstilladelse (code, name, created_by, active) values ('0', 'Ikke oplyst', 'geokon', '1')
  insert into bbr_code_udledningstilladelse (code, name, created_by, active) values ('1', 'Udledningstilladelse mangler', 'geokon', '1')
  insert into bbr_code_udledningstilladelse (code, name, created_by, active) values ('2', 'Renseanlg etableret fr 1974, derfor ikke behov for tilladelse', 'geokon', '1')
  insert into bbr_code_udledningstilladelse (code, name, created_by, active) values ('3', 'Udledningstilladelse til enkeltprivat renseanlg', 'geokon', '1')
  insert into bbr_code_udledningstilladelse (code, name, created_by, active) values ('4', 'Udledningstilladelse til fllesprivat renseanlg', 'geokon', '1')
  insert into bbr_code_udledningstilladelse (code, name, created_by, active) values ('5', 'Der foreligger ingen kendt tilladelse', 'geokon', '1')
  insert into bbr_code_udledningstilladelse (code, name, created_by, active) values ('6', 'Der foreligger tilladelse', 'geokon', '1')
  insert into bbr_code_udledningstilladelse (code, name, created_by, active) values ('7', 'Tilladelsesforhold er oplyst p bygningsniveau', 'geokon', '1')
end;


-- Ny kolonner p bbr_building

if (select col_length('bbr_building','byg041_bebygget_areal')) is null
   alter table bbr_building add byg041_bebygget_areal int null;

if (select col_length('bbr_building','byg039_byg_saml_bolig_areal')) is null
   alter table bbr_building add byg039_byg_saml_bolig_areal int null;

if (select col_length('bbr_building','byg040_byg_saml_erhv_areal')) is null
   alter table bbr_building add byg040_byg_saml_erhv_areal int null;

if (select col_length('bbr_building','byg025_antal_lejl_u_koekken')) is null
   alter table bbr_building add byg025_antal_lejl_u_koekken int null;

if (select col_length('bbr_building','byg024_antal_lejl_m_koekken')) is null
   alter table bbr_building add byg024_antal_lejl_m_koekken int null;

if (select col_length('bbr_building','byg028_midl_oprettelse_fuldfoersel_code')) is null
   alter table bbr_building add byg028_midl_oprettelse_fuldfoersel_code varchar(10) null;

if (select col_length('bbr_building','byg054_antal_etager')) is null
   alter table bbr_building add byg054_antal_etager int null;

if (select col_length('bbr_building','byg045_areal_indb_udestue')) is null
   alter table bbr_building add byg045_areal_indb_udestue int null;

if (select col_length('bbr_building','byg047_areal_affald_t_niveau')) is null
   alter table bbr_building add byg047_areal_affald_t_niveau int null;

if (select col_length('bbr_building','byg044_areal_indb_udhus')) is null
   alter table bbr_building add byg044_areal_indb_udhus int null;

if (select col_length('bbr_building','byg032_ydervaeggens_materiale_code')) is null
   alter table bbr_building add byg032_ydervaeggens_materiale_code varchar(10) null;

if (select col_length('bbr_building','byg049_areal_overd_areal')) is null
   alter table bbr_building add byg049_areal_overd_areal int null;

if (select col_length('bbr_building','byg033_tagdaekningsmateriale_code')) is null
   alter table bbr_building add byg033_tagdaekningsmateriale_code varchar(10) null;

if (select col_length('bbr_building','byg031_afloebsforhold_code')) is null
   alter table bbr_building add byg031_afloebsforhold_code varchar(10) null;

if (select col_length('bbr_building','byg053_byg_arealer_kilde_code')) is null
   alter table bbr_building add byg053_byg_arealer_kilde_code varchar(10) null;

if (select col_length('bbr_building','byg042_areal_indb_garage')) is null
   alter table bbr_building add byg042_areal_indb_garage int null;

if (select col_length('bbr_building','byg043_areal_indb_carport')) is null
   alter table bbr_building add byg043_areal_indb_carport int null;

if (select col_length('bbr_building','byg048_andet_areal')) is null
   alter table bbr_building add byg048_andet_areal int null;

if (select col_length('bbr_building','byg119_udledningstilladelse_code')) is null
   alter table bbr_building add byg119_udledningstilladelse_code varchar(10) null;

if (select col_length('bbr_building','byg046_samlet_areal_overd_byg')) is null
   alter table bbr_building add byg046_samlet_areal_overd_byg int null;

if (select col_length('bbr_building','byg051_adgangsareal')) is null
   alter table bbr_building add byg051_adgangsareal int null;

if (select col_length('bbr_building','byg130_areal_udv_efterisolering')) is null
   alter table bbr_building add byg130_areal_udv_efterisolering int null;

if (select col_length('bbr_building','byg060_samlet_andet_areal')) is null
   alter table bbr_building add byg060_samlet_andet_areal int null;

if (select col_length('bbr_building','byg063_areal_indb_garage_kaelder')) is null
   alter table bbr_building add byg063_areal_indb_garage_kaelder int null;


-- Forign keys - 6 stk.

drop_foreign_key on bbr_building bbr_code_midl_oprettelse_fuldfoersel;

alter table bbr_building
  add constraint fk_bbr_building_bbr_code_midl_oprettelse_fuldfoersel foreign key (byg028_midl_oprettelse_fuldfoersel_code)
  references bbr_code_midl_oprettelse_fuldfoersel (code);

drop_foreign_key on bbr_building bbr_code_ydervaeggenes_materiale;

alter table bbr_building
  add constraint fk_bbr_building_bbr_code_ydervaeggenes_materiale foreign key (byg032_ydervaeggens_materiale_code)
  references bbr_code_ydervaeggenes_materiale (code);

drop_foreign_key on bbr_building bbr_code_tagdaekningsmateriale;

alter table bbr_building
  add constraint fk_bbr_building_bbr_code_tagdaekningsmateriale foreign key (byg033_tagdaekningsmateriale_code)
  references bbr_code_tagdaekningsmateriale (code);

drop_foreign_key on bbr_building bbr_code_afloebsforhold;

alter table bbr_building
  add constraint fk_bbr_building_bbr_code_afloebsforhold foreign key (byg031_afloebsforhold_code)
  references bbr_code_afloebsforhold (code);

drop_foreign_key on bbr_building bbr_code_kilde_til_oplysninger;

alter table bbr_building
  add constraint fk_bbr_building_bbr_code_kilde_til_oplysninger foreign key (byg053_byg_arealer_kilde_code)
  references bbr_code_kilde_til_oplysninger (code);

drop_foreign_key on bbr_building bbr_code_udledningstilladelse;

alter table bbr_building
  add constraint fk_bbr_building_bbr_code_udledningstilladelse foreign key (byg119_udledningstilladelse_code)
  references bbr_code_udledningstilladelse (code);

--******************************************************************************
-- Oprettelse af bbr_building_floor                                   02-03-2020
--******************************************************************************

create table dbo.bbr_building_floor (
   bbrbuildingfloorid                  uniqueidentifier    not null,
   bbrbuildingid                       uniqueidentifier    not null,

   eta020_samlet_areal_etage           int                 null,
   eta021_areal_udnyttet_tagetage      int                 null,
   eta022_kaelderareal                 int                 null,
   eta023_areal_lovlig_bebo_kealder    int                 null,

   created                             datetime            null default current_timestamp,
   created_by                          varchar(6)          null default current_user,
   changed                             datetime            null,
   changed_by                          varchar(6)          null,
   constraint pk_bbr_building_floor primary key clustered (bbrbuildingfloorid)
);

grant select on bbr_building_floor to public;
grant select, insert, update, delete on bbr_building_floor to sysmgr;

drop_foreign_key on bbr_building_floor bbr_building;

alter table bbr_building_floor
  add constraint fk_bbr_building_floor_bbr_building foreign key (bbrbuildingid)
  references bbr_building (bbrbuildingid) on delete cascade;

-- index p bbrbuildingid
drop_index on bbr_building_floor bbrbuildingid;
create index IX_bbr_building_floor_bbr_building on bbr_building_floor (bbrbuildingid);

--******************************************************************************
-- Oprettelse af bbr_building_stairway                                03-03-2020
--******************************************************************************

create table dbo.bbr_building_stairway (
   bbrbuildingstairwayid               uniqueidentifier    not null,
   bbrbuildingid                       uniqueidentifier    not null,

   created                             datetime            null default current_timestamp,
   created_by                          varchar(6)          null default current_user,
   changed                             datetime            null,
   changed_by                          varchar(6)          null,
   constraint pk_bbr_building_stairway primary key clustered (bbrbuildingstairwayid)
);

grant select on bbr_building_stairway to public;
grant select, insert, update, delete on bbr_building_stairway to sysmgr;

drop_foreign_key on bbr_building_stairway bbr_building;

alter table bbr_building_stairway
  add constraint fk_bbr_building_stairway_bbr_building foreign key (bbrbuildingid)
  references bbr_building (bbrbuildingid) on delete cascade;

-- index p bbrbuildingid
drop_index on bbr_building_stairway bbrbuildingid;
create index IX_bbr_building_stairway_bbr_building on bbr_building_stairway (bbrbuildingid);

--******************************************************************************
-- Oprettelse af bbr_building_unit                                    03-03-2020
--******************************************************************************

-- bbr_building_unit.enh020_enh_anvendelse_code

create table dbo.bbr_code_enh_anvendelse (
   code                 varchar(10)                    not null,
   name                 varchar(200)                   null,
   created              datetime                       null default current_timestamp,
   created_by           varchar(6)                     null default current_user,
   changed              datetime                       null,
   changed_by           varchar(6)                     null,
   active               varchar(1)                     null,
   constraint pk_bbr_code_enh_anvendelse primary key clustered (code)
);

grant select on bbr_code_enh_anvendelse to public;
grant select, insert, update, delete on bbr_code_enh_anvendelse to sysmgr;


-- bbr_building_unit.enh023_boligtype_code

create table dbo.bbr_code_boligtype (
   code                 varchar(10)                    not null,
   name                 varchar(200)                   null,
   created              datetime                       null default current_timestamp,
   created_by           varchar(6)                     null default current_user,
   changed              datetime                       null,
   changed_by           varchar(6)                     null,
   active               varchar(1)                     null,
   constraint pk_bbr_code_boligtype primary key clustered (code)
);

grant select on bbr_code_boligtype to public;
grant select, insert, update, delete on bbr_code_boligtype to sysmgr;


-- bbr_building_unit.enh024_kondemneret_boligenhed_code

create table dbo.bbr_code_kondemneret_boligenhed (
   code                 varchar(10)                    not null,
   name                 varchar(200)                   null,
   created              datetime                       null default current_timestamp,
   created_by           varchar(6)                     null default current_user,
   changed              datetime                       null,
   changed_by           varchar(6)                     null,
   active               varchar(1)                     null,
   constraint pk_bbr_code_kondemneret_boligenhed primary key clustered (code)
);

grant select on bbr_code_kondemneret_boligenhed to public;
grant select, insert, update, delete on bbr_code_kondemneret_boligenhed to sysmgr;


-- bbr_building_unit.enh032_toiletforhold_code

create table dbo.bbr_code_toiletforhold (
   code                 varchar(10)                    not null,
   name                 varchar(200)                   null,
   created              datetime                       null default current_timestamp,
   created_by           varchar(6)                     null default current_user,
   changed              datetime                       null,
   changed_by           varchar(6)                     null,
   active               varchar(1)                     null,
   constraint pk_bbr_code_toiletforhold primary key clustered (code)
);

grant select on bbr_code_toiletforhold to public;
grant select, insert, update, delete on bbr_code_toiletforhold to sysmgr;


-- bbr_building_unit.enh033_badeforhold_code

create table dbo.bbr_code_badeforhold (
   code                 varchar(10)                    not null,
   name                 varchar(200)                   null,
   created              datetime                       null default current_timestamp,
   created_by           varchar(6)                     null default current_user,
   changed              datetime                       null,
   changed_by           varchar(6)                     null,
   active               varchar(1)                     null,
   constraint pk_bbr_code_badeforhold primary key clustered (code)
);

grant select on bbr_code_badeforhold to public;
grant select, insert, update, delete on bbr_code_badeforhold to sysmgr;


-- bbr_building_unit.enh034_koekkenforhold_code

create table dbo.bbr_code_koekkenforhold (
   code                 varchar(10)                    not null,
   name                 varchar(200)                   null,
   created              datetime                       null default current_timestamp,
   created_by           varchar(6)                     null default current_user,
   changed              datetime                       null,
   changed_by           varchar(6)                     null,
   active               varchar(1)                     null,
   constraint pk_bbr_code_koekkenforhold primary key clustered (code)
);

grant select on bbr_code_koekkenforhold to public;
grant select, insert, update, delete on bbr_code_koekkenforhold to sysmgr;


-- bbr_building_unit.enh035_energiforsyning_code

create table dbo.bbr_code_energiforsyning (
   code                 varchar(10)                    not null,
   name                 varchar(200)                   null,
   created              datetime                       null default current_timestamp,
   created_by           varchar(6)                     null default current_user,
   changed              datetime                       null,
   changed_by           varchar(6)                     null,
   active               varchar(1)                     null,
   constraint pk_bbr_code_energiforsyning primary key clustered (code)
);

grant select on bbr_code_energiforsyning to public;
grant select, insert, update, delete on bbr_code_energiforsyning to sysmgr;


-- bbr_building_unit.enh045_udlejningsforhold_code

create table dbo.bbr_code_udlejningsforhold (
   code                 varchar(10)                    not null,
   name                 varchar(200)                   null,
   created              datetime                       null default current_timestamp,
   created_by           varchar(6)                     null default current_user,
   changed              datetime                       null,
   changed_by           varchar(6)                     null,
   active               varchar(1)                     null,
   constraint pk_bbr_code_udlejningsforhold primary key clustered (code)
);

grant select on bbr_code_udlejningsforhold to public;
grant select, insert, update, delete on bbr_code_udlejningsforhold to sysmgr;


-- bbr_building_unit.enh041_lovlig_anvendelse_code

create table dbo.bbr_code_lovlig_anvendelse (
   code                 varchar(10)                    not null,
   name                 varchar(200)                   null,
   created              datetime                       null default current_timestamp,
   created_by           varchar(6)                     null default current_user,
   changed              datetime                       null,
   changed_by           varchar(6)                     null,
   active               varchar(1)                     null,
   constraint pk_bbr_code_lovlig_anvendelse primary key clustered (code)
);

grant select on bbr_code_lovlig_anvendelse to public;
grant select, insert, update, delete on bbr_code_lovlig_anvendelse to sysmgr;


-- bbr_building_unit.enh046_offentlig_stoette_code

create table dbo.bbr_code_offentlig_stoette (
   code                 varchar(10)                    not null,
   name                 varchar(200)                   null,
   created              datetime                       null default current_timestamp,
   created_by           varchar(6)                     null default current_user,
   changed              datetime                       null,
   changed_by           varchar(6)                     null,
   active               varchar(1)                     null,
   constraint pk_bbr_code_offentlig_stoette primary key clustered (code)
);

grant select on bbr_code_offentlig_stoette to public;
grant select, insert, update, delete on bbr_code_offentlig_stoette to sysmgr;


-- Indst rkker i bbr_code_enh_anvendelse

if (select count(*) from bbr_code_enh_anvendelse) = 0
begin
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('110', 'Stuehus til landbrugsejendom', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('120', 'Fritliggende enfamilieshus (parcelhus).', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('121', 'Sammenbygget enfamiliehus', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('130', '(UDFASES) Rkke-, kde- eller dobbelthus (lodret adskillelse mellem enhederne).', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('131', 'Rkke- og kdehus', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('132', 'Dobbelthus', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('140', 'Bolig i etageejendom, flerfamiliehus eller to-familiehus', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('150', 'Kollegiebolig', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('160', 'Bolig i dgninstitution', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('185', 'Anneks i tilknytning til helrsbolig', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('190', 'Anden enhed til helrsbeboelse', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('210', '(UDFASES) Erhvervsmssig produktion vedrrende landbrug, skovbrug, gartneri, rstofudvinding og lign.', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('211', 'Stald til svin', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('212', 'Stald til kvg, fr mv.', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('213', 'Stald til fjerkr', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('214', 'Minkhal', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('215', 'Vksthus', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('216', 'Lade til foder, afgrder mv.', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('217', 'Maskinhus, garage mv.', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('218', 'Lade til halm, h mv.', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('219', 'Anden enhed til landbrug mv.', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('220', '(UDFASES) Erhvervsmssig produktion vedrrende industri, hndvrk m.v. (fabrik, vrksted o. lign.)', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('221', 'Enhed til industri med integreret produktionsapparat', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('222', 'Enhed til industri uden integreret produktionsapparat', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('223', 'Vrksted', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('229', 'Anden enhed til produktion', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('230', '(UDFASES) El-, gas-, vand- eller varmevrk, forbrndingsanstalt o. lign.', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('231', 'Enhed til energiproduktion', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('232', 'Enhed til forsyning- og energidistribution', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('233', 'Enhed til vandforsyning', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('234', 'Enhed til hndtering af affald og spildevand', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('239', 'Anden enhed til energiproduktion og -distribution', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('290', '(UDFASES) Anden enhed til produktion og lager i forbindelse med landbrug, industri o. lign.', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('310', '(UDFASES) Transport- og garageanlg (fragtmandshal, lufthavnsbygning,banegrdsbygning o. lign.)', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('311', 'Enhed til jernbane- og busdrift', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('312', 'Enhed til luftfart', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('313', 'Enhed til parkerings- og transportanlg', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('314', 'Enhed til parkering af flere end to kretjer i tilknytning til boliger', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('315', 'Havneanlg', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('319', 'Andet transportanlg', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('320', '(UDFASES) Engroshandel og lager.', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('321', 'Enhed til kontor', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('322', 'Enhed til detailhandel', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('323', 'Enhed til lager', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('324', 'Butikscenter', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('325', 'Tankstation', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('329', 'Anden enhed til kontor, handel og lager', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('330', '(UDFASES) Detailhandel m.v.', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('331', 'Hotel, kro eller konferencecenter med overnatning', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('332', 'Bed & breakfast mv.', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('333', 'Restaurant, caf og konferencecenter uden overnatning', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('334', 'Privat servicevirksomhed som frisr, vaskeri, netcaf mv.', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('339', 'Anden enhed til serviceerhverv', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('340', '(UDFASES) Pengeinstitut, forsikringsvirksomhed m.v.', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('350', '(UDFASES) Kontor og liberale erhverv bortset fra offentlig administration (kontorer for advokater, rdgivende ingenirer, klinikker o.lign.)', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('360', '(UDFASES) Offentlig administration.', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('370', '(UDFASES) Hotel, restauration, vaskeri, frisr og anden servicevirksomhed.', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('390', '(UDFASES) Anden enhed til handel, transport etc.', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('410', '(UDFASES) Biograf, teater, erhvervsmssig udstilling m.v.', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('411', 'Biograf, teater, koncertsted mv.', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('412', 'Museum', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('413', 'Bibliotek', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('414', 'Kirke eller anden enhed til trosudvelse for statsanerkendte trossamfund', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('415', 'Forsamlingshus', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('416', 'Forlystelsespark', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('419', 'Anden enhed til kulturelle forml', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('420', '(UDFASES) Bibliotek, museum, kirke o. lign.', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('421', 'Grundskole', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('422', 'Universitet', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('429', 'Anden enhed til undervisning og forskning', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('430', '(UDFASES) Undervisning og forskning (skole, gymnasium, forskningslaboratorium).', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('431', 'Hospital og sygehus', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('432', 'Hospice, behandlingshjem mv.', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('433', 'Sundhedscenter, lgehus, fdeklinik mv.', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('439', 'Anden enhed til sundhedsforml', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('440', '(UDFASES) Hospital, fdeklinik o. lign.', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('441', 'Daginstitution', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('442', 'Servicefunktion p dgninstitution', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('443', 'Kaserne', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('444', 'Fngsel, arresthus mv.', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('449', 'Anden enhed til institutionsforml', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('450', '(UDFASES) Daginstitution.', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('490', '(UDFASES) Anden institution, herunder kaserne, fngsel m.v.', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('510', 'Sommerhus.', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('520', '(UDFASES) Enhed til feriekoloni, vandrehjem o.lign. bortset fra sommerhus', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('521', 'Feriecenter, center til campingplads mv.', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('522', 'Ferielejlighed til erhvervsmssig udlejning', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('523', 'Ferielejlighed til eget brug', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('529', 'Anden enhed til ferieforml', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('530', '(UDFASES) Enhed i forbindelse med idrtsudvelse (klubhus, idrtshal, svmmehal o. lign.).', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('531', 'Klubhus i forbindelse med fritid- og idrt', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('532', 'Svmmehal', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('533', 'Idrtshal', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('534', 'Tribune i forbindelse med stadion', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('535', 'Rideskole', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('539', 'Anden enhed til idrtsforml', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('540', 'Kolonihavehus', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('585', 'Anneks i tilknytning til fritids- og sommerhus', 'geokon', '1')
  insert into bbr_code_enh_anvendelse (code, name, created_by, active) values ('590', 'Anden enhed til fritidsforml', 'geokon', '1')
end;


-- Indst rkker i bbr_code_boligtype

if (select count(*) from bbr_code_boligtype) = 0
begin
  insert into bbr_code_boligtype (code, name, created_by, active) values ('E', 'Andet (bl.a. institutioner og erhverv)', 'geokon', '1')
  insert into bbr_code_boligtype (code, name, created_by, active) values ('1', 'Egentlig beboelseslejlighed (boligenhed med eget kkken)', 'geokon', '1')
  insert into bbr_code_boligtype (code, name, created_by, active) values ('2', 'Blandet erhverv og bolig med eget kkken', 'geokon', '1')
  insert into bbr_code_boligtype (code, name, created_by, active) values ('3', 'Enkeltvrelse (boligenhed med fast kogeinstallation, flles kkken eller intet kkken).', 'geokon', '1')
  insert into bbr_code_boligtype (code, name, created_by, active) values ('4', 'Fllesbolig eller flleshusholdning', 'geokon', '1')
  insert into bbr_code_boligtype (code, name, created_by, active) values ('5', 'Sommer-/fritidsbolig', 'geokon', '1')
end;


-- Indst rkker i bbr_code_kondemneret_boligenhed

if (select count(*) from bbr_code_kondemneret_boligenhed) = 0
begin
  insert into bbr_code_kondemneret_boligenhed (code, name, created_by, active) values ('0', 'Ikke kondemneret boligenhed', 'geokon', '1')
  insert into bbr_code_kondemneret_boligenhed (code, name, created_by, active) values ('1', 'Kondemneret boligenhed', 'geokon', '1')
end;


-- Indst rkker i bbr_code_toiletforhold

if (select count(*) from bbr_code_toiletforhold) = 0
begin
  insert into bbr_code_toiletforhold (code, name, created_by, active) values ('A', 'Vandskyllende toilet udenfor enheden', 'geokon', '1')
  insert into bbr_code_toiletforhold (code, name, created_by, active) values ('B', 'Anden type toilet udenfor enheden eller intet toilet i forbindelse med enheden', 'geokon', '1')
  insert into bbr_code_toiletforhold (code, name, created_by, active) values ('T', 'Vandskyllende toiletter i bolig- eller erhvervsenheden', 'geokon', '1')
end;


-- Indst rkker i bbr_code_badeforhold

if (select count(*) from bbr_code_badeforhold) = 0
begin
  insert into bbr_code_badeforhold (code, name, created_by, active) values ('C', 'Adgang til badevrelse', 'geokon', '1')
  insert into bbr_code_badeforhold (code, name, created_by, active) values ('D', 'Hverken badevrelse eller adgang til badevrelse', 'geokon', '1')
  insert into bbr_code_badeforhold (code, name, created_by, active) values ('V', 'Badevrelser i enheden', 'geokon', '1')
end;


-- Indst rkker i bbr_code_koekkenforhold

if (select count(*) from bbr_code_koekkenforhold) = 0
begin
  insert into bbr_code_koekkenforhold (code, name, created_by, active) values ('E', 'Eget kkken (med aflb og kogeinstallation)', 'geokon', '1')
  insert into bbr_code_koekkenforhold (code, name, created_by, active) values ('F', 'Adgang til flles kkken', 'geokon', '1')
  insert into bbr_code_koekkenforhold (code, name, created_by, active) values ('G', 'Fast kogeinstallation i vrelse eller p gang', 'geokon', '1')
  insert into bbr_code_koekkenforhold (code, name, created_by, active) values ('H', 'Ingen fast kogeinstallation', 'geokon', '1')
end;


-- Indst rkker i bbr_code_energiforsyning

if (select count(*) from bbr_code_energiforsyning) = 0
begin
  insert into bbr_code_energiforsyning (code, name, created_by, active) values ('1', 'Gas fra vrk', 'geokon', '1')
  insert into bbr_code_energiforsyning (code, name, created_by, active) values ('2', '230 V el fra vrk', 'geokon', '1')
  insert into bbr_code_energiforsyning (code, name, created_by, active) values ('3', '400 V el fra vrk', 'geokon', '1')
  insert into bbr_code_energiforsyning (code, name, created_by, active) values ('4', 'Bde 230 V el og gas fra vrk', 'geokon', '1')
  insert into bbr_code_energiforsyning (code, name, created_by, active) values ('5', 'Bde 400 V el og gas fra vrk', 'geokon', '1')
  insert into bbr_code_energiforsyning (code, name, created_by, active) values ('6', 'Hverken el eller gas fra vrk', 'geokon', '1')
end;


-- Indst rkker i bbr_code_udlejningsforhold

if (select count(*) from bbr_code_udlejningsforhold) = 0
begin
  insert into bbr_code_udlejningsforhold (code, name, created_by, active) values ('1', 'Udlejet', 'geokon', '1')
  insert into bbr_code_udlejningsforhold (code, name, created_by, active) values ('2', 'Benyttet af ejeren', 'geokon', '1')
  insert into bbr_code_udlejningsforhold (code, name, created_by, active) values ('3', 'Ikke benyttet', 'geokon', '1')
end;


-- Indst rkker i bbr_code_lovlig_anvendelse

if (select count(*) from bbr_code_lovlig_anvendelse) = 0
begin
  insert into bbr_code_lovlig_anvendelse (code, name, created_by, active) values ('A', 'Gammelt helrshus eller ikke-personlig disp. til helrsbeboelse', 'geokon', '1')
  insert into bbr_code_lovlig_anvendelse (code, name, created_by, active) values ('B', 'Personlig, tidsbegrnset dispensation til helrsbeboelse', 'geokon', '1')
  insert into bbr_code_lovlig_anvendelse (code, name, created_by, active) values ('C', 'Personlig, ikke-tidsbegrnset dispensation til helrsbeboelse', 'geokon', '1')
  insert into bbr_code_lovlig_anvendelse (code, name, created_by, active) values ('D', 'Personlig, ikke-tidsbegrnset ret til helrsbeboelse for pensionister', 'geokon', '1')
  insert into bbr_code_lovlig_anvendelse (code, name, created_by, active) values ('E', 'Dispensation til afvikling af ulovlig helrsbeboelse', 'geokon', '1')
  insert into bbr_code_lovlig_anvendelse (code, name, created_by, active) values ('I', 'Ikke relevant for denne enhed', 'geokon', '1')
end;


-- Indst rkker i bbr_code_offentlig_stoette

if (select count(*) from bbr_code_offentlig_stoette) = 0
begin
  insert into bbr_code_offentlig_stoette (code, name, created_by, active) values ('0', 'Ingen offentlig sttte', 'geokon', '1')
  insert into bbr_code_offentlig_stoette (code, name, created_by, active) values ('10', 'Almen familiebolig', 'geokon', '1')
  insert into bbr_code_offentlig_stoette (code, name, created_by, active) values ('15', 'Stttet privat udlejningsbolig', 'geokon', '1')
  insert into bbr_code_offentlig_stoette (code, name, created_by, active) values ('20', 'Stttet privat andelsbolig', 'geokon', '1')
  insert into bbr_code_offentlig_stoette (code, name, created_by, active) values ('25', 'Almen ungdomsbolig', 'geokon', '1')
  insert into bbr_code_offentlig_stoette (code, name, created_by, active) values ('30', 'Stttet privat ungdomsbolig', 'geokon', '1')
  insert into bbr_code_offentlig_stoette (code, name, created_by, active) values ('40', 'Almen ldrebolig', 'geokon', '1')
  insert into bbr_code_offentlig_stoette (code, name, created_by, active) values ('42', 'Almen plejebolig', 'geokon', '1')
  insert into bbr_code_offentlig_stoette (code, name, created_by, active) values ('80', 'Serviceareal', 'geokon', '1')
end;


-- Opret bbr_building_unit

create table dbo.bbr_building_unit (
   bbrbuildingunitid                   uniqueidentifier    not null,
   bbrbuildingstairwayid               uniqueidentifier    not null,
   bbrbuildingfloorid                  uniqueidentifier    not null,

   enh005_etagebetegnelse              varchar(2)          null,
   enh006_side_doer_betegnelse         varchar(4)          null,
   enh020_enh_anvendelse_code          varchar(10)         null,
   enh023_boligtype_code               varchar(10)         null,
   enh024_kondemneret_boligenhed_code  varchar(10)         null,
   enh030_kilde_til_enh_arealer_code   varchar(10)         null,
   enh032_toiletforhold_code           varchar(10)         null,
   enh033_badeforhold_code             varchar(10)         null,
   enh034_koekkenforhold_code          varchar(10)         null,
   enh035_energiforsyning_code         varchar(10)         null,
   enh045_udlejningsforhold_code       varchar(10)         null,
   enh041_lovlig_anvendelse_code       varchar(10)         null,
   enh027_areal_beboelse               int                 null,
   enh026_enhedens_saml_areal          int                 null,
   enh031_antal_vaerelser              int                 null,
   enh063_antal_vaerelser_til_erhverv  int                 null,
   enh046_offentlig_stoette_code       varchar(10)         null,
   enh028_areal_til_erhverv            int                 null,
   enh039_andet_areal                  int                 null,
   enh060_enh_andel_faelles_adg_areal  int                 null,
   enh062_areal_lukket_overd_udestue   int                 null,
   enh059_enh_andel_faelles_boligareal int                 null,
   enh070_tagterasse_areal             int                 null,

   created                             datetime            null default current_timestamp,
   created_by                          varchar(6)          null default current_user,
   changed                             datetime            null,
   changed_by                          varchar(6)          null,
   constraint pk_bbr_building_unit primary key clustered (bbrbuildingunitid)
);

grant select on bbr_building_unit to public;
grant select, insert, update, delete on bbr_building_unit to sysmgr;


-- Forign keys - 13 stk.

drop_foreign_key on bbr_building_unit bbr_building_stairway;

alter table bbr_building_unit
  add constraint fk_bbr_building_unit_bbr_building_stairway foreign key (bbrbuildingstairwayid)
  references bbr_building_stairway (bbrbuildingstairwayid) on delete cascade;

drop_foreign_key on bbr_building_unit bbr_building_floor;

alter table bbr_building_unit
  add constraint fk_bbr_building_unit_bbr_building_floor foreign key (bbrbuildingfloorid)
  references bbr_building_floor (bbrbuildingfloorid);

drop_foreign_key on bbr_building_unit bbr_code_enh_anvendelse;

alter table bbr_building_unit
  add constraint fk_bbr_building_unit_bbr_code_enh_anvendelse foreign key (enh020_enh_anvendelse_code)
  references bbr_code_enh_anvendelse (code);

drop_foreign_key on bbr_building_unit bbr_code_boligtype;

alter table bbr_building_unit
  add constraint fk_bbr_building_unit_bbr_code_boligtype foreign key (enh023_boligtype_code)
  references bbr_code_boligtype (code);

drop_foreign_key on bbr_building_unit bbr_code_kondemneret_boligenhed;

alter table bbr_building_unit
  add constraint fk_bbr_building_unit_bbr_code_kondemneret_boligenhed foreign key (enh024_kondemneret_boligenhed_code)
  references bbr_code_kondemneret_boligenhed (code);

drop_foreign_key on bbr_building_unit bbr_code_kilde_til_oplysninger;

alter table bbr_building_unit
  add constraint fk_bbr_building_unit_bbr_code_kilde_til_oplysninger foreign key (enh030_kilde_til_enh_arealer_code)
  references bbr_code_kilde_til_oplysninger (code);

drop_foreign_key on bbr_building_unit bbr_code_toiletforhold;

alter table bbr_building_unit
  add constraint fk_bbr_building_unit_bbr_code_toiletforhold foreign key (enh032_toiletforhold_code)
  references bbr_code_toiletforhold (code);

drop_foreign_key on bbr_building_unit bbr_code_badeforhold;

alter table bbr_building_unit
  add constraint fk_bbr_building_unit_bbr_code_badeforhold foreign key (enh033_badeforhold_code)
  references bbr_code_badeforhold (code);

drop_foreign_key on bbr_building_unit bbr_code_koekkenforhold;

alter table bbr_building_unit
  add constraint fk_bbr_building_unit_bbr_code_koekkenforhold foreign key (enh034_koekkenforhold_code)
  references bbr_code_koekkenforhold (code);

drop_foreign_key on bbr_building_unit bbr_code_energiforsyning;

alter table bbr_building_unit
  add constraint fk_bbr_building_unit_bbr_code_energiforsyning foreign key (enh035_energiforsyning_code)
  references bbr_code_energiforsyning (code);

drop_foreign_key on bbr_building_unit bbr_code_udlejningsforhold;

alter table bbr_building_unit
  add constraint fk_bbr_building_unit_bbr_code_udlejningsforhold foreign key (enh045_udlejningsforhold_code)
  references bbr_code_udlejningsforhold (code);

drop_foreign_key on bbr_building_unit bbr_code_lovlig_anvendelse;

alter table bbr_building_unit
  add constraint fk_bbr_building_unit_bbr_code_lovlig_anvendelse foreign key (enh041_lovlig_anvendelse_code)
  references bbr_code_lovlig_anvendelse (code);

drop_foreign_key on bbr_building_unit bbr_code_offentlig_stoette;

alter table bbr_building_unit
  add constraint fk_bbr_building_unit_bbr_code_offentlig_stoette foreign key (enh046_offentlig_stoette_code)
  references bbr_code_offentlig_stoette (code);

-- index p bbrbuildingstairwayid
drop_index on bbr_building_unit bbrbuildingstairwayid;
create index IX_bbr_building_unit_bbr_building_stairway on bbr_building_unit (bbrbuildingstairwayid);

-- index p bbrbuildingfloorid
drop_index on bbr_building_unit bbrbuildingfloorid;
create index IX_bbr_building_unit_bbr_building_floor on bbr_building_unit (bbrbuildingfloorid);

--******************************************************************************
-- Oprettelse af bbr_building_unit_tenant                             04-03-2020
--******************************************************************************

create table dbo.bbr_building_unit_tenant (
   tenant_id                           int identity(1,1)   not null,
   bbrbuildingunitid                   uniqueidentifier    not null,

   tenant_name                         varchar(100)        null,
   tenant_address                      varchar(100)        null,
   tenant_postal_codes_id              varchar(8)          null,
   tenant_cvr_number                   varchar(8)          null,
   tenant_cpr_number                   varchar(11)         null,
   tenant_date_of_birth                datetime            null,
   tenant_age                          int                 null,
   tenant_address_protection           varchar(1)          not null default '0',

   created                             datetime            null default current_timestamp,
   created_by                          varchar(6)          null default current_user,
   changed                             datetime            null,
   changed_by                          varchar(6)          null,
   constraint pk_bbr_building_unit_tenant primary key clustered (tenant_id)
);

grant select on bbr_building_unit_tenant to public;
grant select, insert, update, delete on bbr_building_unit_tenant to sysmgr;

drop_foreign_key on bbr_building_unit_tenant bbr_building_unit;

alter table bbr_building_unit_tenant
  add constraint fk_bbr_building_unit_tenant_bbr_building_unit foreign key (bbrbuildingunitid)
  references bbr_building_unit (bbrbuildingunitid) on delete cascade;

-- index p bbrbuildingunitid
drop_index on bbr_building_unit_tenant bbrbuildingunitid;
create index IX_bbr_building_unit_tenant_bbr_building_unit on bbr_building_unit_tenant (bbrbuildingunitid);

--******************************************************************************
-- Udvidelse af bbr_owner                                             06-03-2020
--******************************************************************************

-- bbr_owner.cpens

create table dbo.bbr_code_pensionist (
   code                 varchar(10)                    not null,
   name                 varchar(200)                   null,
   created              datetime                       null default current_timestamp,
   created_by           varchar(6)                     null default current_user,
   changed              datetime                       null,
   changed_by           varchar(6)                     null,
   active               varchar(1)                     null,
   constraint pk_bbr_code_pensionist primary key clustered (code)
);

grant select on bbr_code_pensionist to public;
grant select, insert, update, delete on bbr_code_pensionist to sysmgr;


-- bbr_owner.overdragelses_kode

create table dbo.bbr_code_overdragelsesmaade (
   code                 varchar(10)                    not null,
   name                 varchar(200)                   null,
   created              datetime                       null default current_timestamp,
   created_by           varchar(6)                     null default current_user,
   changed              datetime                       null,
   changed_by           varchar(6)                     null,
   active               varchar(1)                     null,
   constraint pk_bbr_code_overdragelsesmaade primary key clustered (code)
);

grant select on bbr_code_overdragelsesmaade to public;
grant select, insert, update, delete on bbr_code_overdragelsesmaade to sysmgr;


-- bbr_owner.caltadr

create table dbo.bbr_code_ejer_adressering (
   code                 varchar(10)                    not null,
   name                 varchar(200)                   null,
   created              datetime                       null default current_timestamp,
   created_by           varchar(6)                     null default current_user,
   changed              datetime                       null,
   changed_by           varchar(6)                     null,
   active               varchar(1)                     null,
   constraint pk_bbr_code_ejer_adressering primary key clustered (code)
);

grant select on bbr_code_ejer_adressering to public;
grant select, insert, update, delete on bbr_code_ejer_adressering to sysmgr;


-- bbr_owner.cleje

create table dbo.bbr_code_lejevaerdi (
   code                 varchar(10)                    not null,
   name                 varchar(200)                   null,
   created              datetime                       null default current_timestamp,
   created_by           varchar(6)                     null default current_user,
   changed              datetime                       null,
   changed_by           varchar(6)                     null,
   active               varchar(1)                     null,
   constraint pk_bbr_code_lejevaerdi primary key clustered (code)
);

grant select on bbr_code_lejevaerdi to public;
grant select, insert, update, delete on bbr_code_lejevaerdi to sysmgr;


-- Indst rkker i bbr_code_pensionist

if (select count(*) from bbr_code_pensionist) = 0
begin
  insert into bbr_code_pensionist (code, name, created_by, active) values ('1', 'Ejer er pensionist', 'geokon', '1')
  insert into bbr_code_pensionist (code, name, created_by, active) values ('2', 'Pensionist/efterlnsmodtager. m.v.', 'geokon', '1')
end;


-- Indst rkker i bbr_code_overdragelsesmaade

if (select count(*) from bbr_code_overdragelsesmaade) = 0
begin
  insert into bbr_code_overdragelsesmaade (code, name, created_by, active) values ('1', 'Almindelig frit salg', 'geokon', '1')
  insert into bbr_code_overdragelsesmaade (code, name, created_by, active) values ('2', 'Familieoverdragelse eller arveudlg', 'geokon', '1')
  insert into bbr_code_overdragelsesmaade (code, name, created_by, active) values ('3', 'Auktion', 'geokon', '1')
  insert into bbr_code_overdragelsesmaade (code, name, created_by, active) values ('4', 'Ivrigt', 'geokon', '1')
  insert into bbr_code_overdragelsesmaade (code, name, created_by, active) values ('5', 'Almindelig frit salg med srlige vilkr', 'geokon', '1')
  insert into bbr_code_overdragelsesmaade (code, name, created_by, active) values ('6', 'Interessesammenfald mellem kber og slger', 'geokon', '1')
  insert into bbr_code_overdragelsesmaade (code, name, created_by, active) values ('7', 'Mageskifte', 'geokon', '1')
end;


-- Indst rkker i bbr_code_ejer_adressering

if (select count(*) from bbr_code_ejer_adressering) = 0
begin
  insert into bbr_code_ejer_adressering (code, name, created_by, active) values ('1', 'Alternativ adresse', 'geokon', '1')
end;


-- Indst rkker i bbr_code_lejevaerdi

if (select count(*) from bbr_code_lejevaerdi) = 0
begin
  insert into bbr_code_lejevaerdi (code, name, created_by, active) values ('0', 'vrige ejere', 'geokon', '1')
  insert into bbr_code_lejevaerdi (code, name, created_by, active) values ('3', 'Enke/enkemand efter en 67 rig', 'geokon', '1')
  insert into bbr_code_lejevaerdi (code, name, created_by, active) values ('4', 'Enke/-mand efter en 60-66 rig', 'geokon', '1')
  insert into bbr_code_lejevaerdi (code, name, created_by, active) values ('6', 'Ingen beregning af ejendomsvrdiskat', 'geokon', '1')
  insert into bbr_code_lejevaerdi (code, name, created_by, active) values ('7', 'Ingen beregning af ejendomsvrdiskat', 'geokon', '1')
end;


-- Ny kolonner p bbr_owner

if (select col_length('bbr_owner','kommune_nr')) is null
   alter table bbr_owner add kommune_nr int null;

if (select col_length('bbr_owner','ejd_nr')) is null
   alter table bbr_owner add ejd_nr int null;

if (select col_length('bbr_owner','bfe_nummer')) is null
   alter table bbr_owner add bfe_nummer int null;

if (select col_length('bbr_owner','ejendoms_type')) is null
   alter table bbr_owner add ejendoms_type varchar(6) null;

if (select col_length('bbr_owner','ddato')) is null
   alter table bbr_owner add ddato int null;

if (select col_length('bbr_owner','cpens')) is null
   alter table bbr_owner add cpens varchar(10) null;

if (select col_length('bbr_owner','ejer_andel_tael')) is null
   alter table bbr_owner add ejer_andel_tael int null;

if (select col_length('bbr_owner','ejer_andel_naev')) is null
   alter table bbr_owner add ejer_andel_naev int null;

if (select col_length('bbr_owner','gkoetae')) is null
   alter table bbr_owner add gkoetae int null;

if (select col_length('bbr_owner','gkoenaev')) is null
   alter table bbr_owner add gkoenaev int null;

if (select col_length('bbr_owner','slutseddel_dato')) is null
   alter table bbr_owner add slutseddel_dato datetime null;

if (select col_length('bbr_owner','ejer_skoede_dato')) is null
   alter table bbr_owner add ejer_skoede_dato datetime null;

if (select col_length('bbr_owner','omregnings_dato')) is null
   alter table bbr_owner add omregnings_dato datetime null;

if (select col_length('bbr_owner','overdragelses_kode')) is null
   alter table bbr_owner add overdragelses_kode varchar(10) null;

if (select col_length('bbr_owner','dafstaa')) is null
   alter table bbr_owner add dafstaa datetime null;

if (select col_length('bbr_owner','ejer_koebesum')) is null
   alter table bbr_owner add ejer_koebesum decimal(11,0) null;

if (select col_length('bbr_owner','bloesoe')) is null
   alter table bbr_owner add bloesoe decimal(11,0) null;

if (select col_length('bbr_owner','budbt')) is null
   alter table bbr_owner add budbt decimal(11,0) null;

if (select col_length('bbr_owner','gudbt')) is null
   alter table bbr_owner add gudbt int null;

if (select col_length('bbr_owner','caltadr')) is null
   alter table bbr_owner add caltadr varchar(10) null;

if (select col_length('bbr_owner','cleje')) is null
   alter table bbr_owner add cleje varchar(10) null;

if (select col_length('bbr_owner','owner_cpr_number')) is null
   alter table bbr_owner add owner_cpr_number varchar(11) null;

if (select col_length('bbr_owner','owner_cvr_number')) is null
   alter table bbr_owner add owner_cvr_number varchar(8) null;

if (select col_length('bbr_owner','owner_created')) is null
   alter table bbr_owner add owner_created datetime null;

if (select col_length('bbr_owner','owner_updated')) is null
   alter table bbr_owner add owner_updated datetime null;

if (select col_length('bbr_owner','owner_type')) is null
   alter table bbr_owner add owner_type varchar(20) null;


-- Forign keys - 4 stk.

drop_foreign_key on bbr_owner bbr_code_pensionist;

alter table bbr_owner
  add constraint fk_bbr_owner_bbr_code_pensionist foreign key (cpens)
  references bbr_code_pensionist (code);

drop_foreign_key on bbr_owner bbr_code_overdragelsesmaade;

alter table bbr_owner
  add constraint fk_bbr_owner_bbr_code_overdragelsesmaade foreign key (overdragelses_kode)
  references bbr_code_overdragelsesmaade (code);

drop_foreign_key on bbr_owner bbr_code_ejer_adressering;

alter table bbr_owner
  add constraint fk_bbr_owner_bbr_code_ejer_adressering foreign key (caltadr)
  references bbr_code_ejer_adressering (code);

drop_foreign_key on bbr_owner bbr_code_lejevaerdi;

alter table bbr_owner
  add constraint fk_bbr_owner_bbr_code_lejevaerdi foreign key (cleje)
  references bbr_code_lejevaerdi (code);

--******************************************************************************
-- Udvidelse af bbr_land_parcel                                       09-03-2020
--******************************************************************************

-- bbr_land_parcel.cartyp

create table dbo.land_reg_area_type (
   code                 varchar(10)                    not null,
   name                 varchar(200)                   null,
   created              datetime                       null default current_timestamp,
   created_by           varchar(6)                     null default current_user,
   changed              datetime                       null,
   changed_by           varchar(6)                     null,
   active               varchar(1)                     null,
   constraint pk_land_reg_area_type primary key clustered (code)
);

grant select on land_reg_area_type to public;
grant select, insert, update, delete on land_reg_area_type to sysmgr;


-- bbr_land_parcel.div_arl_kode / cdivar2 / cdivar3

create table dbo.land_reg_area_code (
   code                 varchar(10)                    not null,
   name                 varchar(200)                   null,
   created              datetime                       null default current_timestamp,
   created_by           varchar(6)                     null default current_user,
   changed              datetime                       null,
   changed_by           varchar(6)                     null,
   active               varchar(1)                     null,
   constraint pk_land_reg_area_code primary key clustered (code)
);

grant select on land_reg_area_code to public;
grant select, insert, update, delete on land_reg_area_code to sysmgr;


-- bbr_land_parcel.hovednot_kode

create table dbo.land_reg_main_noting (
   code                 varchar(10)                    not null,
   name                 varchar(200)                   null,
   created              datetime                       null default current_timestamp,
   created_by           varchar(6)                     null default current_user,
   changed              datetime                       null,
   changed_by           varchar(6)                     null,
   active               varchar(1)                     null,
   constraint pk_land_reg_main_noting primary key clustered (code)
);

grant select on land_reg_main_noting to public;
grant select, insert, update, delete on land_reg_main_noting to sysmgr;


-- bbr_land_parcel.udv_not_kode

create table dbo.land_reg_extended_noting (
   code                 varchar(10)                    not null,
   name                 varchar(200)                   null,
   created              datetime                       null default current_timestamp,
   created_by           varchar(6)                     null default current_user,
   changed              datetime                       null,
   changed_by           varchar(6)                     null,
   active               varchar(1)                     null,
   constraint pk_land_reg_extended_noting primary key clustered (code)
);

grant select on land_reg_extended_noting to public;
grant select, insert, update, delete on land_reg_extended_noting to sysmgr;


-- bbr_land_parcel.skovnot_kode

create table dbo.land_reg_ban_forest_noting (
   code                 varchar(10)                    not null,
   name                 varchar(200)                   null,
   created              datetime                       null default current_timestamp,
   created_by           varchar(6)                     null default current_user,
   changed              datetime                       null,
   changed_by           varchar(6)                     null,
   active               varchar(1)                     null,
   constraint pk_land_reg_ban_forest_noting primary key clustered (code)
);

grant select on land_reg_ban_forest_noting to public;
grant select, insert, update, delete on land_reg_ban_forest_noting to sysmgr;


-- bbr_land_parcel.ckmshaen

create table dbo.land_reg_kms_event (
   code                 varchar(10)                    not null,
   name                 varchar(200)                   null,
   created              datetime                       null default current_timestamp,
   created_by           varchar(6)                     null default current_user,
   changed              datetime                       null,
   changed_by           varchar(6)                     null,
   active               varchar(1)                     null,
   constraint pk_land_reg_kms_event primary key clustered (code)
);

grant select on land_reg_kms_event to public;
grant select, insert, update, delete on land_reg_kms_event to sysmgr;


-- bbr_land_parcel.jordrentenot_kode

create table dbo.land_reg_rent_noting (
   code                 varchar(10)                    not null,
   name                 varchar(200)                   null,
   created              datetime                       null default current_timestamp,
   created_by           varchar(6)                     null default current_user,
   changed              datetime                       null,
   changed_by           varchar(6)                     null,
   active               varchar(1)                     null,
   constraint pk_land_reg_rent_noting primary key clustered (code)
);

grant select on land_reg_rent_noting to public;
grant select, insert, update, delete on land_reg_rent_noting to sysmgr;


-- Indst rkker i land_reg_area_type

if (select count(*) from land_reg_area_type) = 0
begin
  insert into land_reg_area_type (code, name, created_by, active) values ('1', 'Deklarationsareal', 'geokon', '1')
  insert into land_reg_area_type (code, name, created_by, active) values ('2', 'Blandet vej- og deklarationsareal', 'geokon', '1')
  insert into land_reg_area_type (code, name, created_by, active) values ('3', 'Vejareal i byzone', 'geokon', '1')
  insert into land_reg_area_type (code, name, created_by, active) values ('4', 'Vejareal i landzone', 'geokon', '1')
end;


-- Indst rkker i land_reg_area_code

if (select count(*) from land_reg_area_code) = 0
begin
  insert into land_reg_area_code (code, name, created_by, active) values ('1', 'Heraf klder', 'geokon', '1')
  insert into land_reg_area_code (code, name, created_by, active) values ('2', 'Heraf pulterrum', 'geokon', '1')
  insert into land_reg_area_code (code, name, created_by, active) values ('3', 'Heraf erhvervsareal', 'geokon', '1')
  insert into land_reg_area_code (code, name, created_by, active) values ('4', 'Heraf fllesarealer', 'geokon', '1')
  insert into land_reg_area_code (code, name, created_by, active) values ('5', 'Heraf gangarealer', 'geokon', '1')
  insert into land_reg_area_code (code, name, created_by, active) values ('6', 'Heraf garager', 'geokon', '1')
  insert into land_reg_area_code (code, name, created_by, active) values ('7', 'Heraf altaner', 'geokon', '1')
  insert into land_reg_area_code (code, name, created_by, active) values ('9', 'Heraf andet areal, evt. blanding af flere', 'geokon', '1')
  insert into land_reg_area_code (code, name, created_by, active) values ('A', 'Heraf bagjord', 'geokon', '1')
  insert into land_reg_area_code (code, name, created_by, active) values ('B', 'Heraf i byzone', 'geokon', '1')
  insert into land_reg_area_code (code, name, created_by, active) values ('D', 'Heraf deklarationsareal', 'geokon', '1')
  insert into land_reg_area_code (code, name, created_by, active) values ('E', 'Heraf til erhverv (planlagt)', 'geokon', '1')
  insert into land_reg_area_code (code, name, created_by, active) values ('F', 'Heraf fredet', 'geokon', '1')
  insert into land_reg_area_code (code, name, created_by, active) values ('G', 'Heraf til erhverv (fysisk)', 'geokon', '1')
  insert into land_reg_area_code (code, name, created_by, active) values ('J', 'Heraf jordrente', 'geokon', '1')
  insert into land_reg_area_code (code, name, created_by, active) values ('K', 'Heraf digearealer og engarealer', 'geokon', '1')
  insert into land_reg_area_code (code, name, created_by, active) values ('L', 'Heraf i landzone', 'geokon', '1')
  insert into land_reg_area_code (code, name, created_by, active) values ('P', 'Heraf ej til erhverv', 'geokon', '1')
  insert into land_reg_area_code (code, name, created_by, active) values ('R', 'Heraf samlet skovstrkning', 'geokon', '1')
  insert into land_reg_area_code (code, name, created_by, active) values ('S', 'Heraf i sommerhusomrde', 'geokon', '1')
  insert into land_reg_area_code (code, name, created_by, active) values ('T', 'Heraf skov', 'geokon', '1')
  insert into land_reg_area_code (code, name, created_by, active) values ('U', 'Heraf fredsskov', 'geokon', '1')
  insert into land_reg_area_code (code, name, created_by, active) values ('V', 'Heraf s / sbred / vandlb / regnvandsbassiner m.m.', 'geokon', '1')
  insert into land_reg_area_code (code, name, created_by, active) values ('Y', 'Heraf udenfor byggelinie (m ikke bebygges)', 'geokon', '1')
end;


-- Indst rkker i land_reg_main_noting

if (select count(*) from land_reg_main_noting) = 0
begin
  insert into land_reg_main_noting (code, name, created_by, active) values ('A', 'Arbejderbolig', 'geokon', '1')
  insert into land_reg_main_noting (code, name, created_by, active) values ('B', 'Landbrugsejendom uden beboelse', 'geokon', '1')
  insert into land_reg_main_noting (code, name, created_by, active) values ('F', 'Flleslod', 'geokon', '1')
  insert into land_reg_main_noting (code, name, created_by, active) values ('L', 'Landbrugsejendom', 'geokon', '1')
  insert into land_reg_main_noting (code, name, created_by, active) values ('M', 'Landbrugsejendom, familieejendom', 'geokon', '1')
  insert into land_reg_main_noting (code, name, created_by, active) values ('S', 'Samlet ejendom', 'geokon', '1')
end;


-- Indst rkker i land_reg_extended_noting

if (select count(*) from land_reg_extended_noting) = 0
begin
  insert into land_reg_extended_noting (code, name, created_by, active) values ('2', 'Noteret i forbindelse med matrikler fra andre ejendomme', 'geokon', '1')
  insert into land_reg_extended_noting (code, name, created_by, active) values ('6', 'Landbrug uden notering', 'geokon', '1')
  insert into land_reg_extended_noting (code, name, created_by, active) values ('A', 'Arbejderbolig', 'geokon', '1')
  insert into land_reg_extended_noting (code, name, created_by, active) values ('B', 'Landbrugsejendom uden beboelse', 'geokon', '1')
  insert into land_reg_extended_noting (code, name, created_by, active) values ('F', 'Flleslod', 'geokon', '1')
  insert into land_reg_extended_noting (code, name, created_by, active) values ('L', 'Landbrugsejendom', 'geokon', '1')
  insert into land_reg_extended_noting (code, name, created_by, active) values ('M', 'Landbrugsejendom, familieejendom', 'geokon', '1')
  insert into land_reg_extended_noting (code, name, created_by, active) values ('S', 'Samlet ejendom', 'geokon', '1')
end;


-- Indst rkker i land_reg_ban_forest_noting

if (select count(*) from land_reg_ban_forest_noting) = 0
begin
  insert into land_reg_ban_forest_noting (code, name, created_by, active) values ('B', 'Fredsskovpligt, betinget', 'geokon', '1')
  insert into land_reg_ban_forest_noting (code, name, created_by, active) values ('D', 'Fredsskovpligt p en del af matriklen, kendt omfang', 'geokon', '1')
  insert into land_reg_ban_forest_noting (code, name, created_by, active) values ('F', 'Fredsskovpligt p hele matriklen', 'geokon', '1')
  insert into land_reg_ban_forest_noting (code, name, created_by, active) values ('I', 'Skov, hvor der er taget stilling til, at det ikke er fredsskov', 'geokon', '1')
  insert into land_reg_ban_forest_noting (code, name, created_by, active) values ('R', 'En del af matrikelnummer er del af samlet skovstrkning', 'geokon', '1')
  insert into land_reg_ban_forest_noting (code, name, created_by, active) values ('S', 'Matrikelnummer er en del af samlet skovstrkning', 'geokon', '1')
  insert into land_reg_ban_forest_noting (code, name, created_by, active) values ('U', 'Fredsskovpligt, omfang ukendt', 'geokon', '1')
end;


-- Indst rkker i land_reg_kms_event

if (select count(*) from land_reg_kms_event) = 0
begin
  insert into land_reg_kms_event (code, name, created_by, active) values ('1', 'GST Matrikel', 'geokon', '1')
  insert into land_reg_kms_event (code, name, created_by, active) values ('2', 'Rettet GST-Matrikel', 'geokon', '1')
end;


-- Indst rkker i land_reg_rent_noting

if (select count(*) from land_reg_rent_noting) = 0
begin
  insert into land_reg_rent_noting (code, name, created_by, active) values ('D', 'Jordrente p en del af matriklen', 'geokon', '1')
  insert into land_reg_rent_noting (code, name, created_by, active) values ('J', 'Jordrente p hele matriklen', 'geokon', '1')
end;


-- Ny kolonner p bbr_land_parcel

if (select col_length('bbr_land_parcel','kommune_nr')) is null
   alter table bbr_land_parcel add kommune_nr int null;

if (select col_length('bbr_land_parcel','ejd_nr')) is null
   alter table bbr_land_parcel add ejd_nr int null;

if (select col_length('bbr_land_parcel','bfe_nummer')) is null
   alter table bbr_land_parcel add bfe_nummer int null;

if (select col_length('bbr_land_parcel','ejendoms_type')) is null
   alter table bbr_land_parcel add ejendoms_type varchar(6) null;

if (select col_length('bbr_land_parcel','daar')) is null
   alter table bbr_land_parcel add daar varchar(4) null;

if (select col_length('bbr_land_parcel','delnr')) is null
   alter table bbr_land_parcel add delnr varchar(3) null;

if (select col_length('bbr_land_parcel','ejerlejl_nr')) is null
   alter table bbr_land_parcel add ejerlejl_nr int null;

if (select col_length('bbr_land_parcel','matr_arl')) is null
   alter table bbr_land_parcel add matr_arl decimal(10,0) null;

if (select col_length('bbr_land_parcel','matr_vej_arl')) is null
   alter table bbr_land_parcel add matr_vej_arl decimal(10,0) null;

if (select col_length('bbr_land_parcel','cartyp')) is null
   alter table bbr_land_parcel add cartyp varchar(10) null;

if (select col_length('bbr_land_parcel','div_arl')) is null
   alter table bbr_land_parcel add div_arl decimal(10,0) null;

if (select col_length('bbr_land_parcel','div_arl_kode')) is null
   alter table bbr_land_parcel add div_arl_kode varchar(10) null;

if (select col_length('bbr_land_parcel','fdivar2')) is null
   alter table bbr_land_parcel add fdivar2 decimal(10,0) null;

if (select col_length('bbr_land_parcel','cdivar2')) is null
   alter table bbr_land_parcel add cdivar2 varchar(10) null;

if (select col_length('bbr_land_parcel','fdivar3')) is null
   alter table bbr_land_parcel add fdivar3 decimal(10,0) null;

if (select col_length('bbr_land_parcel','cdivar3')) is null
   alter table bbr_land_parcel add cdivar3 varchar(10) null;

if (select col_length('bbr_land_parcel','approb_dato')) is null
   alter table bbr_land_parcel add approb_dato datetime null;

if (select col_length('bbr_land_parcel','zone_kode')) is null
   alter table bbr_land_parcel add zone_kode varchar(6) null;

if (select col_length('bbr_land_parcel','hovednot_kode')) is null
   alter table bbr_land_parcel add hovednot_kode varchar(10) null;

if (select col_length('bbr_land_parcel','udv_not_kode')) is null
   alter table bbr_land_parcel add udv_not_kode varchar(10) null;

if (select col_length('bbr_land_parcel','skovnot_kode')) is null
   alter table bbr_land_parcel add skovnot_kode varchar(10) null;

if (select col_length('bbr_land_parcel','adg_vej_kode')) is null
   alter table bbr_land_parcel add adg_vej_kode int null;

if (select col_length('bbr_land_parcel','ckmshaen')) is null
   alter table bbr_land_parcel add ckmshaen varchar(10) null;

if (select col_length('bbr_land_parcel','matr_art_kode')) is null
   alter table bbr_land_parcel add matr_art_kode int null;

if (select col_length('bbr_land_parcel','jordrentenot_kode')) is null
   alter table bbr_land_parcel add jordrentenot_kode varchar(10) null;

if (select col_length('bbr_land_parcel','ejerlav_kode')) is null
   alter table bbr_land_parcel add ejerlav_kode int null;


-- Forign keys - 11 stk.

drop_foreign_key on bbr_land_parcel land_reg_area_type;

alter table bbr_land_parcel
  add constraint fk_bbr_land_parcel_land_reg_area_type foreign key (cartyp)
  references land_reg_area_type (code);

drop_foreign_key on bbr_land_parcel land_reg_area_code;

alter table bbr_land_parcel
  add constraint fk_bbr_land_parcel_land_reg_area_code_1 foreign key (div_arl_kode)
  references land_reg_area_code (code);

alter table bbr_land_parcel
  add constraint fk_bbr_land_parcel_land_reg_area_code_2 foreign key (cdivar2)
  references land_reg_area_code (code);

alter table bbr_land_parcel
  add constraint fk_bbr_land_parcel_land_reg_area_code_3 foreign key (cdivar3)
  references land_reg_area_code (code);

drop_foreign_key on bbr_land_parcel std00005;

alter table bbr_land_parcel
  add constraint fk_bbr_land_parcel_std00005 foreign key (zone_kode)
  references std00005 (code);

drop_foreign_key on bbr_land_parcel land_reg_main_noting;

alter table bbr_land_parcel
  add constraint fk_bbr_land_parcel_land_reg_main_noting foreign key (hovednot_kode)
  references land_reg_main_noting (code);

drop_foreign_key on bbr_land_parcel land_reg_extended_noting;

alter table bbr_land_parcel
  add constraint fk_bbr_land_parcel_land_reg_extended_noting foreign key (udv_not_kode)
  references land_reg_extended_noting (code);

drop_foreign_key on bbr_land_parcel land_reg_ban_forest_noting;

alter table bbr_land_parcel
  add constraint fk_bbr_land_parcel_land_reg_ban_forest_noting foreign key (skovnot_kode)
  references land_reg_ban_forest_noting (code);

drop_foreign_key on bbr_land_parcel land_reg_kms_event;

alter table bbr_land_parcel
  add constraint fk_bbr_land_parcel_land_reg_kms_event foreign key (ckmshaen)
  references land_reg_kms_event (code);

drop_foreign_key on bbr_land_parcel land_reg_type;

alter table bbr_land_parcel
  add constraint fk_bbr_land_parcel_land_reg_type foreign key (matr_art_kode)
  references land_reg_type (code);

drop_foreign_key on bbr_land_parcel land_reg_rent_noting;

alter table bbr_land_parcel
  add constraint fk_bbr_land_parcel_land_reg_rent_noting foreign key (jordrentenot_kode)
  references land_reg_rent_noting (code);

--******************************************************************************