patch_id rp_sounding_ref_level_05032020
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF EXISTS (
    SELECT * FROM sysobjects WHERE id = object_id(N'geokon.rp_sounding_ref_level') 
    AND xtype IN (N'FN', N'IF', N'TF')
)
    DROP FUNCTION geokon.rp_sounding_ref_level
GO
CREATE function geokon.rp_sounding_ref_level (
    @filter_id numeric(9,0),
    @ref_type char(2),
    @start_time datetime)
returns numeric(7,2)
begin
  declare @level numeric(7,2);
  declare @reftype char(2);
  set @reftype = @ref_type;
  SET @level = (
    select max(ref_point_level)
      from bor_sounding_ref
     where filter_id = @filter_id
       and ref_point_type = @reftype
       and (expire_date is null or expire_date >= @start_time )
       and start_date = (select max(start_date) from bor_sounding_ref bs2
                          where bs2.filter_id = @filter_id
                            and bs2.ref_point_type = @reftype
                            and bs2.start_date <= @start_time) );
  return(@level);
end
GO