patch_id ki_create_bio_19082020

/*==============================================================*/
/* Table: ki_productgroup                                       */
/*==============================================================*/
create table dbo.ki_productgroup (
   groupid              varchar(6)           not null,
   groupname            varchar(80)          not null,
   active               varchar(1)           null,
   created              datetime             null default getdate(),
   created_by           varchar(6)           null default user_name(),
   changed              datetime             null,
   changed_by           varchar(6)           null,
   constraint PK_KI_PRODUCTGROUP primary key (groupid)
)
go

grant SELECT,INSERT,DELETE,UPDATE on ki_productgroup to SYSMGR
go

grant SELECT on ki_productgroup to public
go


/*==============================================================*/
/* Table: ki_producttype                                        */
/*==============================================================*/
create table dbo.ki_producttype (
   typeid               varchar(6)           not null,
   typename             varchar(120)         not null,
   groupid              varchar(6)           null,
   active               varchar(1)           null,
   created              datetime             null default getdate(),
   created_by           varchar(6)           null default user_name(),
   changed              datetime             null,
   changed_by           varchar(6)           null,
   constraint PK_KI_PRODUCTTYPE primary key (typeid)
)
go

grant SELECT,INSERT,DELETE,UPDATE on ki_producttype to SYSMGR
go
grant SELECT on ki_producttype to public
go

/*==============================================================*/
/* Table: ki_task_product                                       */
/*==============================================================*/
create table dbo.ki_task_product (
   prod_seq_no          numeric(9,0)         identity,
   task_seq_no          numeric(9,0)         not null,
   typeid               varchar(6)           not null,
   groupid              varchar(6)           not null,
   legislation          varchar(6)           not null,
   comments             varchar(300)         null,
   created              datetime             null default getdate(),
   created_by           varchar(6)           null default user_name(),
   changed              datetime             null,
   changed_by           varchar(6)           null,
   constraint PK_KI_TASK_PRODUCT primary key (prod_seq_no)
)
go

grant SELECT,INSERT,DELETE,UPDATE on ki_task_product to KI_USER
go

grant SELECT on ki_task_product to SYSMGR
go

alter table ki_task_product
   add constraint FK_KI_TASK_PRODUCT_KI_PRODUCTTYPE foreign key (typeid)
      references ki_producttype (typeid)
go

alter table ki_task_product
   add constraint FK_KI_TASK_PRODUCT_KI_LEGISLATION foreign key (legislation)
      references ki_legislation (code)
go

alter table ki_task_product
   add constraint FK_KI_TASK_PRODUCT_IND_TASK foreign key (task_seq_no)
      references ind_task (task_seq_no)
         on delete cascade
go
