patch_id kpv_sampling_place_20200706

-- Opret kolonner
if (select col_length('sampling_place','place_type')) is null
   alter table sampling_place add place_type varchar(10) null;

if (select col_length('wcat_kpv_kpr','place_seq_no')) is null
   alter table wcat_kpv_kpr add place_seq_no numeric(9,0) null;

if(object_id('fk_wcat_kpv_kpr_sampling_place', 'f') is null)
alter table wcat_kpv_kpr
  add constraint fk_wcat_kpv_kpr_sampling_place foreign key (place_seq_no)
   references sampling_place (place_seq_no);

if (select col_length('wcat_kpv','site_seq_no')) is null
   alter table wcat_kpv add site_seq_no numeric(9,0) null;

if(object_id('fk_wcat_kpv_site', 'f') is null)
alter table wcat_kpv
  add constraint fk_wcat_kpv_site foreign key (site_seq_no)
   references site (site_seq_no);

if (select col_length('wcat_kpv_measure_places','place_seq_no')) is null
   alter table wcat_kpv_measure_places add place_seq_no numeric(9,0) null;

update wcat_kpv_kpr set place_seq_no = null;
delete from SAMPLING_PLACE where PLACE_ID like 'KP%';

with cte as
(
  select *
    , new_place_seq_no=ROW_NUMBER() OVER (ORDER BY cp_seq_no desc) + cast (ltrim(rtrim(Str((select LAST_USED from Increment where Table_Name = 'source' AND Column_Name = 'code' ))))  + ltrim(rtrim(str( (select  last_used  from increment where table_name = 'sampling_place')))) as int)
  from wcat_kpv_measure_places
  
)
update cte
set place_seq_no = new_place_seq_no;

insert into SAMPLING_PLACE 
	(PLACE_SEQ_NO
	, SITE_SEQ_NO
	, place_id
	, jup_measuringstationid
	, description
	, address
	, postal_codes_id
	, created
	, CREATED_BY
	, CHANGED
	, CHANGED_BY
	, reg_jup
	, jup_message
	, report_mode
	, place_type)
select
	kmp.PLACE_SEQ_NO
	, SITE_SEQ_NO
	, 'KP' + format(ROW_NUMBER() OVER (partition by site_seq_no ORDER BY place_seq_no),'0000')
	, jup_measuringstationid
	, description
	, address
	, postal_codes_id
	, kmp.created
	, kmp.CREATED_BY
	, kmp.CHANGED
	, kmp.CHANGED_BY
	, kmp.reg_jup
	, kmp.jup_message
	, cast(kmp.report_mode_jup as int)
	,'KPV'

from wcat_kpv_measure_places kmp 
join WCAT_CATCHMENT_PLANT wcp on kmp.cp_seq_no = wcp.CP_SEQ_NO;

update increment 
set LAST_USED = h.last_used
  from (select  cast(substring(ltrim(str(max(place_seq_no)+1)), 4, LEN(ltrim(str(max(place_seq_no)+1)))-3) as int) last_used from sampling_place) h
where TABLE_NAME = 'sampling_place';

update kpr 
	set kpr.place_seq_no =   pk.place_seq_no 
	from wcat_kpv_kpr kpr 
	join wcat_kpv_measure_places pk on kpr.kmp_seq_no = pk.kmp_seq_no;

update kpv 
	set kpv.site_seq_no = wcp.site_seq_no
	from wcat_kpv kpv 
	join WCAT_CATCHMENT_PLANT wcp on kpv.cp_seq_no = wcp.cp_seq_no;

ALTER TABLE wcat_kpv ALTER COLUMN cp_seq_no numeric(9, 0) NULL;