patch_id new_tf_function_24072020

if object_id('tf_address_search') IS NOT NULL
Begin
DROP FUNCTION [dbo].[tf_address_search]
end ;



CREATE FUNCTION dbo.tf_address_search (
 @searach varchar(100), @sitetype varchar(6) )
RETURNS @result TABLE 
(
    address_line varchar(100) NULL, 
	post_nr varchar(100) NULL,
	postal_codes_name varchar(100) NULL,
	street  varchar(100),
	address_no int Null
	
)
AS BEGIN

	set @searach = @searach +'%'
	
	insert into @result ( address_line , street , address_no ) 
		SELECT distinct    top 20 
		(CASE PATINDEX('%[0-9]%', site.site_address) 
		 WHEN 0  THEN site.site_address
		 ELSE SUBSTRING(site.site_address, 1,  PATINDEX('%[0-9]%', site.site_address) -1)
		 END ) as address_line ,
		 ( CASE PATINDEX('%[0-9]%', site.site_address) 
		 WHEN 0  THEN site.site_address
		 ELSE SUBSTRING(site.site_address, 1,  PATINDEX('%[0-9]%', site.site_address) -1)
		 END ) as Street ,
		 -99
    FROM site
	join site_type on site_type.site_type_id = site.site_type_id
				   and  site_type.sys_type = @sitetype
	where (CASE PATINDEX('%[0-9]%', site.site_address) 
	    	 WHEN 0  THEN site.site_address
		 ELSE SUBSTRING(site.site_address, 1,  PATINDEX('%[0-9]%', site.site_address) -1)
		 END ) like @searach

 
if (select distinct count(street) from @result)  < 2
Begin 

	Delete @result 
	insert into @result ( address_line, post_nr ,postal_codes_name, address_no, street) 

	SELECT distinct TOP 20 site.site_address
		  ,site.postal_codes_id
		  ,postal_codes.postal_codes_name 
		  ,cast (left(SUBSTRING(site.site_address, PATINDEX('%[0-9]%', site.site_address), PATINDEX('%[0-9][^0-9]%', site.site_address + 't') - PATINDEX('%[0-9]%', 
			site.site_address) + 1),10) as int ) AS Number
		  , (CASE PATINDEX('%[0-9]%', site.site_address) 
			 WHEN 0  THEN site.site_address
			 ELSE SUBSTRING(site.site_address, 1,  PATINDEX('%[0-9]%', site.site_address) -1)
			 END ) as Street  	
	  FROM site
	  join site_type on site_type.site_type_id = site.site_type_id
				   and  site_type.sys_type = @sitetype
	  LEFT  JOIN postal_codes ON site.postal_codes_id = postal_codes.postal_codes_id
	   where site.site_address like @searach
End 
	return
END;

grant select on dbo.tf_address_search to public;