patch_id new_tables_yearreport2_29092020

drop_foreign_keys on yearreport_report_structure;
drop_foreign_keys on yearreport_paragraph;
drop_foreign_keys on yearreport_report_paragraph;
drop_foreign_keys on yearreport_graph_parameter2;
drop_foreign_keys on yearreport_graph_parameter2_detail;



if not exists (select 1 from sysobjects
    where id = object_id('yearreport') and type = 'U')
    
	CREATE TABLE dbo.yearreport(
	id_yearreport int IDENTITY(1,1) NOT NULL,
	nr_year int NULL,
	da_initiated datetime NOT NULL,
	st_initiated_by varchar(50) NULL,
	nr_status int NULL,
	id_copy_from int NULL,
	st_title varchar(100) NULL,
	b_template bit NULL,
    primary key (id_yearreport)
);

grant update,insert,delete on yearreport to public;

	
if not exists (select 1 from sysobjects
    where id = object_id('yearreport_graph_parameter2') and type = 'U')
CREATE TABLE dbo.yearreport_graph_parameter2(
	id_yearreport_graph_parameter2 int IDENTITY(1,1) NOT NULL,
	title varchar(120) NOT NULL,
	subtitle varchar(120) NULL,
	from_date datetime NULL,
	to_date datetime NULL,
	sampletype varchar(6) NULL,
	place_seq_no numeric(9, 0) NULL,
	labelx varchar(60) NULL,
	labely varchar(60) NULL,
	gr_width int NULL,
	gr_height int NULL,
	created datetime NULL,
	created_by varchar(6) NULL,
	changed datetime NULL,
	changed_by varchar(6) NULL,
	y_min numeric(9, 0) NULL,
	y_max numeric(9, 0) NULL,
	y_auto varchar(1) NULL,
	primary key (id_yearreport_graph_parameter2)
);

grant update,insert,delete on yearreport_graph_parameter2 to public;

if not exists (select 1 from sysobjects
    where id = object_id('yearreport_paragraph') and type = 'U')

CREATE TABLE dbo.yearreport_paragraph(
	id_yearreport_paragraph int IDENTITY(1,1) NOT NULL,
	fn_yearreport_structure int NOT NULL,
	nr_type int NOT NULL,
	nr_seqno int NOT NULL,
	st_name varchar(50) NOT NULL,
	st_text varchar(max) NULL,
	b_outdated int NOT NULL,
	fn_yearreport_graph_parameter2 int NULL,
	primary key (id_yearreport_paragraph)
);

grant update,insert,delete on yearreport_paragraph to public;

 if not exists (select 1 from sysobjects
    where id = object_id('yearreport_graph_parameter2_detail') and type = 'U')
CREATE TABLE dbo.yearreport_graph_parameter2_detail(
	id_yearreport_graph_parameter2 int NOT NULL,
	element_no varchar(6) NOT NULL,
	linethickness int NULL,
	linecolour numeric(9, 0) NULL,
	created datetime NULL,
	created_by varchar(6) NULL,
	changed datetime NULL,
	changed_by varchar(6) NULL,
	unit varchar(6) NULL,
	primary key (id_yearreport_graph_parameter2, element_no)
);

grant update,insert,delete on yearreport_graph_parameter2 to public;


if not exists (select 1 from sysobjects
    where id = object_id('yearreport_structure') and type = 'U')
	
CREATE TABLE dbo.yearreport_structure(
	id_yearreport_structure int IDENTITY(1,1) NOT NULL,
	st_chapter varchar(30) NOT NULL,
	nr_sortorder int NOT NULL,
	st_description varchar(100) NOT NULL,
	fn_parent_id int NULL,
	b_default int NULL,
	t_id int NULL,
	t_id_parent int NULL,
	primary key (id_yearreport_structure)
);


grant update,insert,delete on yearreport_structure to public;

	
if not exists (select 1 from sysobjects
    where id = object_id('yearreport_report_paragraph') and type = 'U')
CREATE TABLE dbo.yearreport_report_paragraph(
	id_yearreport_report_paragraph int IDENTITY(1,1) NOT NULL,
	fn_yearreport_paragraph int NOT NULL,
	fn_yearreport int NOT NULL,
	from_date datetime NULL,
	to_date datetime NULL,
 primary key (id_yearreport_report_paragraph)
);

grant update,insert,delete on yearreport_report_paragraph to public;

if not exists (select 1 from sysobjects
    where id = object_id('yearreport_report_structure') and type = 'U')

CREATE TABLE dbo.yearreport_report_structure(
	id_yearreport_report_structure int IDENTITY(1,1) NOT NULL,
	fn_yearreport_structure int NOT NULL,
	fn_yearreport int NOT NULL,
	primary key (id_yearreport_report_structure)
);

grant update,insert,delete on yearreport_report_structure to public;


if not exists (select 1 from sysobjects
    where id = object_id('DF_yearreport_structure_b_default') and type = 'D')
ALTER TABLE yearreport_structure
 ADD  CONSTRAINT DF_yearreport_structure_b_default  DEFAULT ((1)) FOR b_default;

ALTER TABLE yearreport_report_structure 
WITH CHECK ADD  CONSTRAINT FK_yearreport_report_structure_yearreport FOREIGN KEY(fn_yearreport)
REFERENCES yearreport (id_yearreport);


ALTER TABLE yearreport_report_structure
CHECK CONSTRAINT FK_yearreport_report_structure_yearreport;


ALTER TABLE yearreport_report_structure
WITH CHECK ADD  CONSTRAINT FK_yearreport_report_structure_yearreport_structure FOREIGN KEY(fn_yearreport_structure)
REFERENCES yearreport_structure (id_yearreport_structure);


ALTER TABLE yearreport_report_structure
CHECK CONSTRAINT FK_yearreport_report_structure_yearreport_structure;




if not exists (select 1 from sysobjects
    where id = object_id('DF_yearreport_paragraph_b_outdated') and type = 'D')
ALTER TABLE yearreport_paragraph
 ADD  CONSTRAINT DF_yearreport_paragraph_b_outdated  DEFAULT ((0)) FOR b_outdated;

ALTER TABLE yearreport_paragraph  WITH CHECK ADD  CONSTRAINT FK_yearreport_paragraph_yearreport_graph_parameter2 FOREIGN KEY(fn_yearreport_graph_parameter2)
REFERENCES yearreport_graph_parameter2 (id_yearreport_graph_parameter2);


ALTER TABLE yearreport_paragraph
CHECK CONSTRAINT FK_yearreport_paragraph_yearreport_graph_parameter2;


ALTER TABLE .yearreport_paragraph
  WITH CHECK ADD  CONSTRAINT FK_yearreport_paragraph_yearreport_structure FOREIGN KEY(fn_yearreport_structure)
REFERENCES yearreport_structure (id_yearreport_structure);


ALTER TABLE yearreport_paragraph 
	CHECK CONSTRAINT FK_yearreport_paragraph_yearreport_structure;




ALTER TABLE yearreport_report_paragraph
  WITH CHECK ADD  CONSTRAINT FK_yearreport_report_paragraph_yearreport FOREIGN KEY(fn_yearreport)
REFERENCES yearreport (id_yearreport);

ALTER TABLE yearreport_report_paragraph
 CHECK CONSTRAINT FK_yearreport_report_paragraph_yearreport;

ALTER TABLE yearreport_report_paragraph
  WITH CHECK ADD  CONSTRAINT FK_yearreport_report_paragraph_yearreport_paragraph FOREIGN KEY(fn_yearreport_paragraph)
REFERENCES yearreport_paragraph (id_yearreport_paragraph);

ALTER TABLE yearreport_report_paragraph
 CHECK CONSTRAINT FK_yearreport_report_paragraph_yearreport_paragraph;
 
 


if not exists (select 1 from sysobjects
    where id = object_id('DF_yearreport_graph_parameter2_from_date') and type = 'D')
ALTER TABLE yearreport_graph_parameter2
 ADD  CONSTRAINT DF_yearreport_graph_parameter2_from_date  DEFAULT (datefromparts(datepart(year,getdate())-(5),(1),(1))) FOR from_date;

if not exists (select 1 from sysobjects
    where id = object_id('DF_yearreport_graph_parameter2_to_date') and type = 'D')
ALTER TABLE yearreport_graph_parameter2 ADD  CONSTRAINT DF_yearreport_graph_parameter2_to_date  DEFAULT (datefromparts(datepart(year,getdate()),(12),(31))) FOR to_date;

if not exists (select 1 from sysobjects
    where id = object_id('DF_yearreport_graph_parameter2_gr_width') and type = 'D')
ALTER TABLE yearreport_graph_parameter2 ADD  CONSTRAINT DF_yearreport_graph_parameter2_gr_width  DEFAULT ((650)) FOR gr_width;

if not exists (select 1 from sysobjects
    where id = object_id('DF_yearreport_graph_parameter2_gr_height') and type = 'D')
ALTER TABLE yearreport_graph_parameter2 ADD  CONSTRAINT DF_yearreport_graph_parameter2_gr_height  DEFAULT ((450)) FOR gr_height;

if not exists (select 1 from sysobjects
    where id = object_id('DF__yearrepor__creat__17475C95') and type = 'D')
ALTER TABLE yearreport_graph_parameter2 ADD  CONSTRAINT DF__yearrepor__creat__17475C95  DEFAULT (getdate()) FOR created;

if not exists (select 1 from sysobjects
    where id = object_id('DF__yearrepor__creat__183B80CE') and type = 'D')
ALTER TABLE yearreport_graph_parameter2 ADD  CONSTRAINT DF__yearrepor__creat__183B80CE  DEFAULT (user_name()) FOR created_by;

if not exists (select 1 from sysobjects
    where id = object_id('DF_yearreport_graph_parameter2_y_auto') and type = 'D')
ALTER TABLE yearreport_graph_parameter2 ADD  CONSTRAINT DF_yearreport_graph_parameter2_y_auto  DEFAULT ((1)) FOR y_auto;


if not exists (select 1 from sysobjects
    where id = object_id('FK_yearreport_graph_parameter2_sample_type') and type = 'F')
ALTER TABLE yearreport_graph_parameter2
  WITH CHECK ADD  CONSTRAINT FK_yearreport_graph_parameter2_sample_type FOREIGN KEY(sampletype)
REFERENCES sample_type (code);


ALTER TABLE yearreport_graph_parameter2
 CHECK CONSTRAINT FK_yearreport_graph_parameter2_sample_type;


if not exists (select 1 from sysobjects
    where id = object_id('FK_yearreport_graph_parameter2_sampling_place') and type = 'F')
ALTER TABLE yearreport_graph_parameter2
  WITH CHECK ADD  CONSTRAINT FK_yearreport_graph_parameter2_sampling_place FOREIGN KEY(place_seq_no)
REFERENCES sampling_place (place_seq_no);


ALTER TABLE yearreport_graph_parameter2
 CHECK CONSTRAINT FK_yearreport_graph_parameter2_sampling_place;
 

 
if not exists (select 1 from sysobjects
    where id = object_id('DF_yearreport_graph_parameter2_creatby') and type = 'D')
ALTER TABLE yearreport_graph_parameter2_detail
 ADD  CONSTRAINT DF_yearreport_graph_parameter2_creatby DEFAULT (user_name()) FOR created_by;
	
	
if not exists (select 1 from sysobjects
    where id = object_id('DF_yearreport_graph_parameter2_creatdate') and type = 'D')
ALTER TABLE yearreport_graph_parameter2_detail
 ADD  CONSTRAINT DF_yearreport_graph_parameter2_creatdate DEFAULT (getdate()) FOR created;
 

if not exists (select 1 from sysobjects
    where id = object_id('FK_yearreport_graph_parameter2_detail_gsc_unit') and type = 'F')
ALTER TABLE yearreport_graph_parameter2_detail
  WITH CHECK ADD  CONSTRAINT FK_yearreport_graph_parameter2_detail_gsc_unit FOREIGN KEY(unit)
REFERENCES gsc_unit (code);


ALTER TABLE yearreport_graph_parameter2_detail
 CHECK CONSTRAINT FK_yearreport_graph_parameter2_detail_gsc_unit;


if not exists (select 1 from sysobjects
    where id = object_id('FK_yearreport_graph_parameter2_detail_std00019') and type = 'F')
ALTER TABLE yearreport_graph_parameter2_detail
  WITH CHECK ADD  CONSTRAINT FK_yearreport_graph_parameter2_detail_std00019 FOREIGN KEY(element_no)
REFERENCES std00019 (code);

ALTER TABLE yearreport_graph_parameter2_detail
 CHECK CONSTRAINT FK_yearreport_graph_parameter2_detail_std00019;


ALTER TABLE yearreport_graph_parameter2_detail
  WITH CHECK ADD  CONSTRAINT FK_yearreport_graph_parameter2_detail_yearreport_graph_parameter2 FOREIGN KEY(id_yearreport_graph_parameter2)
REFERENCES yearreport_graph_parameter2 (id_yearreport_graph_parameter2);


ALTER TABLE yearreport_graph_parameter2_detail
 CHECK CONSTRAINT FK_yearreport_graph_parameter2_detail_yearreport_graph_parameter2;
