-- 18-01-2021 TRK
-- Rettet: 04-03-2021 af TRK
--
patch_id app_gis_setting_1270_210118

--******************************************************************************
-- Nye rkker i gis_item_type                                         04-03-2021
--******************************************************************************

if (select 'x' from gis_item_type where item_type = 'indsmp') is null
   insert into gis_item_type (item_type, item_type_name) values ('indsmp', 'Industri prvested');

if (select 'x' from gis_item_type where item_type = 'agrsr') is null
   insert into gis_item_type (item_type, item_type_name) values ('agrsr', 'Produktionsareal - registreret');

if (select 'x' from gis_item_type where item_type = 'csrpip') is null
   insert into gis_item_type (item_type, item_type_name) values ('csrpip', 'Nedgravet rr');

--******************************************************************************
-- Ny Industri prvedsted                                             18-01-2021
--******************************************************************************

-- Industri prvedsted
if (select 'x' from app_gis_setting where item_type = 'indsmp') is null
begin
  insert into app_gis_setting (item_type, api_entity_name, entity_alias, geometry_type, color_code, show_on_map, sort_order, created_by, modulecode, entity_max_count) values ('indsmp', 'IndustrySamplingPlaces', 'Industri prvesteder', 'point', '#FB9A99', '1', 280, 'geokon', 'insp', 1000)

  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('indsmp', 'Id', 'Lok nr.', '0', '0', 1, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('indsmp', 'Name', 'Navn', '1', '1', 2, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('indsmp', 'Address', 'Adresse', '0', '0', 3, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('indsmp', 'PostalCode', 'Postnr.', '0', '0', 4, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('indsmp', 'PostalCodeName', 'By', '0', '0', 5, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('indsmp', 'MunicipalityCode', 'Kommunenr.', '0', '0', 6, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('indsmp', 'StreetCode', 'Vejkode', '0', '0', 7, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('indsmp', 'StreetBuildingIdentifier', 'Husnr.', '0', '0', 8, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('indsmp', 'LandParcelIdentifier', 'Matrikelnr.', '0', '0', 9, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('indsmp', 'CadastralDistrictIdentifier', 'Landsejerlavskode', '0', '0', 10, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('indsmp', 'CadastralDistrictName', 'Landsejerlav', '0', '0', 11, 'geokon')

  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('indsmp', 'LocationSysType', 'Lok systype', '0', '0', 12, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('indsmp', 'PlaceId', 'Prvested id', '0', '0', 13, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('indsmp', 'PlaceName', 'Prvested', '0', '0', 14, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('indsmp', 'PlaceIdPub', 'Offentlig kode', '0', '0', 15, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('indsmp', 'EnvUnit', 'Mlesteds id', '0', '0', 16, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('indsmp', 'ReportMode', 'Indberettes', '0', '0', 17, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('indsmp', 'PlaceTypeId', 'Prvestedstype id', '0', '0', 18, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('indsmp', 'PlaceTypeName', 'Prvestedstype', '0', '0', 19, 'geokon')
end;

--******************************************************************************
-- Ny Registrerede produktionsarealer                                 03-03-2021
--******************************************************************************

-- Registrerede produktionsarealer
if (select 'x' from app_gis_setting where item_type = 'agrsr') is null
begin
  insert into app_gis_setting (item_type, api_entity_name, entity_alias, geometry_type, color_code, show_on_map, sort_order, created_by, modulecode, entity_max_count) values ('agrsr', 'AgrStableRegistered', 'Reg. produktionsarealer', 'polygon', '#00747A', '1', 290, 'geokon', 'insp', 1000)

  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('agrsr', 'Id', 'Lok nr.', '0', '1', 1, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('agrsr', 'Name', 'Navn', '0', '1', 2, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('agrsr', 'Address', 'Adresse', '0', '0', 3, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('agrsr', 'PostalCode', 'Postnr.', '0', '0', 4, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('agrsr', 'PostalCodeName', 'By', '0', '0', 5, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('agrsr', 'MunicipalityCode', 'Kommunenr.', '0', '0', 6, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('agrsr', 'StreetCode', 'Vejkode', '0', '0', 7, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('agrsr', 'StreetBuildingIdentifier', 'Husnr.', '0', '0', 8, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('agrsr', 'LandParcelIdentifier', 'Matrikelnr.', '0', '0', 9, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('agrsr', 'CadastralDistrictIdentifier', 'Landsejerlavskode', '0', '0', 10, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('agrsr', 'CadastralDistrictName', 'Landsejerlav', '0', '0', 11, 'geokon')

  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('agrsr', 'BuildingNo', 'Bygningsnr.', '0', '1', 12, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('agrsr', 'BuildingName', 'Bygningsnavn', '0', '1', 13, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('agrsr', 'StableId', 'Stald afsnit', '0', '1', 14, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('agrsr', 'StableArea', 'Produktionsareal (m2)', '0', '1', 15, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('agrsr', 'SpeciesId', 'Dyretype id', '0', '0', 16, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('agrsr', 'SpeciesName', 'Dyretype', '0', '1', 17, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('agrsr', 'StableSystemId', 'Staldsystem id', '0', '0', 18, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('agrsr', 'StableSystemName', 'Staldsystem', '0', '1', 19, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('agrsr', 'MonthOutside', 'Mneder p grs', '0', '0', 20, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('agrsr', 'RegistrationDate', 'Registreringsdato', '0', '1', 21, 'geokon')
end;

--******************************************************************************
-- Ny Nedgravede rr                                                  04-03-2021
--******************************************************************************

drop_foreign_key on csr_pipes csr_locations;
alter table csr_pipes
  add constraint fk_csr_pipes_csr_locations foreign key (location_id)
  references csr_locations (location_id);

-- Nedgravede rr
if (select 'x' from app_gis_setting where item_type = 'csrpip') is null
begin
  insert into app_gis_setting (item_type, api_entity_name, entity_alias, geometry_type, color_code, show_on_map, sort_order, created_by, modulecode, entity_max_count) values ('csrpip', 'CsrPipes', 'Nedgravede rr', 'line', '#FF0000', '1', 300, 'geokon', 'csr', 1000)

  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('csrpip', 'Id', 'Lok nr.', '0', '1', 1, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('csrpip', 'Name', 'Navn', '1', '1', 2, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('csrpip', 'Address', 'Adresse', '0', '0', 3, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('csrpip', 'PostalCode', 'Postnr.', '0', '0', 4, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('csrpip', 'PostalCodeName', 'By', '0', '0', 5, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('csrpip', 'MunicipalityCode', 'Kommunenr.', '0', '0', 6, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('csrpip', 'StreetCode', 'Vejkode', '0', '0', 7, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('csrpip', 'StreetBuildingIdentifier', 'Husnr.', '0', '0', 8, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('csrpip', 'LandParcelIdentifier', 'Matrikelnr.', '0', '0', 9, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('csrpip', 'CadastralDistrictIdentifier', 'Landsejerlavskode', '0', '0', 10, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('csrpip', 'CadastralDistrictName', 'Landsejerlav', '0', '0', 11, 'geokon')

  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('csrpip', 'LocationId', 'Omrde nr.', '0', '0', 12, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('csrpip', 'LocationName', 'Omrde navn', '0', '0', 13, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('csrpip', 'BuildingName', 'Bygning', '0', '0', 14, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('csrpip', 'Application', 'Anvendelse', '0', '1', 15, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('csrpip', 'PipeLength', 'Rrlngde (m)', '0', '1', 16, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('csrpip', 'PipeDiameter', 'Rrdiameter (mm)', '0', '1', 17, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('csrpip', 'Substance', 'Indhold', '0', '1', 18, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('csrpip', 'LeakTestMethod', 'Tthedsprvningsmetode', '0', '0', 19, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('csrpip', 'FirstControlDate', 'Frste kontrol', '0', '0', 20, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('csrpip', 'LatestControlDate', 'Seneste kontrol', '0', '1', 21, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('csrpip', 'NextControlDate', 'Nste kontrol', '0', '1', 22, 'geokon')
end;

--******************************************************************************